﻿# You can place the script of your game in this file.

init:
    python:

        # This imports in the asfont22 module, which contains a list of
        # kerning pairs.
        import asfont22

        # Register the sfont contained in asfont22 as "subfont".
        renpy.register_sfont('subfont', 26,
                             filename="asfont22.png",
                             kerns=asfont22.kerns,
                             spacewidth=4)
                             
    
    #Triggers
    
    $ satoheart1 = False
    $ satoheart2 = False
    $ marlainheart1 = False
    $ polarheart1 = False
    $ polarfix1 = False
    $ keevesfix1 = False
    $ keevesheart1 = False
    $ keevesheart2 = False
    $ coachheart1 = False
    
    # Declare images below this line, using the image statement.
    # eg. image eileen happy = "eileen_happy.png"
    image bg Art Room000 = "Art_Room000.jpg"
    image bg Bedroom000 = "Bedroom000.jpg"
    image bg Bus000 = "Bus000.jpg"
    image bg Bus001 = "Bus001.jpg"
    image bg Cafe000 = "Cafe000.jpg"
    image bg City Night000 = "City_Night000.jpg"
    image bg Courtyard000 = "Courtyard000.jpg"
    image bg Empty Classroom000 = "Empty_Classroom000.jpg"
    image bg Football Field Dawn000 = "Football_Field_Dawn000.jpg"
    image bg Football Field Dusk000 = "Football_Field_Dusk000.jpg"
    image bg Football Field Dusk001 = "Football_Field_Dusk001.jpg"
    image bg Hallway000 = "Hallway000.jpg"
    image bg Hallway001 = "Hallway001.jpg"
    image bg Infront School001 = "Infront_School001.jpg"
    image bg Library000 = "Library000.jpg"
    image bg Portfolio Review000 = "Portfolio_Review000.jpg"
    image bg School Lobby001 = "School_Lobby001.jpg"
    image bg S4000 = "S4000.jpg"
    image bg Nekomen000 = "Nekomen000.jpg"
    image black = "#000000"
    image white = "#ffffff"
    image Overlay000 = "1-Overlay000.png"
    image bg TeamSmut000 = "TeamSmut_Screen000.jpg"
    image bg SSEA Screen000 = "SSEA_Screen000.jpg"
    image bg Title Screen000 = "Title_Screen000.jpg"
    image bg Title Screen001 = "Title_Screen001.jpg"
    image bg Title Screen002 = "Title_Screen002.jpg"
    image bg Save Screen000 = "Save_Screen000.jpg"
    image bg Polar Moment000 = "Polar_Moment000.jpg"
    image bg Sato Moment000 = "Sato_Moment000.jpg"
    
    image jaja default = "1-Jaja000.png"
    image keeves default = "1-Keeves000.png"
    image marlain default = "1-Marlain000.png"
    image polar default = "1-Polar000.png"
    image sato default = "1-Sato000.png"
    image coach default = "1-Coach000.png"
    image polar alpha = im.Alpha("1-Polar000.png", 0.5)
    
    #Animated
    #Glow Balls.
    image snowblossom = SnowBlossom(anim.Filmstrip("Pglow000.png", (20, 20), (2, 1), .15), fast=True)
    
    #Pop-ups
    image popup fortune000 = "1-Fortune000.png"
    image popup dream000 = "1-Dream000.png"
    image popup keeves moment000 = "1-Keeves_Moment000.png"
    image popup keeves moment001 = "1-Keeves_Moment001.png"
    image popup marlain moment000 = "1-Marlain_Moment000.png"
    image popup marlain moment001 = "1-Marlain_Moment001.png"
    image popup marlain moment002 = "1-Marlain_Moment002.png"
    image popup jaja moment000 = "1-Jaja_Moment000.png"

    # Declare characters used by this game.
    $ y = Character('You', color="#0000ff")
    $ u = Character('???', color="#c0c0c0")
    $ j = Character('Jaja', color="#ffff00")
    $ k = Character('Keeves', color="#1e90ff")
    $ m = Character('Marlain', color="#800080")
    $ p = Character('Polar', color="#ffffff")
    $ s = Character('Sato', color="#8b0000")
    $ povname = ""
    $ pov = DynamicCharacter("povname", color=(192, 64, 64, 255))
    $ c = Character('Coach Muggins', color="#ff8c00")

    # Transitions
    $ slow_dissolve = Dissolve(1.0)
    $ flashbulb = Fade(0.2, 0.0, 0.8, color='fff')

# The game starts here.
label start:
    
    scene bg TeamSmut000
    with fade
    with Pause(5.0)
    
    scene bg SSEA Screen000
    with flashbulb
    
    show snowblossom
    with dissolve
    with Pause(5.0)
    
    show bg Title Screen000
    hide snowblossom
    with fade
    with Pause(1.5)
    
    show bg Title Screen001
    with dissolve
    with Pause(10.0)
    
    scene black
    with fade
    $ renpy.music.stop(fadeout=1)
    
#------------------------------------------------------------------
    
# Start of Day1
    
    y "...maybe it's just '1st-day-of-school' jitters, but I ended up having that dream just now."
    
    y "It was about...{p}{i}him{/i} again.{w=1}"
    
    y "Alotta people have re-occuring dreams...but not like this." 
    
    y "It's always so real and I've had them at least once a week for {b}years{/b} now."
    
    y "This time, in my dream, {i}He{/i} was joking with me about not paying attention to anything but his bod."
    
    y "I said something stupid right after like 'I like your blue eyes'."
    
    y "Maybe I woke up from embarrassment. Ah, never mind I have to get ready for school bright and definitely early."
    
    $ renpy.music.play('Bumbly March.mp3', loop=True)
    y "I'm so excited! I can't wait to start Art School!"

    show bg School Lobby001
    with flashbulb
    
    y "So here I am completely wigging out...at Dream Savior Gakuen! The lobby looks more like a museum lobby then an art college lobby."
    
    "I had to basically force my jaw from hitting the ground."
    
    y "It's only been my 2nd time attending a private school like this."
    
    y "My 1st was actually a daycare called Fleurlais Daycamp."
    
    y "It was more of a private school in the sense that all the 5 year old kids ran around getting our matching uniforms dirty. Haha!"
    
    y "Hhhmmmmm...."
    
    y "I wonder where I go from here though?"
    
    show sato default
    with dissolve
    
    y "Oh hey sorry man, but can you help me out for a sec?"
    
    u "Man?"
    
    y "Uh...(confused look) well you ARE a man aren't you? I don't get what's with the attitute?"
    
    u "'Man', 'Buddy'...those are all terms used in instances of familiarity would you not agree?" 
    
    u "And honestly...I do not even know you."
    
    y "Actually those are generic terms when you don't know someone's name but want to be friendly."
    
    u "You are new, are you not?"
    
    y "What's that supposed to mean?"
    
    u "Never mind."
    
    y "..."
    
    u "..."
    
    menu:
        
        y "I think we started off on the wrong foot..."
        
        "I just need to find someone from the Welcoming Committee so I can get my schedule.":
        
            jump ask_sato1_yes
        
        "...ahh forget it.":
        
            jump ask_sato1_no
        
    label ask_sato1_yes:
        
        $ ask_sato1_choice = "yes"
            
        u "Listen whatever your name might be...I am going to be late."
        
        hide sato default
        with dissolve
        
        y "He just walked off!"
        
        y "Pfft well that was a really stupid way to start the semester."
        
        y "What a jerk! But no one can ruin my day today!"
        
        y "I'll just wander around and figure it out myself."
            
        jump ask_sato1_done
            
    label ask_sato1_no:
        
        $ ask_sato1_choice = "no"
            
        u "Hhmph."
        
        hide sato default
        with dissolve

        y "He just walked off!"
        
        y "Pfft well that was a really stupid way to start the semester."
        
        y "What a jerk! But no one can ruin my day today!"
        
        y "I'll just wander around and figure it out myself."
            
        jump ask_sato1_done
            
    label ask_sato1_done:
    
    scene bg School Lobby001 at Pan((0, 400), (0, 0), 10.0)
    
    y "Hey, that looks like it might be something!"
    
    y "I'm glad I came abit earlier, it'd be easy to get lost."
    
    y "(I hope all the students here aren't as snobby as that last guy...)"
    
scene bg Hallway001
with fade

y "I'm sure I'll run into someone who can help me here. It seems like most of the hallways join up right here."

"Despite an awkward start I was just glad to be here at Dream Savior Gakuen."

"It's sort of an elite private art college. Most artists would pull a Van Gogh and chop off their ear just to be where I am."

"Thing is...what amazed me the MOST about DSG was how...'familiar' this place seemed as soon as I walked in."

"Even that rude guy I just met seemed oddly familiar.{p}Maybe I just feel really at home here.{w=1}"

$ renpy.music.stop(fadeout=0.5)

"(I just managed to shake off that strange thought when...)"

$ renpy.music.play('Chucky the Construction Worker.mp3', loop=True)
show jaja default
with dissolve

u "Hihihi!"

y "Whoa! Sorry you surprised me!"

u "No worries mang, I gets dat alots."

"He looks to be only 10-13 years old. He stared at me with kitten-like curiousity."

u "Well mang, you looks to be losts. No fear though, Jaja is here!"

y "Nice to meet you!"

j "Hehe. Wash your name?"

$ povname = renpy.input("My name is...(Please type your name then press 'Enter')") or "You"

pov "My name's %(povname)s."

j "Nysh to meetcha %(povname)s! I'm gonna be your guide today. Otay!"

pov "Wow thanks so much! Finally someone from the Welcoming Committee."

j "Whaaa?"

pov "Well, I mean you are from the Welcoming Committee aren't you?"

j "Oh ahhh...yes um...suuuureee. Hehe."

pov "What? I'm confused."

j "Arg! I TOOLLDD you don't worry! Jaja ish on da case."

pov "Are you even old enough to be here? No offence..."

menu:
        
    j "Hmhmhm...(Sly grin) I knew you were going to say that. I am slightly psychic."
        
    "Psycho?":
        
        jump ask_jaja1_yes
        
    "I'm sure you are.":
        
        jump ask_jaja1_no
        
label ask_jaja1_yes:
        
    $ ask_jaja1_choice = "yes"
            
    j "Yessum...I'm...wait...heyyyyy!"
        
    "(Chuckle)"
        
    j "You don't believe me do ya?"
        
    pov "Lighten up kiddo I was joking just in case you didn't know."
            
    jump ask_jaja1_done
            
label ask_jaja1_no:
        
    $ ask_jaja1_choice = "no"
            
    j "Yessum...I'm...wait...heyyyyy!"
        
    "(Chuckle)"
        
    j "You don't believe me do ya?"
        
    pov "Lighten up kiddo I was joking just in case you didn't know."
            
    jump ask_jaja1_done
            
label ask_jaja1_done:
        
j "Otay. Sho tell me abish bout yourself %(povname)s. So I can figer out where you needs ta be."
    
pov "Well, I'm new here. I don't really have a major...I applied and got into DSG with a slightly above average score in all areas of art. But I'm not too great in any 1 area." 

pov "Basically I'm here to hone my skills and figure out where in art I want to specialize."
    
"Jaja nods but doesn't seem to be paying attention."
    
pov "Um ok well I don't have a written schedule but I do remember that I have a 1st period class in Sculpting 101."
    
"Jaja nods but doesn't seem to be paying attention."
    
pov "Well, why don't you tell me abit about yourself then."
    
"Jaja nods but doesn't seem to be paying attention."
    
menu:
        
    pov "Oh God..."
        
    "Hey KID are you going to help me or not?!":
        
        jump ask_jaja2_yes
        
    "You may be abit flaky but your alright kid.":
        
        jump ask_jaja2_no
        
label ask_jaja2_yes:
        
    $ ask_jaja2_choice = "yes"
            
    j "Jeez...when did it get so cold in here. You're like my Bruffer. Sheesh!"
            
    jump ask_jaja2_done
            
label ask_jaja2_no:
        
    $ ask_jaja2_choice = "no"
    
    $ satoheart1 = True
            
    j "Oh sorries...I didn't means to be wude. It's my age ya no. Really...I'm sorry."
    
    pov "It's ok. Your nicer then some people I've met here so far."
    
    j "If my Bruffer was here he wouldn't be THIS nice twust me."
            
    jump ask_jaja2_done
            
label ask_jaja2_done:
    
pov "Haha!"

"Despite abit of confusion at first I guess I was enjoying my time here at Dream Savior Gakuen. Alot of interesting people anyways."

"Jaja sure is one of them."

"Funny thing is even he seems oddly familiar too. Our meeting...this feeling, it's like 25 percent of a full deja vu."

j "Well shince youb told me about yourself I guess I can share too right?"

j "My name is Jaja and I know I looks really young. It's my 2nd year but I'm only 13. Da average age here for 1st years like yourself is 18."

pov "Wow!"

j "Hehe like you I got into DSG but wit an UBER excellentay score in all areas of art! Das why dey let me inta dis skoo even though I was only a kid."

j "I'm majoring in 2D Animation...das my fav!"

j "So %(povname)s, you weally have no idea what you wanna major in?"

pov "Well...no actually..."

j "Aw well I'm sure you'll figer it out."

pov "Yeah, as long as I choose something by 2nd year."

j "Exactimillion!"

j "Remember how I said I wash abit psychic? I'm also good at fortune telling."

j "I carry wit me everyday a book of daiwy holoscopes! Neato huh?"

pov "Horoscopes? Err...I'm not so sure if I believe in that."

j "Here, lemme guess your sign and I'll weed your fortune for today!"

menu:
        
    j "You...areee....a....Scorpio! Or a Cancer! I'm 100 percent sure!"
        
    "Whoa I AM a Scorpio.":
        
        jump ask_horoscope1_yes
        
    "Yes I AM a Cancer.":
        
        jump ask_horoscope1_no
        
    "No I'm a different sign.":
        
        jump ask_horoscope1_neither
        
        
label ask_horoscope1_yes:
        
    $ ask_horoscope1_choice = "yes"
            
    j "Let's see..."
    
    j " It says 'Everything is not how it seems'. Hmph baloney."
            
    jump ask_horoscope1_done
            
label ask_horoscope1_no:
        
    $ ask_horoscope1_choice = "no"
            
    j "Let's see..."
    
    j "It says 'Someone warm and dreamy will greet you tomorrow.' Hmph baloney."
            
    jump ask_horoscope1_done
    
label ask_horoscope1_neither:
        
    $ ask_horoscope1_choice = "neither"
    
    pov "Let me see the book."
    
    pov "This is my sign."
    
    j "Let's see..."
    
    j "It says 'An old friend will wish you well.' Hhmph baloney."
            
    jump ask_horoscope1_done
            
label ask_horoscope1_done:

j "Ooh! I almost forgot! I need to get you to your cwass. I know where Sculpting 101 ish held dish period!"

j "Before I forget I want to gib you suffin."

show jaja default at right
with move

show popup fortune000 at Position(xpos =.1, ypos =.1, xanchor =0, yanchor =0)
with None

j "It's a Fate Selector."

j "Inside I wrotes down juicy but true destinies depending on which number yoo pick." 

pov "Ehhh...I dunno..."

$ renpy.music.stop(fadeout=3.0)

j "Jes twy it when you get home ok? Here take it...I want you to hab it."

hide popup fortune000
with None

show jaja default
with move

j "Ok %(povname)s. Let's get you to cwass on the double!"

pov "Thanks Jaja."
$ renpy.music.play('White.mp3', loop=True)

scene bg Art Room000
with fade

"I made it to class with 15 minutes to spare. Jaja is actually a pretty good guide. Even if he's not part of the Welcoming Committee."

"Everyone looked eager and pretty approachable."

"Those who were here had already begun making chitchat..I managed to talk to the 3 other people at my table as well."

"Soon after, the Sculpting Teacher arrived and had begun jotting down notes on the blackboard as she lectured."

pov "Where's my notebook?{p}...ah here it is!{w=10}"

pov "Now, where's my pencil?"

"I can't believe it..."

"I brought NOTHING to write with! I feel so silly right now."

u "Psssttt..."

pov "Huh?"

u "Hey gorgeous, it seems like your in abit of like trouble."

$ renpy.music.play('Organ Filler.mp3', loop=True)
show marlain default
with dissolve

"WhOaAa!!!!!!!"

"{b}BISHONEN!!!!{/b}"

"Whoever he was he sat across from me at another table."

"All the other people at his table were 'fashionista's' and 'artistes'."

"I'm not really that comfortable around pretensious people like that."

pov "Uh thanks...I'll give it back to you for sure when I'm done."

u "Pshh...it's no problem seriously. Like just keep it."

"(He smiles)"

pov "Uh...oh...uh...ok really? Thanks."

u "Darling you sound surprised...haha."

pov "...Do I know you from somewhere?"

u "Oh honey that's OLD!"

pov "No no really...I mean, I've been saying it all day in my head about other people too, but you look really familiar."

menu:
        
    u "Oh it MUST be from the magazines!"
        
    "No Way! Really?":
        
        jump ask_marlain1_yes
        
    "Gimme a break!":
        
        jump ask_marlain1_no
        
label ask_marlain1_yes:
        
    $ ask_marlain1_choice = "yes"
            
    $ marlainheart1 = True
        
    "(Chuckle)"
        
    u "As if...I'm like cuuute, but like I'm not THAT cute."
            
    jump ask_marlain1_done
            
label ask_marlain1_no:
        
    $ ask_marlain1_choice = "no"
            
    u "Like geez I was kidding. I wasn't rude to you...you didn't have to say it that way you know."
            
    jump ask_marlain1_done
            
label ask_marlain1_done:
    
u "Anyways %(povname)s...we should probably pay attention to like the lecture."

pov "What?"

u "Um I like said that we should probably pay..."

pov "No I mean, you said my name. How did you know my name?"

u "Haha...oh my god you like told me it 2 seconds ago!"

pov "No I didn't. At least I don't {i}think{/i}I did..."

u "Trust me you did silly."

u "Like anyways, everyone knows me as Marlain."

pov "%(povname)s. It's nice to meet you. Thanks again for the pencil."

m "Oh gosh like no worries."

scene bg Save Screen000
with flashbulb
with Pause(3.0)

scene bg Art Room000
with flashbulb

"The rest of the class went on without a hitch, new pencil and all. I had alot of fun actually. Maybe I'm meant to be a Sculptor."

scene bg Hallway000
with fade

"With class over I took a second to look at my schedule to see where my next and last class was."

u "Whoopsie!"

pov "Hey!"

"Someone plucked my schedule out of my hand!"

show marlain default
with dissolve

m "Sorry %(povname)s, my hands have a mind of their own."

pov "Ah I was just surprised that's all."

"Marlain's eyes scanned the page incredibly fast."

m "I know, I'm like an uber speedy reader. It's a bit dorky..."

m "Sorry."

m "I like reading actually."

pov "What are you looking for exactly?"

m "Looks like we basically like have most of our classes together cutie."

pov "Heh, life is just full of surprises."

m "Hmhm...TELL me about it!"

pov "You know...to be honest with you I thought you'd be a very different kind of person."

m "Come on darling, when I said I like reading you know like I meant articles on the red carpet do's-and-dont's right?"

pov "Yes I guessed that, but I thought...well, that you would be kinda stuckup." 

pov "But you're not at all."

m "Well like...thank you."

m "You digging it like here so far? Everyone's been like accomodating?"

pov "Yeah."

m "Fabulous!"

m "Well, I guess I'll see you like tomorrow. I have like Orchestra 204 around here."

pov "Later Marlain."

m "Yeah...later!"

hide marlain default
with dissolve

show jaja default
with dissolve

j "Heyaz! Whew I'm gwad I caught cha before yoo got into cwass!"

pov "Hey what's up?"

j "Oh no nuffin, I jes tot dat since your still new and alls I can show you where tomorrow's classes will be."

j "Dis place is stiw kinda GIMANTIC even wit da map on ur schedule."

$ renpy.music.stop(fadeout=3.5)

pov "Ok sure! If you don't mind. I have Visual Effects 1st thing tomorrow morning then Jaja."

j "Yay! Otays %(povname)s. She yoo den mang!"

"(Waves)"

hide jaja default
with dissolve

$ renpy.music.play('White.mp3', loop=True)
scene bg Infront School001
with dissolve

"After my last class was over I walked out of Dream Savior Gakuen and took a good long glance from across the street." 

"I wanted to take it all in."

"This is my school...I'm here and I'm finally doing what I've always wanted to do! I can't believe my good luck."

scene bg Infront School001 at Pan((0, 400), (0, 0), 10.0)

"I started wondering what else was in store for me this semester!"

"With that last glimpse of DSG I decided to head for my bus and home to my apartment."

scene bg Bedroom000
with fade

pov "Whew! What an exhausting day!"

pov "I'm just gonna open up my bag and pack some pencils and pens this time. Heh."

pov "Oh?"

"A white piece of paper just fell out of my bag."

show popup fortune000 at Position(xpos =.35, ypos =.3, xanchor =0, yanchor =0)
with None

pov "It's Jaja's 'Fate Selector'."

j " {i}'Jes twy it when you get home ok? Here take it...I want you to hab it.'{/i}"

"Well, why not?"

hide popup fortune000
with None

menu:
        
    "Which number should I choose?"
        
    "1":
        
        jump ask_fortune1_yes
        
    "2":
        
        jump ask_fortune1_no
        
    "7":
        
        jump ask_fortune1_maybe
        
    "9999":
        
        jump ask_fortune1_neither
        
label ask_fortune1_yes:
        
    $ ask_fortune1_choice = "yes"
        
    #Marlain Related    
    "'What was past is now new again transforming into an enriched romance.'"
            
    jump ask_fortune1_done
            
label ask_fortune1_no:
        
    $ ask_fortune1_choice = "no"
            
    #Keeves Related
    "'Sometimes the last ride is actually the best.'"
            
    jump ask_fortune1_done
    
label ask_fortune1_maybe:
        
    $ ask_fortune1_choice = "maybe"
        
    #Polar Related    
    "'A dream finally materializes.'"
            
    jump ask_fortune1_done
            
label ask_fortune1_neither:
        
    $ ask_fortune1_choice = "neither"
            
    #Sato Related
    "'Be kind to all creatures great and small, for you know not which may hold the key.'"
            
    jump ask_fortune1_done
            
label ask_fortune1_done:

$ renpy.music.stop(fadeout=2)
pov "Huh...I wonder what that means?"

pov "Ugh...this is why I hate these kinds of things."

pov "Oh yes, tomorrow I have to remember to ask Jaja about when I can try out for the Track Team."

pov "Got to keep fit one way or another!"

pov "Anyhow I best call it an early night."

pov "I have Visual Effects Class tomorrow morning. I'm not really into that subject at all."

pov "It'll be hard enough staying awake for that class as is."

scene black
with fade

scene bg School Lobby001
with fade

#------------------------------------------------------------------

#Start of Day2

"Next Morning."

$ renpy.music.play('Plain Loafer.mp3', loop=True)

pov "What the hell? Where IS that Jaja...I've been here for almost 45 minutes...I'm going to be late!"

"(Sigh)"

if ask_jaja2_choice == "yes":

    pov "Forget it. Im just going to have to find the classroom on my own."
    
    jump ditch_jaja1_done

elif ask_jaja2_choice == "no":

    menu:
        
        pov "Should I wait abit longer?"
        
        "5 more minutes TOPS!":
        
            jump meet_sato1_yes
        
        "Nahhh.":
        
            jump meet_sato1_no
        
    label meet_sato1_yes:
        
        $ meet_sato1_choice = "yes"
        
        u "Excuse me."
        
        pov "Huh?"
        
        show sato default
        with dissolve
        
        "Here we go again."
        
        u "Listen, I would like to apologize for my behavior yesterday. I was being crude."        
        
        pov "Oh, well, thank you."
        
        "(The look on his face and the tone in which he apologized didn't seem very genuine.)"
        
        pov "Ok...who put you to it?"
        
        u "Hm? I don't follow?"
        
        pov "Everything about your apology was so forced. You weren't really up for it were you?"
        
        u "No I meant it...kind of...sort of..."
        
        u "Wait...how could you tell?"
        
        pov "It's so obvious!"
        
        u "I see, well I have never been called obvious before. That is quite interesting."
        
        u "Let me introduce myself...my name is Sato. And yours?"
        
        pov "%(povname)s."
        
        s "Well it seems you are looking for the Visual Effects Class."
        
        pov "Huh?! What?! How...how did you know that?"
        
        s "It is upstairs on the 4th floor, turn right at the elevators...do not get lost."
        
        pov "Well, it's not like you'd be worried about me or anything."
        
        s "Probably not."
        
        "(Slight grin)"
        
        pov "Did you just smile?"
        
        s "Tch."
        
        hide sato default
        with dissolve
        
        "He just left again!"
        
        pov "Well, that was strange...he kinda smiled."
        
        "And with that I proceeded to the fourth floor." 
        
        "It's funny...I wasn't in a bad mood anymore."
        
        jump ditch_jaja1_done
            
    label meet_sato1_no:
        
        $ meet_sato1_choice = "no"
            
        pov "Forget it. Im just going to have to find the classroom on my own."
            
        jump ditch_jaja1_done
            
    label meet_sato1_done:
    
label ditch_jaja1_done:
    
scene bg Hallway001
with fade

if ask_jaja2_choice == "yes":

    "Of course I was late...and to add insult to injury it turns out the class had been moved for today from the 4th floor to the Sculpting Room anyways."

elif meet_sato1_choice == "no":

    "Of course I was late...and to add insult to injury it turns out the class had been moved for today from the 4th floor to the Sculpting Room anyways."

elif ask_jaja2_choice == "no":
    
    "I was late regardless because it turns out the class had been moved for today from the 4th floor to the Sculpting Room anyways."

elif meet_sato1_choice == "yes":
    
    "I was late regardless because it turns out the class had been moved for today from the 4th floor to the Sculpting Room anyways."
    
"I was just about to sneak into class when..."

u "Whaaaa waiiit!"

show jaja default
with dissolve

pov "Jaja!"

j "Yarg! I'm suuu sowy!"

pov "Alright let's hear it."

j "I forgot."

pov "That's the excuse?!"

"This kid has got me dumbfounded."

j "Well would yoo radder I wied?"

"I was trying my hardest not to laugh."

pov "No I would've rathered you came up with a {i}better{/i}excuse!"

j "Ahhhhhhhh...sowy I sed!"

pov "You have all the answers dont you."

j "I DO! I knows alots! I know where all the cwasses are! I knows what foods are in the caf at all times..."

j "I even know there's a spiwit haunting da skoo!"

pov "A spirit huh? Did your 'psychic' powers tell you that?"

j "Well...I neba sawed it but..."

pov "Listen Jaja, I appreciate you rushing over but I'm already late as it is...so..."

j "Oh otay..."

pov "Oh wait I almost forgot!"

j "YES?"

"His face completely lit up."

pov "Do you know when the tryouts for the Track Team are being held?"

j "Aw das easy...after skoo today. Why? Are yoo gonna twy out?"

pov "Yeah. Anyways I gotta go ok kiddo."

j "oh ya uh huh otay otay. I'll see yas later!"

scene bg Art Room000
with fade

$ renpy.music.stop(fadeout=5)
"35 minutes into class with another 2 hours left I could already feel my eye lids getting heavier."

"I have no idea what the Visual Effects Teacher is talking about.{p}His voice is becoming more and more muffled.{w=1}"

pov "Ugh..."

"Must not close my eyes...{p}(I can feel them fluttering in and out though.){w=1}"

scene black
with None
with Pause(0.02)

scene bg Art Room000
with fade

"I don't want to make a bad 1st impression, I'm already late as it is."

scene black
with fade
with Pause(0.02)

scene bg Art Room000
with fade

pov "Gah..."

pov "Well maybe if I close them for just 5 minutes...it'll be ok."

pov "That'll be no problem...right?"

scene black
with fade

"And then it was game over."

$ renpy.music.play('3-Night_Time.ogg', loop=True, fadein=1)

#~~~~~~~~~~~~~~~Polar Story Arc1~~~~~~~~~~~~~~

pov "Where am I?"

"."

".."

"..."

u "Hey buddy you look kinda lost."

pov "Who's there?!"

show popup dream000 at Position(xpos =.2, ypos =.1, xanchor =0, yanchor =0)
with slow_dissolve

pov "...{p}It's you.{w=1}"

u "Yessir."

u "Well hurry up %(povname)s, are you just gonna stand there and stare all day or you gonna do somethin?"

pov "A-are you..well, I don't...I mean...I-I-m not exactly experienced!!!"

u "Haha what?! I meant would you come sit under our tree with me."

pov "...and stargaze right?"

u "It's your favorite thing to do on nights like this."

pov "Oh wow! I can't believe I thought...never mind. Now I'm really embarrassed."

u "It's all good. It's not like it'd be your 1st time."

"I gulped so hard I could've sworn he must have heard it."

pov "What?!"

u "You're 1st time being embarrassed in front of me you huge dork."

$ renpy.music.stop(fadeout=3.0)

"(He chuckles gently)"

"I could feel my cheeks getting hotter."

pov "Oh...uh of course. I mean this is probably only the 900th time I've seen you."

$ renpy.music.play('Heartbreaking.mp3', loop=True)

u "Exactly."

pov "I haven't seen you in awhile...I've missed you."

u "Aw, I've missed you too boo."

pov "So what have you been up too?"

u "Waiting for you."

pov "Heh...(sigh) if only you were really here."

"What am I saying?"

"Wait. This is a dream!{p}This is that same dream I always have.{w=1}"

"It was the 1st time I'd ever been able to pull myself away from the illusion of the dream even slightly." 

"I decided while I still was able too that I'd ask him what I longed to know."

pov "Who...are you?"

u "Uhh...I don't understand you. Babes, you {i}know{/i}who I am."

pov "Ok let's just say hypothetically that I somehow forgot. Please...just this once if you exist..." 

pov "If you really do care about me...tell me your name."

u "It's ____________."

pov "What? I can't hear you."

u "____________."

"His mouth was moving but his name seemed to be cancelled out by some otherwordly noise." 

"It had a sound and yet it was silent."

u "Are you coming with me?"

pov "Yes of course!"

hide popup dream000
with slow_dissolve

"His image started to sway and become murkier. His voice started to tune in and out."

pov "No wait! Don't go!"

pov "...don't go."

pov "Don't leave me here...alone."

"."

".."

"..."

"All at once my heart felt like it had been crushed into microscopic little pieces."

u "Hey...are you like ok?"

pov "I think so...please, tell me your name."

scene bg Art Room000
with fade

show marlain default
with dissolve

m "%(povname)s, it's me Marlain! Wake up."

"My heart was still pounding. I couldn't breathe."

pov "Oh...it's just you."

m "...w-who did you think it was?"

pov "Never mind."

"I realized that everyone in class was staring at me including the Professor."

pov "Excuse me, I have to go take care of something!"

"I got up and tried to walk out of the classroom as calmly as I could."

m "%(povname)s..."

scene bg Hallway000
with slow_dissolve

pov "I need to calm down...until my heart stops beating so fast anyways."

$ renpy.music.stop(fadeout=2.5)

"I thought I saw what might be an empty classroom at the end of the Instrumental Hallway."

scene bg Empty Classroom000
with dissolve

play sound "3-Birds_Chirping.ogg"

pov "Whew..."

pov "It was only a dream..."

"It felt so real...especially the feelings that were swirling around me at the time."

"I really felt like I was about to lose my best friend. It's a feeling I can't even explain."

pov "It's ok, it must be all the stress of starting a new school year or something."

play sound "3-Door.mp3"

pov "Huh?"

show marlain default
with dissolve

#~~~~~~~~~~~~~~~Marlain Story Arc1~~~~~~~~~~~~~~

m "Heya...like are you ok %(povname)s?"

pov "Yeah I guess. I just had a nightmare that's all."

pov "How did you find me?"

m "Well as soon as you like left I excused myself also and saw you go into this classroom."

m "I just wanted to like make sure you were ok sweetness."

m "A sad face doesn't suit you."

pov "Heh...thanks Marlain."

m "No probs hun."

$ renpy.music.play('Crying Lullaby.mp3', loop=True)

m "Like um...should we head back to class now?"

pov "Well, my heart has basically stopped trying to jump out of my rib cage but I suppose it doesn't hurt to wait a couple of minutes."

m "Ahaha that's hot. I like your new attitude, you bad-ass delinquent you!"

pov "Riight. Me a delinquent? Never! Hehe." 

pov "So you know what I just realized? We basically have every class together but I never really got to talk with you much."

m "So like what do you want me to give you...my life story?"

pov "Well no. Not that."

m "Cause I charge for that one. You'll have to buy my autobiography!"

menu:
        
    m "Cause I charge for that one. You'll have to buy my autobiography!"
        
    "I would be honored to!":
        
        jump ask_marlain2_yes
        
    "Oh gawd...":
        
        jump ask_marlain2_no
        
    "Uhhhh...":
        
        jump ask_marlain2_neither
        
        
label ask_marlain2_yes:
        
    $ ask_marlain2_choice = "yes"
            
    m "Flattery will get you everywhere!"
            
    jump ask_marlain2_done
            
label ask_marlain2_no:
        
    $ ask_marlain2_choice = "no"
            
    m "Oh my goodness, I was like just joking %(povname)s! Ah haha!"
            
    jump ask_marlain2_done
    
label ask_marlain2_neither:
        
    $ ask_marlain2_choice = "neither"
            
    jump ask_marlain2_done
            
label ask_marlain2_done:

pov "Here I'll start. You know my name of course."

pov "I'm thinking of taking Sculpting as my major but I'm waiting until I've seen what all the courses have to offer."

pov "I'm renting an apartment 1 long bus ride away from here but it's really nice."

pov "I can be a neat person given the right circumstances."

m "Are you like seeing anyone?"

pov "What?! What kind of question is that?"

m "Geez no need to get sooo defensive."

m "I was just trying to sound interested by asking you like a personal question."

pov "Are you saying my 'About Me' was boring?"

m "Hey sugar, you said it not me. Haha!"

pov "Oh like you can do better?"

m "Naturally. You like know my name too of course. Like who doesn't seriously."

m "It's my 2nd year here at DSG. I'm 19 and majoring in Strings. I play the violin."

pov "Recording Arts huh? Wow, I thought you'd be leaning more towards Fashion."

m "Ya I know I like get that hella lot!"

m "I come from like an affleunt family...each generation raised on the East End of this city."

m "My Papa like works uber hard for our family."

m "I admire him alot, but like not as much as my Mama of course."

m "She like has an impeccable sense of style!"

m "...but you like never answered MY question."

pov "No I'm not with anyone right now."

pov "Are you?"

m "Actually I'm getting engaged."

pov "What? Really? Aren't you kind of young?"

m "Well Gallande and I have been like going steady for 3 years. We met at my sweet 16. He comes from like the East End as well."

m "I care about him alot but like I'm not sure about this whole engagement thang."

m "I mean, hello? Were both really young!"

m "I've known him for like so long now and we've been talking about getting engaged since we were like both 18."

m "It's just that...I don't know...it's like my feelings have started to like change."

m "Maybe I'm terrified."

menu:
        
    pov "...Marlain."
        
    "Maybe it's just cold feet?":
        
        jump ask_marlain3_yes
        
    "Maybe you love him but your not {i}in{/i} love with him?":
        
        jump ask_marlain3_no
        
label ask_marlain3_yes:
        
    $ ask_marlain3_choice = "yes"
            
    m "Ya maybe that's it."
            
    jump ask_marlain3_done
            
label ask_marlain3_no:
        
    $ ask_marlain3_choice = "no"
            
    m "I hope not."
            
    jump ask_marlain3_done
            
label ask_marlain3_done:
    
$ renpy.music.stop(fadeout=2)
    
m "Oh but look at me go on like it's a big deal or something."

"(Marlain tries to wipe a tear away nonchalantly.)"

m "Oh hey, I was like thinking...do you like wanna trade cell numbers?"

m "That way you can like call me or text me if you need anything."

m "416-999-4277"

pov "Sure. I'll text you my phone number tonight."

m "Fabulous!"

play sound "3-Ringtone2.ogg"
"*Ring Ring*!"

m "My celly...oh speak of the devil. It's like Gallande."

m "Hey baby. Like hold on a sec."

play sound "3-Birds_Chirping.ogg"

m "Catch you like in class soontimes %(povname)s. I'm gonna like stay here and chit-chat abit k?"

pov "Sure Marlain. You're right, I better head back."

scene bg Save Screen000
with flashbulb
with Pause(3.0)

scene bg Hallway000
with flashbulb

stop sound 

pov "Ugh...thank gawd that class is done. Any longer and I would've died."

pov "And class finished a tiny bit early too with 5 minutes to spare."

u "Heeeeyyyyyooooo %(povname)s!!!!"

pov "Ah no, what now?!"

$ renpy.music.play('Organ Filler.mp3', loop=True)

show jaja default
with dissolve

j "%(povname)s!"

pov "Yes Jaja what is it? Look at you you're all out of breath!"

j "Ehhh...whew...aahhh....hmmmm....sorries ha! I taught dat yoo were going home and dat I wood mish yoo!"

pov "Miss me?"

j "Well, of course I MISSES yoo, why do yoo thunk I always find yoo afterskool to wish yoo goodbai?!"

pov "Oh, is that the kind of missing you meant?"

pov "I thought you meant you were about to miss me like you had something to say."

j "Ahhhhh...oh yeah...of course...das wut I really meants!"

j "%(povname)s, yoo must join the Portfolio Review Committee!"

pov "{b}WHAT?!{/b}"

j "Aren't yoo excited?! If yoo joins, yoo'll be hanging out wit me even mores!"

j "I'm da Head of da Committee by the ways!"

pov "So what does this Portfolio Review Committee have to do anyways?"

j "Oh gosh ish shoooo easy!"

j "Da Portfolio Review is held every end of da semester."

j "Any students wit art or performances dey wants to shows off are eligable."

j "Of course we cants book everyone. We cant hab da show last FOREVER!"

j "We come up wit da order of students performing in da review, da suggested date and time and even the flyer to promote the review."

j "Based on how we want the Portfolio Review to run we haves a budget."

j "If we need more muney cuza our plans go over budget..."

j "Let's say da snacks we wants to provide are kinda pricey or the decorations too."

pov "Don't forget the reservations for the venue.That can be very pricey as well!"

j "Exactimillion! Well in that case we have to raise muney for the extra needed budget!"

pov "Whoa whoa whoa! Jaja, this doesn't sound easy at all!"

j "So you're nots gonna help?"

j " PWEESE! pweeseee pweese pweese pwesse!"

menu:
        
    pov "Arg Jaja...I don't know..."
        
    "Let me think about it.":
        
        jump ask_portfolio1_yes
        
    "No way! I don't have time sorry.":
        
        jump ask_portfolio1_no
        
label ask_portfolio1_yes:
        
    $ ask_portfolio1_choice = "yes"
            
    j "I knew yoo wood she it my way. Mwahahaha!"
    
    pov "What?! I didn't even say yes yet!"
            
    jump ask_portfolio1_done
            
label ask_portfolio1_no:
        
    $ ask_portfolio1_choice = "no"
            
    j "Dat sounds like a maybe...I'll take it!"
            
    jump ask_portfolio1_done
            
label ask_portfolio1_done:

pov "I said I'll think about it."

pov "If I make the Track Team I might be too busy. Never mind the mountains of daily homework."

"Ooh that reminds me! I got to get going to the Track Tryouts right now!"

pov "Jaja I have to go. We'll talk about this later."

$ renpy.music.stop(fadeout=0.5)

j "Otay bai! Future Committee member!"

scene bg Football Field Dawn000
with fade

$ renpy.music.play('Beach Bum.mp3', loop=True)

"When I arrived at the Sports Field I looked around and didn't really see anyone there."

"No one who was running or doing laps anyways ."

pov "Did I miss the tryouts?"

u "Hey buddy you look kinda lost."

show polar default
with dissolve

pov "...!"

u "Uh hellooo? (Waves hand)"

"I couldn't talk. That all too familiar feeling of deja vu washed over me."

"But this time it felt like a tsunami."

"I feel like I just have to find out what this is."

pov "Sorry I wasn't paying attention. I'm just alittle distracted!"

"He shot me a look and rolled his eyes."

u "Maybe you wouldn't be so distracted if you quit paying so much attention to my bod."

pov "{b}EXCUSE ME?!{/b} I am not!"

"(He chuckles gently)"

u "Oh reaallyy? Ok kiddo close your eyes then."

pov "Why?!"

"I could feel my cheeks getting hotter."

u "Just DO it I said!"

scene black
with None

pov "Ok ok ok!"

u "See now, that wasn't so hard was it?"

u "So what's the number on my gym towel?"

pov "What does that have to do with anything?"

u "I'll explain right after I promise."

menu:
        
    pov "It was..."
        
    "01":
        
        jump ask_towel1_yes
        
    "07":
        
        jump ask_towel1_no
        
    "17":
        
        jump ask_towel1_maybe
        
    "00":
        
        jump ask_towel1_neither
        
label ask_towel1_yes:
        
    $ ask_towel1_choice = "yes"
           
    u "Incorrect! See, you{i} were{/i} checking me out."
    
    scene bg Football Field Dawn000
    with fade
    
    show polar default
    with dissolve
    
    pov "How is that?"
    
    u "It's simple. If you had been paying attention to anything else like your general surroundings you woulda noticed my towel number."
    
    pov "That's the most conceited thing I've ever heard!"
    
    u "Hey whoa wait dude! I'm not conceited."
    
    jump ask_towel1_done
    with dissolve
    
    pov "How is that?"
    
    u "It's simple. If you had been paying attention to anything else like your general surroundings you woulda noticed my towel number."
    
    pov "That's the most conceited thing I've ever heard!"
    
    u "Hey whoa wait dude! Im not conceited."
    
    jump ask_towel1_done
            
label ask_towel1_no:
        
    $ ask_towel1_choice = "no"
    
    $ polarheart1 = True
            
    u "Correct! See, I knew you were checking me out."
    
    scene bg Football Field Dawn000
    with fade
    
    show polar default
    with dissolve
    
    pov "How is that?"
    
    u "It's simple. Only someone who was paying close attention to the general space around my body would notice a small detail like that."
    
    u "Besides, I saw your eyes doing the whole looking up then down bit."
    
    pov "That's the most conceited thing I've ever heard!"
    
    u "Hey whoa wait dude! I'm not conceited."
            
    jump ask_towel1_done
    
label ask_towel1_maybe:
        
    $ ask_towel1_choice = "maybe"
        
    u "Incorrect! See, you{i} were{/i} checking me out."
    
    scene bg Football Field Dawn000
    with fade
    
    show polar default
    with dissolve
    
    pov "How is that?"
    
    u "It's simple. If you had been paying attention to anything else like your general surroundings you woulda noticed my towel number."
    
    pov "That's the most conceited thing I've ever heard!"
    
    u "Hey whoa wait dude! I'm not conceited."
            
    jump ask_towel1_done
            
label ask_towel1_neither:
        
    $ ask_towel1_choice = "neither"
            
    u "Incorrect! See, you{i} were{/i} checking me out."
    
    scene bg Football Field Dawn000
    with fade
    
    show polar default
    with dissolve
    
    pov "How is that?"
    
    u "It's simple. If you had been paying attention to anything else like your general surroundings you woulda noticed my towel number."
    
    pov "That's the most conceited thing I've ever heard!"
    
    u "Hey whoa wait dude! I'm not conceited."
            
    jump ask_towel1_done
            
label ask_towel1_done:
    
u "So wait...um you weren't checking me out?"

pov "Um...n-no...of course not!"

u "Oh...sorry about that. I actually don't like being checked out." 

u "It kinda happens alot. Makes me hella uncomfortable."

pov "Whoa really?"

u "Yeah...I'm Polar by the way."

pov "I'm %(povname)s."

p "%(povname)s. Das a coo name. Your the 1st %(povname)s I've ever met. Haha."

pov "So are you serious? You really don't like being checked out?"

p "I guess it can be considered an ego boost for some people." 

p "For me though it's kinda gross. I feel like a prize pony."

p "You know what I'm sayin?"

p "Reminds me how superficial most people can be."

pov "I never thought about it that way."

p "Yessir."

pov "That's kinda hypocritical don't you think? I mean look at you...you're CUT!" 

pov "Don't tell me that it's not cause you want to look good."

p "No siirr..."

p "Had to gain mass because I play football as the quarterback." 

p "Been on the team now for 2 years. In total I've been attending DSG for 3."

p "Worked my way up man...when I first started I wasn't the quarterback."

p "In fact I was kinda skinny."

pov "No way."

p "Yup. Became the quarterback not because I was strong or athletic, but because I could come up with wicked plays."

pov "You mean like strategies on the field?"

p "Yeah, the thing is after awhile it didn't matter how brilliant my plays were if I didn't have the physicality to match."

p "I only bulked up to be competitive." 

p "If it were up to me, I'd still be a skinny dork."

pov "So Polar you're a 'Jocky Nerd'...that's an oxymoron if I ever heard one."

p "Tell me about it!"

pov "I'm surprised you actually know what oxymoron means!"

p "Heeyy, what the hell %(povname)s? Heh heh."

pov "I'm just kidding."

p "So what's your story? I'm guessing your new here."

pov "Yes it's my 1st year here at Dream Savior Gakuen." 

pov "I'm really enjoying myself. I was hoping to join the Track TeamTrack Team."

pov "My friend told me the Tryouts were today but I guess I spent so much time talking to him after class that I missed it."

p "Track Tryouts?{p}Naw man, today was Football Tryouts! Das why I'm here.{w=1}"

pov "Oh gawd..."

"{b}JAJA!!!!!!{/b}"

pov "Oh well maybe next time."

p "It's all good. When I 1st started at this school I was pretty out-of-it all the time too."

pov "So it's your 3rd year here? What are you majoring in?"

p "Yessir, I'm 20 and it's my 3rd year. Next year is going to be my last. I'm gonna miss DSG." 

p "Majoring right now in Graphic Design but I'm not doing so hot."

pov "That sucks...do you think you'll pass?"

p "Hope so. I'm not bad but I'm not very good. Wanna know how I got into Dream Savior Gakuen?"

pov "Sure."

p "Went down like this...my art skills in general aren't that great..."

p "BUT on my transcripts I got high 90's on all my academic courses."

p "School made an exception for me especially now with the football thing."

p "I don't really dig football all that much but my Dad was a quarterback in college."

p "So he's really pushing for the whole football thing."

p "My Dad and DSG believe I can take our team to the State Finals. It's alot of pressure."

pov "Heh...and I thought I was going through alot of pressure. Well I hope though that you can figure it all out somehow."

p "Thanks %(povname)s. It was really nice meeting ya. I actually gotta book it back to practice."

pov "Ok well, 1 last thing. So if you're really a jock-nerd..."

pov "What's 255 divided by 77?"

p "Around 3.3116."

pov "11.5 percent of 6750?!"

p "776.25."

pov "Whoa!"

p "Anyways %(povname)s I should go. Catch ya later!"

$ renpy.music.stop(fadeout=0.5)

hide polar default
with dissolve

pov "Bye."

scene bg Bus000
with fade

$ renpy.music.play('3-Traffic.ogg', loop=True)

"Luckily I was able to catch the last bus."

"I guess I got carried away talking to Polar."

"If I had missed this bus I would've had to take the subway and then 2 street cars home."

pov "It's pretty empty when it's this late."

"Well except for that 1 guy a couple of seats ahead of me on the opposite side."

"I can't stop thinking about that feeling I got when I met Polar..."

$ renpy.music.stop(fadeout=3)

"Why do I feel like I know him...or rather, that I was {i}meant{/i} to know him?"

scene black
with flashbulb

y "{i}...maybe it's just '1st-day-of-school' jitters, but I ended up having that dream just now.{/i}"

scene black
with flashbulb

y "{i}This time, in my dream, He was joking with me about not paying attention to anything but his bod.{/i}"

scene bg Bus000
with flashbulb

pov "!!!"

pov "What's going on?"

pov "Is it really...Him?"

"Suddenly I noticed the only other person on the bus had turned around and was looking at me."

"I felt embarrassed. Had I said all of that out loud?"

"He smiled gently, got up then sat down beside me and said..."

$ renpy.music.play('2-Bus.mp3', loop=True)

show keeves default
with dissolve

u "No, you didn't say any of that out loud."

pov "What?"

u "Hmhm...nothing."

u "You go to DSG too don't you?"

u "I'm Keeves. It's really nice to meet you."

pov "I'm %(povname)s. It's nice to meet you too."

"For the 1st time since I started attending Dream Savior Gakuen...he's the {b}1st{/b} person I met who I didn't get that deja vu feeling with."

"That in itself was a weird feeling...but amazing at the same time."

k "No, we've never met before."

pov "Yes...I know that."

k "You don't normally take the last bus do you? I'm usually the only person on it."

pov "No usually I'm out of here right when my last class is done."

pov "Today though things got abit hectic and I guess I got distracted."

k "By his bod right?"

pov "H-how...who are you?"

k "%(povname)s...I already told you my name remember?"

k "Besides I think the more important question is are you enjoying DSG?"

pov "Uh well yeah. I'm kind of new to it all but I'm slowly figuring it all out. Like what major I want to take...where my classes are..."

k "I think you should take Sculpting...I think you'd be good at it."

pov "Really? Yeah sculpting is ok."

pov "What about you?"

k "It's my 2nd year here at Dream Savior Gakuen. I'm 18 and I'm majoring in Classical Painting."

pov "Cool. So you usually work on stuff after school? Is that why you're always on the last bus?"

k "Heh heh...kind of. I like taking the last bus. It helps me think...if that makes any sense."

k "I actually live kind of far from here."

k "Where I live is out of the city...it's pretty remote."

"(He smiles gently)"

k "I'm used to being alone."

pov "So after this..."

k "Yea I take 1 more bus."

pov "Ahh I see."

k "I'm glad you're enjoying DSG. It's a really good school."

k "Have you met people...made any friends yet?"

pov "Haha yeah you can say that. I've met alot of uh 'interesting' people but I think I've also made a couple of friends."

k "Oh ya like who?"

pov "Well, the 1st person I met was kind of interesting."

k "What did you think of him?"

pov "I dunno, he was rude but other then that he's kind of hard to read."

pov "Then there's this kid Jaja. He's a whole other story!"

menu:
        
    k "Why? What's he like?"
        
    "Hyper but a good kid.":
        
        jump ask_keeves1_yes
        
    "A BRAT!":
        
        jump ask_keeves1_no
        
label ask_keeves1_yes:
        
    $ ask_keeves1_choice = "yes"
            
    k "It sounds like you've warmed up to him."
            
    jump ask_keeves1_done
            
label ask_keeves1_no:
        
    $ ask_keeves1_choice = "no"
    
    k "Haha...I'm sure he's not that bad."

    k "Besides I have the feeling he holds someone's key."
    
    pov "Keeves, what do you mean?"
    
    k "Oh, haha...sorry I'm kind of tired. I guess that didn't make much sense."
            
    jump ask_keeves1_done
            
label ask_keeves1_done:
    
pov "I've also gotten to know this guy in my section named Marlain."

pov "At first I thought there would be a chance we'd clash personality wise."

menu:
        
    k "And now?"
        
    "I think we could become very close.":
        
        jump ask_keeves2_yes
        
    "I really haven't made up my mind about him yet.":
        
        jump ask_keeves2_no
        
label ask_keeves2_yes:
        
    $ ask_keeves2_choice = "yes"
            
    k "Sometimes opposites attract."
    
    k "But since you're getting along so well maybe you have more in common with eachother then you think."
            
    jump ask_keeves2_done
            
label ask_keeves2_no:
        
    $ ask_keeves2_choice = "no"
    
    k "Well honestly there's no rush. Friendships happen naturally."
    
    k "People at DSG tend to be really helpful and sociable."

    jump ask_keeves2_done
            
label ask_keeves2_done:

k "Anyone else?"

pov "Then TODAY I met this guy named Polar."

menu:
        
    pov "He's..."
        
    "I dunno...but I'd like to get to know him alot more.":
        
        jump ask_keeves3_yes
        
    "I dunno...I just met him.":
        
        jump ask_keeves3_no
        
label ask_keeves3_yes:
        
    $ ask_keeves3_choice = "yes"
            
    k "Hmmm...interesting."
            
    jump ask_keeves3_done
            
label ask_keeves3_no:
        
    $ ask_keeves3_choice = "no"
    
    k "I see..."

    jump ask_keeves3_done
            
label ask_keeves3_done:
    
pov "And now I've met you!"

pov "You know its funny Keeves, I've been meeting all these people and seen all these things that seem so familiar."

pov "You're the exception though..."

"(Keeves smiles knowingly)"

k "How about feeling wise...have you felt anything familiar?"

pov "I never thought of it before...um, I don't know I guess..."

k "So those guys you mentioned...did they give you that familiar feeling too?"

k "Do you like anyone of them?"

pov "What?"

k "Let's say you liked someone but you weren't sure if they liked you back but the chance came up..."

k "Would you..."

scene black
with None

show popup keeves moment001 at Position(xpos =.35, ypos =.3, xanchor =0, yanchor =0)
with None
with Pause(0.5)

k "...kiss..."

show popup keeves moment000 at Position(xpos =.3, ypos =.3, xanchor =0, yanchor =0)
with None
with Pause(0.5)

hide popup keeves moment001
with None

k "...him?"

hide popup keeves moment000
with None

scene bg Bus000
with fade

show keeves default
with dissolve

pov "Keeves?"

k "Just a hypothetical question of course...you don't have to answer it if you don't want to."

"Whew, cause at this point I'm not sure what to say."

k "I think that in your life you meet someone for a certain reason. Maybe they are there to make you happy...perhaps sad."

k "Nevertheless they leave an impression. There are never any coincidences."

k "Why you chose DSG for example...don't be afraid to not hold back %(povname)s."

pov "..."

k "Ooh look where we are!"

pov "Oh my gosh I passed my stop!"

pov "It was nice meeting you Keeves but I have to go."

k "Will I see you here tomorrow?"

menu:
        
    pov "Well..."
        
    "Sure, I want to see you again...":
        
        jump ask_keeves4_yes
        
    "I don't know if I can make it.":
        
        jump ask_keeves4_no
        
    "Probably.":
        
        jump ask_keeves4_unsure
        
label ask_keeves4_yes:
        
    $ ask_keeves4_choice = "yes"
            
    $ keevesheart1 = True
            
    k "R-really? I'd like to see you again too."
            
    jump ask_keeves4_done
            
label ask_keeves4_no:
        
    $ ask_keeves4_choice = "no"
    
    "(He smiles)"
    
    k "I see."

    jump ask_keeves4_done
    
label ask_keeves4_unsure:
        
    $ ask_keeves4_choice = "unsure"
    
    k "Ok, we'll play it by ear."

    jump ask_keeves4_done
            
label ask_keeves4_done:
    
k "Take care though...baii!!"

$ renpy.music.stop(fadeout=0.5)

pov "You too Keeves! See ya!"

scene bg Bedroom000
with fade

$ renpy.music.play('White.mp3', loop=True)

"Thank goodness I only missed my stop by about 3 blocks."

"The walk home wasn't so bad. And now that I'm home I can finally relax."

pov "(Sigh)...what a crazy day. I'm exhausted."

"As I lay on my sofa, thoughts of today's events swirled around in my head."

"The Portfolio Review Commitee, Visual Effects Class but mostly the guys."

pov "No %(povname)s! I came here to study and to develop as an artist at Dream Savior Gakuen." 

pov "Not to get involved romantically!"

"I looked over at the table beside my sofa and noticed Jaja's Fate Selector."

show popup fortune000 at Position(xpos =.35, ypos =.3, xanchor =0, yanchor =0)
with None

"...1 more time before I go to bed."

hide popup fortune000
with None

menu:
        
    "Which number should I choose?"
        
    "11":
        
        jump ask_fortune2_yes
        
    "4":
        
        jump ask_fortune2_no
        
    "49":
        
        jump ask_fortune2_maybe
        
    "6666":
        
        jump ask_fortune2_neither
        
label ask_fortune2_yes:
        
    $ ask_fortune2_choice = "yes"
    
    $ coachheart1 = True
        
    #Marlain Related    
    "'A call will be heard that may lead to love.'"
            
    jump ask_fortune2_done
            
label ask_fortune2_no:
        
    $ ask_fortune2_choice = "no"
            
    #Keeves Related
    "'A young friend will make a life altering proposal.'"
            
    jump ask_fortune2_done
    
label ask_fortune2_maybe:
        
    $ ask_fortune2_choice = "maybe"
        
    #Polar Related    
    "'Dreams run parallel to reality but luck is everything.'"
            
    jump ask_fortune2_done
            
label ask_fortune2_neither:
        
    $ ask_fortune2_choice = "neither"
            
    #Sato Related
    "'When a tangled 3 emerges choose the softer of the bunch.'"
            
    jump ask_fortune2_done
            
label ask_fortune2_done:
    
hide popup fortune000
with dissolve
    
pov "Hmph. Once again I have no idea what that means."

pov "Anyways time to get some shut eye. I have the feeling this week will be pretty busy."

pov "I'm getting used to the school...I only hope nothing goes wrong."

$ renpy.music.stop(fadeout=3)

scene bg School Lobby001
with fade

#------------------------------------------------------------------

"Couple of days later."

pov "Ahh, early as usual."

pov "Today is...oh yeah I have Life Drawing 1st period!"

"I was really starting to get ahold of the workflow and the location of all my classes at Dream Savior Gakuen."

"Things were even starting to settle down alittle."

u "Wa wa wa waiiiittttt!!!!"

pov "Jaja?"

show jaja default
with dissolve

j "Hey! Were do yoo thinks YOU'RE going?"

pov "Uh, to class maybe?"

j "Oh otay das fine. %(povname)s, meet me at the pubwic libwary during lunch."

j "It's serious."

hide jaja default
with dissolve

pov "Ok..."

"I wonder what that was all about?"

pov "Why the library?"

"What Jaja said was starting to bother me but I brushed it off."

pov "It's probably nothing. Besides, I got to get to class. It's on the other side of the building!"

$ renpy.music.play('Eternal Hope.mp3', loop=True)

scene bg Library000
with fade

"After Life Drawing and then Color Theory Class I walked to the city's Public Library." 

"It's only a 5 minute walk away from the school."

pov "Wow this is my 1st time in a library this big!"

pov "I wonder why Jaja chose the library of all places?"

pov "Where is he now?" 

pov "If he turns out to be 45 minutes late like that last time I'm going to smack him."

j "Heyas!"

show jaja default
with dissolve

pov "Whew, there you are. Are we allowed to eat lunch in here? I'm kind of hungry."

j "Noooo of corsh not mang!"

j "Dis ish a library geez."

pov "This better be important then Jaja seriously."

j "Of corsh it is! I'm callings to order da 1st meeting of The Portfolio Review Committee!"

pov "Uh...ok...so why do you need ME here?"

j "Because! %(povname)s yoo are my 2nd in command."

pov "W-what? What do you mean Jaja?"

j "I shined yoo up for The Portfolio Review Committee."

play sound "3-Doosh.mp3"
with hpunch 

pov "{b}YOU WHAT!!!?!?{/b}"

j "Dere's no use thanking me...I don't minds. I submitted all the names already!"

pov "What the heck Jaja I said I was going to think about it and get back to you!"

j "Yessums butchu were taking soo lonnggish!"

j "Don't be mad otays?"

j "And don't makes that face %(povname)s like your going to be sicks otay? Ish gonna be FUN! Yoo'll she!"

pov "Oh...I do kind of feel sick now."

pov "Ok ok well since the names are submitted I don't really have a choice now do I? Is it just us?"

j "Um oh no of corsh not mang! The udders shood be showing ups soontimes."

j "Oh dere he is!"

show sato default at right
with dissolve

pov "!!!"

pov "YOU!"

j "I'd likes to introduce yoo to my bruffer Sato."

pov "You guys are brothers!?"

s "Correct."

j "Ya rememba I wash talkings bout my older bruffer da firsht day i mets you."

j "Bruffer dis ish %(povname)s."

s "Of course."

j "Be nysh to him otay? %(povname)s ish koo and i likes him."

s "(Sigh) Alright Jaja, I will try but only because you asked me too."

"I started to laugh alittle...I couldn't help it."

j "Huh?"

s "What?"

pov "Sorry, it's just that you both are so different! I could never see you too being brothers."

pov "It's funny though because I can see you guys getting along really well."

j "Yaaaa Sato ish a good older bruffer!"

s "Well, I-I suppose. I try to be anyways."

pov "You can really see it."

s "Thank you %(povname)s. That was very kind of you."

"(Sato smiles... but as soon as it became visible it disappeared again)"

j "Wow Bruffer I didn't think yoo'd warm up to %(povname)s DIS fast?"

s "Tch. I think you both are getting far too ahead of yourselves."

s "Let us just keep in mind the task at hand shall we?"

"I was still smiling on the inside. I couldn't believe they were brothers."

"They didn't look related at all and they have polar opposite personalities."

"I noticed Sato would never make direct eye contact with me but every now and then when I was talking to Jaja I'd catch him taking quick stares."

"Is he trying to analyze me or something?"

j "Dere ish someone elsh coming too any minute na!"

s "There."

show marlain default at left
with dissolve

m "Hey dahling! Let's get this party started!"

pov "Marlain! What you too!? Haha!"

m "Yes I know...Portfolio Review Committee...sounds kinda like nerdish but when I like found out you needed help I couldn't like say no."

j "Yessum, I notished yoo guys talkin alots afta cwass so I asked Marlain if he wants to help."

s "Do not get my intentions wrong though. I am only here to help out Jaja and that is all."

m "Oh come now Sato...there's like no need to be so ice cold." 

m "Were like all friends here working towards like a common goal right?"

j "Ya FWENDS!!!!"

s "Hmph..."

pov "Sounds ok to me. Maybe this won't be so bad afterall."

j "Hahaha you betcha!"

m "Like awwwww..."

m "Hahaha!"

scene black
with fade

"We spent the rest of our lunch talking, laughing and sneaking in bites of food when we thought no one was looking."

"It was one of the best times I've had at DSG."

"And to think none of it would've been possible if Jaja hadn't forced me into this stupid committee."

"Don't be afraid to not hold back? Is this what Keeves meant?"

"After lunch and discussing the portfolio review plans we all walked back to school together."

scene bg School Lobby001
with fade

show marlain default at left
with dissolve

show jaja default
with dissolve

show sato default at right
with dissolve

pov "So Jaja I don't know about some of those plans you have for Portfolio Review Night."

pov "Some of them sound kind of..."

s "Expensive."

m "No I like think we can do it! Even if we like follow Jaja's plan we'll only be like over budget by abit."

m "Split that between 4 people and I'm like sure we can come up with the money in no time!"

pov "That's true!"

j "I'm so gwad dat yoos guys are helping me out. Especially yoo %(povname)s."

j "I'd be lying if I shed dat I taught yoo wanteds to join da Portfolio Review Committee."

m "Were like all glad you did though honey."

s "May we abbreviate the term we use for ourselves? Portfolio Review Committee is much too long."

s "May I suggest 'PRC'?"

pov "But you never abbreviate anything. Not even in your everyday speech Sato!"

"(He turned bright red)"

s "Well I...uh that is...mmmm."

s "Tch!"

m "Haha that's my %(povname)s! That's why I like you so much."

pov "Huh?"

m "Oh like nothing."

"(Marlain smirks)"

j "So ish decided den we all have our tasks to do for next meeting."

m "Like I'm going to raise funds by selling my clothes from last season on the internet."

m "I'm sure people are like DYING to have them!"

j "Imma scope out some venues for us to hold da Review at." 

j "Worse comes to worse I'm sure we can haves it at da skoo."

j "But I likes exploring so..."

s "I shall design the Portfolio Review Flyer." 

s "That way we shall have something to hand out and post around Dream Savior Gakuen."

s "And of course the surrounding city."

pov "Hmm I'm not sure what I can do. I met someone on the football team yesterday who might be able to help."

pov "Hmmm...."

pov "Maybe I can ask him if they can hold a charity game to raise funds for the PRC!"

pov "Anything sports wise always brings in a crowd."

j "Das a great idea %(povname)s! Ask him today ha."

m "Yeah gorgeous goodluck."

s "See you later."

pov "See you guys! I'm late for class I gotta go."

$ renpy.music.stop(fadeout=2)

scene bg Hallway000
with fade

pov "Darnit class finished kind of late today."

pov "I wonder if Polar will still be around? I should go check out the Sports Field."

pov "I hope he says he can help out."

scene bg Football Field Dusk000
with fade

pov "..."

pov "Looks like they have practice today. Rather it looks like they just finished practice."

pov "Now where is he?"

pov "I hope he didn't leave."

p "%(povname)s!"

pov "Polar?"

p "Over here..."

$ renpy.music.play('Water Droplets on the River.mp3', loop=True)

scene bg Polar Moment000 at Pan((0, 800), (0, 0), 10.0)
with dissolve

pov "!!!"

pov "Polar..."

scene bg Save Screen000
with flashbulb
with Pause(3.0)

scene bg Football Field Dusk000
with flashbulb

show polar default
with dissolve

#~~~~~~~~~~~~~~~Polar Story Arc2~~~~~~~~~~~~~~

p "Hey sorry %(povname)s, I know I look kinda grody...the guys and I just had practice."

pov "Ahh don't worry Polar it's alright. At least it turns out you're still here."

p "No kidding...what brings you to our neck of the woods again huhhh?"

"(Polar laughs and wipes his brow with his towel)"

"I lost track of what I was going to say completely!"

p "Well hurry up %(povname)s, are you just gonna stand there and stare all day or you gonna do somethin?"

pov "A-are you..well, I don't...I mean...I-I-m not exactly experienced!!!"

p "Haha what?! I meant what were you going to ask me? You were going to ask me somethin right?"

pov "Yes! I was going to ask you if you could help me out with some fund raising for the PRC?"

pov "Were in charge of raising funds and coming up with the program for the Portfolio Review."

p "Yo man that sounds good."

p "I know a couple of the guys on the team want to present this year at the Portfolio Review."

p "I'll help mostdef."

pov "Really? I was thinking maybe DSG's football team could have a special charity football game to raise funds."

p "You know what %(povname)s that's an amazing idea and I'd be honored to help."

p "Here's what I'll do...I'll talk it over with the team tonight but I'm pretty sure you can count on us ok?"

pov "Wow thank you! You don't even know how much this helps us out."

pov "To tell you the truth I was kind of embarrassed to come ask you."

p "It's all good. It's not like it'd be your 1st time."

"I gulped so hard I could've sworn he must have heard it."

pov "What?!"

p "You're 1st time being embarrassed in front of me you huge dork."

pov "Oh that 1st time...of course!"

scene black
with flashbulb

show popup dream000 at Position(xpos =.2, ypos =.1, xanchor =0, yanchor =0)
with slow_dissolve

u "{i}It's all good. It's not like it'd be your 1st time.{/i}"

"{i}I gulped so hard I could've sworn he must have heard it.{/i}"

pov "{i}What?!{/i}"

p "{i}You're 1st time being embarrassed in front of me you huge dork.{/i}"

scene bg Football Field Dusk000
with flashbulb

show polar default
with dissolve

pov "!"

p "Know what's funny? Why do I feel like we've had this conversation before?"

pov "Polar, can I ask you a question? It may be kind of strange but just humor me."

p "Shoot."

pov "Do you believe in soulmates?"

p "Hmmm...I do actually if you can believe that."

p "In fact I kinda have a theory on it..."

p "But I mean, of course you don't wanna hear it...it's kinda out there."

pov "No I really do!"

p "Well, it goes something like this..."

p "I believe there has to be 1 person throughout all of mankind who'd be perfect for you."

p "Think about how many people have existed and will continue to exist and be born." 

p "Are you saying not one of them EVER could be your soulmate?"

p "I think yeah. Everyone has a soulmate...{p}it's just are you lucky enough to have that person exist during you're timeline?{w=1}"

p "Maybe you can even connect to them subconsciously throughout the ages. Like through a conduit."

pov "Like through a dream?"

p "Heh, yessir das possible. Never thought of that one before." 

"(He smiles)"

p "Man but look at me ramble on, I should really get goin." 

p "Gotta take a shower, change then head home."

p "Don't worry about it %(povname)s. The charity game is as good as set. We'll have it next week." 

p "I'd love it if you could make it!"

pov "For sure Polar! I'll be there. I wouldn't miss it for anything."

p "Good. Cause you know the only reason I'm doin it is for you right?"

pov "Really?"

p "Yeah, but hey I'll check ya later. Come to the game aight!"

hide polar default
with dissolve

pov "Ok later!"

"I couldn't help but smile. Polar was such a great guy helping us out like this."

"Everyone on the PRC is gonna be excited."

"I'll let Jaja, Marlain and yes even Sato know the good news tomorrow. It's getting kind of late."

$ renpy.music.stop(fadeout=0.5)

"Time for me to head out too."

"I turned around and then..."

$ renpy.music.play('Heartbreaking.mp3', loop=True)

show jaja default
with dissolve

j "Boo!"

pov "Ahhh! How long have you been standing there Jaja?!"

j "Teehee oh eyes jes gots here mang."

j "I wanteds to check up on yas."

j "So wuts did he say?"

pov "He says it's a go! The charity game will take place next week."

pov "I have the feeling we'll have more then enough surplus budget to go around with all 4 of us fundraising!"

j "Whaaaaa?! Goods job %(povname)s! I knews it would be a gud idea ta hab yoo on da PRC!"

j "So wuts are yoo up to na?"

pov "Just gonna head home I guess. Why?"

j "Uh...nuffin."

j "O-oh well I wash thinking maybe yoo wanted ta go for icecweam?"

pov "Icecream?"

pov "You want to talk about the PRC stuff some more don't you?"

j "No...jes to go, witchu...das it."

"(Jaja starts looking at the ground for some reason)"

pov "Jaja are you ok?"

j "%(povname)s..."

menu:
        
    j "Do yoo wants ta go or nots?"
        
    "Sure I guess.":
        
        jump ask_jaja3_yes
        
    "No thanks. I'll miss my bus home.":
        
        jump ask_jaja3_no
        
label ask_jaja3_yes:
        
    $ ask_jaja3_choice = "yes"
            
    j "Otays coo! It'll be fun twust me! My tweat."
    
    scene bg Infront School001
    with fade
    
    show jaja default
    with dissolve
    
    j "Heh I didn't think we'd be dis late!"
    
    pov "Yeah I missed my last bus. I'm going to take a cab probably and get going."
    
    pov "The icecream was good though."
    
    j "%(povname)s, yoo had fun wit me didn't yoo?"
    
    pov "Of course!"
    
    pov "You're acting kind of weird Jaja. Is everything ok?"
    
    j "Yessum of corsh. I dunno why I'm being sho silly for."
    
    "(His face turned bright red)"
    
    pov "?"
    
    j "I gesh I jes wanteds ta makes sure yoo and I..."
    
    j "Uh anyways! I should go! Sato will be worrieds if I don't show up home shoon!"
    
    j "Let's meet up tomorrow at lunch again likes last time otay?"
    
    j "PRC meeting agains."
    
    j "Buh-Bye!"
    
    hide jaja default
    with dissolve
    
    pov "."
    
    pov ".."
    
    pov "..."
    
    pov "...Jaja."
    
    pov "What was that all about?"
    
    pov "Was that about what I think it was about?"
            
    jump ask_jaja3_done
            
label ask_jaja3_no:
        
    $ ask_jaja3_choice = "no"
    
    j "O-Oh...I she..."
    
    j "Uh anyways! I should go! Sato will be worrieds if I don't show up home shoon!"
    
    j "Let's meet up tomorrow at lunch again likes last time otay?"
    
    j "PRC meeting agains."
    
    j "Buh-Bye!"
    
    hide jaja default
    with dissolve
    
    $ renpy.music.stop(fadeout=0.5)
    
    pov "What was that all about?"
    
    $ renpy.music.play('Arcadia.mp3', loop=True)
    
#~~~~~~~~~~~~~~~Keeves Story Arc2~~~~~~~~~~~~~~
    
    scene bg Bus000
    with fade
    
    "I was able to catch my last bus ride. The last bit of sunlight was streaming in through the windows."
    
    "I looked around and saw him."
    
    "...sitting in the same spot as before."
    
    "Keeves smiled and then gestured to me so I went and sat down beside him."
    
    show keeves default
    with dissolve
    
    k "Hi %(povname)s. You made it afterall."
    
    pov "Well, Jaja wanted to go for icecream but I really wasn't in the mood for some reason." 
    
    pov "I've had an exhausting day."
    
    k "I'm glad you're here."
    
    pov "We'll I would've missed our afterschool bus ride talk." 
    
    pov "And to be honest I kinda like this."
    
    pov "Can we..."
    
    k "Make it a regular thing?"
    
    pov "Yeah! I was just about to say that."
    
    k "Heh...perhaps."
    
    k "So tell me about you're day...did anything cool happen?"
    
    pov "Other then me getting unwillingly drafted for the PRC? Not much! Haha!"
    
    k "The Portfolio Review Committee..."
    
    pov "Yes. How did you know that's what PRC stood for?"
    
    k "A wild guess."
    
    pov "Jaja, Sato, Marlain and I make up the committee. It's a sort of rag tag team but I think we may be able to pull it off."
    
    pov "Also I was able to convince Polar to help us do abit of fundraising." 
    
    pov "He's gonna get the team to throw a charity football game next week."
    
    k "That's exciting! Tell him if he can to have it sometime before the 7th next week."
    
    pov "Why the 7th?"
    
    k "I'd like to see it and it would be better before the 7th. Believe me."
    
    "Keeves looks out the window as curtains of sunset fall through."
    
    pov "Keeves, why do you live so far away from DSG?"
    
    k "Dream Savior Gakuen is the best place I've been to...school-wise anyways. It's worth the long ride."
    
    k "Hm...you know...growing up I never really fit in at school. I was being moved from school to school. Place to place."
    
    k "My parents...they were such good parents." 
    
    k "Whenever I got expelled or just didn't have the strength to stay any longer they would move and bring me to any school they thought would help me."
    
    k "But I wasn't a good son."
    
    k "I took out my frustrations on them."
    
    k "And pretty soon even when I was brought to a school where people were kind to me I stopped trying." 
    
    k "I was rebellious and anti-social."
    
    pov "So what happened?"
    
    k "Eventually we moved far away from the city. To a remote place where I could be alone." 
    
    k "I told my parents that's what I had wanted the whole time."
    
    k "And that if they really cared they would've known that."
    
    k "They never complained once."
    
    k "Then one day late at night I heard them talking outside on our porch together...underneath the stars."
    
    k "My Mother and Father had given up job after job, dream after dream, house after house...just for me."
    
    pov "Keeves..."
    
    k "You know what I resolved to do %(povname)s?"
    
    pov "No, what did you do?"
    
    k "I decided I would choose my next school wisely and whatever happened I wouldn't budge or move." 
    
    k "Even if I hated it there I would be the one to sacrifice for once...for them."
    
    k "Luckily I loved DSG the moment I started. It had such a warm and inviting atmosphere."
    
    k "My parents offered to move us closer into the city but I told them no." 
    
    k "I knew how much they loved our place now."
    
    k "I told them...that this time, I'd ride a million buses to get here and back..."
    
    k "As long as it made them happy."

#~~~~~~~~~~~~Keeves' Story Arc1~~~~~~~~~~~~~~~
    
    if ask_keeves4_choice == "yes":
        
        $ keevesfix1 = True
        
        play sound "3-Flashback1.mp3"
        with vpunch 
        
        scene black
        with flashbulb
        
        y "{i}...maybe it's just '1st-day-of-school' jitters, but I ended up having that dream just now.{/i}"
    
        y "{i}It was about...{p}him again.{w=1}{/i}"
        
        scene bg Football Field Dusk000
        with flashbulb

        show polar default
        with dissolve

        pov "{i}!{/i}"

        p "{i}Know what's funny? Why do I feel like we've had this conversation before?{/i}"
        
        scene bg Art Room000
        with flashbulb

        show marlain default
        with dissolve

        pov "Oh...it's just you."
        
        "STOP!"
        
        scene bg School Lobby001
        with flashbulb
        
        show sato default
        with dissolve
        
        u "..."
        
        scene bg Empty Classroom000
        with flashbulb
        with Pause (0.2)
        
        scene bg School Lobby001
        with flashbulb

        show marlain default at left
        with dissolve

        show jaja default
        with dissolve

        show sato default at right
        with dissolve
        
        pov "Maybe I can ask him if they can hold a charity game to raise funds for the PRC!"
        
        "What's going on?!"

        pov "Anything sports wise always brings in a crowd."
        
        "It's like I'm being teleported to different moments in time."

        j "Das a great idea %(povname)s! Ask him today ha."
        
        "I wanted to say something, ANYTHING else...but all I could utter was what I had already said in that particular moment of time!"

        m "Yeah gorgeous goodluck."
        
        "Keeves..."

        s "See you later."
        
        "Help me!"

        pov "See you guys! I'm late for class I gotta go."
        
        play sound "3-Flashback1.mp3"
        with vpunch
        
        scene bg Bus000
        with flashbulb
        
        show keeves default
        with dissolve
        
        k "%(povname)s! Are you ok?!"
        
        pov "Keeves...I-I...I think so..."
        
        pov "Wha..."
        
        pov "What's happening to me?"
        
        pov "I've been having deja vu all week...but not like that!"
        
        k "It was intense wasn't it?"
        
        pov "Yes. I felt like my whole body was being torn apart. I have a headache. I think I might throw up..."
        
        pov "Do you know what this is?"
        
        k "..."
        
        k "...No. But I might be able to find out. What's important is that you're alright."
        
        k "Listen carefully %(povname)s. I might be able to help you but it all depends on you."
        
        k "I might have an answer but you have to meet me here on the bus next week."
        
        pov "What day?"
        
        k "Any. I'll always be here."
        
        menu:
        
            pov "I-I..."
        
            "Yes.":
        
                jump ask_keeves5_yes
        
            "I'm not sure yet.":
        
                jump ask_keeves5_no
        
        label ask_keeves5_yes:
        
            $ ask_keeves5_choice = "yes"
            
            $ keevesheart2 = True
        
            k "%(povname)s..."
            
            k "You're stop is coming up. Just go home and get some rest."
        
            pov "Thank you Keeves...I-I don't know what I'd do right now if you weren't here."
            
            k "I'll see you next week."
            
            k "Bai %(povname)s. Take it easy ok?"
            
            jump ask_keeves5_done
            
        label ask_keeves5_no:
        
            $ ask_keeves5_choice = "no"
            
            k "Well, the important thing is for you to get home and get some rest. Maybe it's just the stress from all you're new responsibilities."
            
            pov "Yeah...maybe that's it."
            
            k "It's your stop by the way."
            
            pov "Oh! It is!"
            
            pov "Thank you Keeves. For everything."
            
            k "Goodbye %(povname)s."
            
            jump ask_keeves5_done
                
    else:
        
        pov "I'd say you were a pretty good son now."
        
        pov "We all make mistakes."
        
        pov "It's what you do with the knowledge afterwards that makes the difference."
        
        "(Keeves smiles knowingly)"
        
        k "That's very wise %(povname)s."
        
        k "Thank you."
        
        pov "You're very welcome."
        
        k "You know, you're the 1st person to ever ask me about myself..."
        
        pov "No way!"
        
        k "Haha you didn't let me finish."
        
        k "You're the 1st person to ever ask me about myself and receive an actual answer."

        pov "Must be those bus ride conversations...they tend to open you up I suppose."
        
        k "Heh...I'm so happy to have met you."
        
        k "Oh, look who's stop it is."
        
        pov "Oh that's me!"
        
        pov "I'll see you later right Keeves?"
        
        k "Goodbye %(povname)s."
        
        jump ask_keeves5_done
            
        label ask_keeves5_done:
        
    jump ask_jaja3_done
            
label ask_jaja3_done:
    
$ renpy.music.stop(fadeout=2)

scene bg Bedroom000
with fade

if keevesfix1 == True:
    
    "When I got home I just had to lie down...I couldn't grasp today's events."
    
    pov "What does it all mean?"
    
    "And why did I have the feeling that Keeves knew more then he was letting on?"
    
    "The thought of Keeves flashed through my mind for a second. The thought of his smile made me warm."
    
    "What started out as a regular semester was starting to be anything but..."
    
    "I looked over once again and saw Jaja's Fate Selector...I picked it up, aimed and then threw it into my trash bin."
    
    "I feel like someone's cosmic ragdoll."
    
    "I was tired of feeling like my destiny was spinning out of my own control."
    
    pov "Screw fortune, screw fate, and screw all those things."
    
    "In a way I just want everything to be normal again."
    
    pov "Tomorrow's a new day...maybe I can close my eyes and wake up and it'll all make sense again."
    
    "*Yawn!*"

else:
    
     "When I got home I just had to lie down...I couldn't grasp today's events."
     
     "What is up with Jaja lately? It's like his personality has gone backwards."
     
     pov "Aren't you supposed to be shy when you 1st meet someone? Not when you get to know them."
     
     "I think I knew what it was..."
     
     "And then there's Keeves..."
     
     "And Polar...wow! I don't even know WHATS going on when I'm with him."
     
     pov "I should get some shut eye. *Yawn!*"
     
     pov "I couldn't wait to see Marlain and Sato at the meeting tomorrow. Maybe I should talk to one of them about what's been going on?"
     
scene bg Library000
with fade

#------------------------------------------------------------------

"The Next Day at Lunchtime."
     
$ renpy.music.play('How it Begins.mp3', loop=True)

show marlain default at left
with dissolve

show jaja default
with dissolve

show sato default at right
with dissolve

j "Good aftanoon %(povname)s! Did yoo shleep well?"

pov "Yeah I got home alright. I had a solid sleep...I didn't dream or anything."

s "Jaja got home late thanks to you."

pov "Oh sorry about that Sato I..."

s "No it is ok. I was about to say that yes he was late but I knew he was going to be alright since he was with you."

s "Thank you for watching out for him."

j "Aw cummon! It's nots like ish dat big of a deal."

s "You know how I worry that is all."

m "Jaj, I think you like forget sometimes exactly how old you are."

j "My age ishnt a big deal twust me."

j "Anywaysh I'm callin to order da PRC meeting!"

pov "Yeah let's get this done fast...I'm hungry."

m "Yes gents I have to drive to my dry cleaners to like pickup a couple of items so let's hurry."

s "Marlain why don't you begin?"

m "Thanks doll!"

m "Well kiddies what sucks is that I haven't been able to like auction a single thing yet!"

m "I'm like thinking that maybe I set the starting bid on the clothes WAY too highish."

m "When I get home I'm going to like lower the cost. So don't like worry yet boys."

j "Alotsa the pwaces around DSG are exspenshive to wentout cuz they are prime downtown venues." 

j "I thinks Imma focus on fundwaising too. Maybe shell cookies door to door or sumthing."

m "Well that's a very like age appropriate thing to do. Haha!"

j "Heyyy!!!"

pov "Heh. What about you Sato?"

s "Well it seems none of you have come up with much so luckily I have some good news."

s "Last night I was able to finish the flyer for Portfolio Night."

pov "Wow really?"

m "Well let's have like a look-see!"

$ renpy.music.stop(fadeout=0.5)

m "I'm sure it's all like corporate and classy!"

scene bg Title Screen002
with dissolve

$ renpy.music.play('Organ Filler.mp3', loop=True)

pov "!!!"

m "..."

j "Oh!"

s "Do you guys approve?"

m "It's very..."

j "Ahhh...."

pov "CUTE!"

s "So?"

s "You like it correct?"

pov "I like it Sato. I just didn't think that cute was your style?"

m "Awww...it's WAY too like cute! I can't believe you, you huge softy!"

scene bg Library000
with dissolve

show marlain default at left
with dissolve

show jaja default
with dissolve

show sato default at right
with dissolve

s "What!?"

"(Sato turns bright red!)"

j "Looks like you're tuff guy persona ish blown away na Bruffer."

j "(Sigh) And yoo tried sho hard to keeps it up too!"

s "Tch. Think what you may. It does not mean anything to me!"

pov "Sato we like it! Don't we guys?"

m "I love it. I think it's like adorable!" 

m "With our little school animal mascot plastered like all over it!"

j "I luff's our skoo mashcot 'Saint'! As preshident I approves!"

s "R-really? You all like it?"

pov "Yes. Let's get a stack of those printed out so we can start handing them out."

"(Sato smiles and this time it doesn't go away)"

s "N-naturally."

m "What about you gorgeous? How's that game thing going?"

pov "It's all set basically. It's going to be held next week. All the donations are going to the PRC."

m "Wow that friend of yours on the team is like something special isn't he?"

pov "Yeah."

"(I tried not to blush)"

m "Anyways look at the time hotties I like haveta run."

m "%(povname)s, we have like class together after lunch. I'll just catch you like there ok?"

m "Latah's everyone!"

hide marlain default 
with dissolve

j "Ooh! Actually I feels like going for a car wide too! Imma see if I can catch Marlain!"

j "Seeyas!"

hide jaja default
with dissolve

$ renpy.music.stop(fadeout=0.5)

s "..."

pov "..."

$ renpy.music.play('Bumbly March.mp3', loop=True)

s "Oh well, I suppose that just leaves you and I."

pov "Yeah...hey why don't we walk back to DSG together?"

s "Hmmm...yes that would be acceptable."

scene bg School Lobby001
with fade

show sato default
with dissolve

pov "Thanks for walking back with me Sato."

s "The pleasure was really all mine %(povname)s."

pov "..."

s "...."

pov "Uh..."

"What's with this uncomfortable silence?"

if keevesheart2 == True:
    
    $ renpy.music.stop(fadeout=0.5)
    
    play sound "3-Flashback1.mp3"
    with vpunch
    
    scene bg Infront School001
    with flashbulb

    "{i}I wanted to take it all in.{/i}"
    
    scene bg Infront School001
    with flashbulb

    "{i}I wanted to take it all in.{/i}"
    
    scene bg Football Field Dawn000
    with flashbulb
    with Pause (0.2)
    
    scene bg Infront School001
    with flashbulb

    "{i}I wanted to take it all in.{/i}"
    
    pov "No please stoppp! Not this again!"
    
    play sound "3-Flashback1.mp3"
    with vpunch
    
    scene bg School Lobby001
    with flashbulb
    
    show sato default
    with dissolve
    
    "I tried to remain as calm as I possibly could even though my head was reeling and my knees felt weak."
    
    "I hope Sato doesn't notice..."
    
    $ renpy.music.play('Bumbly March.mp3', loop=True)
    
    s "Everything is as it should be %(povname)s?"
    
    pov "Y-yeah...I'm ok. Brain shut down for a sec."

else:
    
    pov "Um..."
    
pov "I guess I'm going to just grab my lunch quickly from my locker. Then I'm off to class. I'll see you around?"

s "Well why don't we have coffee later after school?"

s "You and I?"

"I was caught off guard!"

pov "O-oh really? Well..."

s "If you do not want to I understand."

pov "No no no...it's not that...sure let's go!"

s "Nice! I mean...perfect."

s "Right after school at the cafe across the street."

pov "Sure. See you then."

hide sato default
with dissolve

"He just walked off without saying goodbye!"

"I realized that this was just the way Sato was."

"He wasn't such a bad guy once you got to know him."

"And he's not bad looking either..."

pov "What am I saying?!"

pov "Got to get to class!"

$ renpy.music.stop(fadeout=1.0)

scene bg Art Room000
with fade

"When I showed up at class I saw that Marlain had already arrived."

"He waved at me from the other table."

m "Pssst hey. (Marlain whispered)"

pov "Hey. (I whispered back)"

"The professor was beginning his lecture."

pov "Oh my notebook!"

"I reached into my bag and pulled it out with the rest of my supplies."

play sound "3-Ringtone2.ogg"
"*Ring Ring*!"

show marlain default
with dissolve

m "Oops!"

"Everyone turned around to look at Marlain."

"The professor looked kind of pissed."

m "Sorry my cellphone. I like must answer this. Heya?"

m "!"

"(Marlain's eyes widened)"

m "E-excuse me please!"

hide marlain default
with dissolve

"He rushed out of the room before anyone could utter a sound."

"Couple of seconds later the whole room filled with the sound of murmuring."

pov "What was that all about?"

#~~~~~~~~~~~~~~~Marlain Story Arc2~~~~~~~~~~~~~~

scene bg Empty Classroom000
with fade

show marlain default
with dissolve

play sound "3-Door.mp3"

m "!"

play sound "3-Birds_Chirping.ogg"

m "Oh my gosh %(povname)s, (sniff) what are you doing here?"

pov "You've been crying haven't you?"

m "Ya...(sniff) it's pathetic isn't it?"

pov "I figured you'd be here somehow. I tried texting you from our classroom but you weren't responding."

m "Sorry, I got them...I just...(sniff)...I dunno anymore..."

pov "Is everything ok?"

m "No..."

pov "I can tell. Because you haven't said 'like' since we started this conversation."

"(Smile)"

m " (sniff)...ha...what?"

pov "You really don't talk like that do you? That whole 'valley' thing?"

m "Pssh....ya...I guess you found me out huh?"

"(Marlain laughs softly)"

m "I have an image to maintain so I talk that way."

m "Everyone I hang out with does so...I try to fit in too. Sad isn't it? Poor little rich boy."

pov "Hey come on Marlain don't beat yourself up!"

pov "Although I have to admit I like the way you're speaking now much better. The real you."

menu:
    
    m "R-really? (sniffle)"
    
    "Of course.":
        
        jump ask_marlain4_yes
        
    "Naw I'm just kidding! Valley all the way!":
        
        jump ask_marlain4_no
    
label ask_marlain4_yes:
        
    $ ask_marlain4_choice = "yes"
            
    m "You haven't changed at all have you %(povname)s?"
            
    jump ask_marlain4_done
            
label ask_marlain4_no:
        
    $ ask_marlain4_choice = "no"
            
    "(Marlain giggles)"
    
    m "Oh you...stop it."
            
    jump ask_marlain4_done
            
label ask_marlain4_done:
    
pov "Of course I think you should talk to me the way you {i}want{/i} to. Not the way you feel you {i}have{/i} to."

m "Ya, I think I'll do that from now on."

m "But only with you of course."

pov "Of course."

m "Wow, you really REALLY haven't changed at all %(povname)s."

pov "What do you mean?"

m "You're still that same genuine, caring and understanding boy I've always remembered."

pov "Marlain?"

$ renpy.music.play('Crying Lullaby.mp3', loop=True)

m "%(povname)s. Did I tell you how I didn't ALWAYS live on the East End?"

pov "No you didn't."

m "In fact I grew up in a town called Fleurlais. It wasn't swanky or cosmopolitan like East End."

m "I remember there being open flower fields everywhere. The wind always smelt good."

pov "Heh I remember that. When I was a kid I went to a daycare in Fleurlais."

m "All the kids ran around getting our uniforms dirty remember?"

pov "I do."

pov "How do you remember that?"

"(Marlain smiles softly)"

m "Remember that 1st day we met and I gave you a pencil?"

m "And I somehow knew you're name even though we've never met before."

pov "You said I HAD told you my name."

m "Heh...no it wasn't that at all. I've always remembered your name."

m "I've always remembered...you."

m "When I was young I used to go to a daycare in Fleurlais called Fleurlais Daycamp."

m "I was new to that daycare...just like you're new to this school."

m "It was my 1st time at a daycare before. I'd always been with just my Mama."

m "I remember looking around at all the other kids playing and not having anyone to join. I was far too shy."

pov "You...you looked very different back then."

m "Well of course...we were just kids. Alot has changed wouldn't you agree?"

pov "I...I think I'm starting to remember."

pov "Marlo?"

m "You remembered? Yes %(povname)s...it's me! Marlo."

m "Marlo was my nickname as a child."

m "It's what you called me. You were my 1st friend."

scene black
with fade

show popup marlain moment000 at Position(xpos =.15, ypos =.1, xanchor =0, yanchor =0)
with None

m "That 1st day during recess I remember this huge boy had decided to start a fight with me."

m "A run of the mill bully."

m "All the other kids were afraid of him and since I was new and had no friends yet no one went to help me."

m "I was terrified. I was never very strong."

m "And then...there you were."

m "I looked up and you were standing inbetween me and the bully."

m "Like my knight in shining armor."

pov "I didn't want him to hurt you." 

pov "I was only a kid but I saw you and I thought...if that was me I would want someone to come help me."

m "Do you remember what you did then %(povname)s?"

pov "Vaguely...I'm sorry Marlain."

m "It's ok. He threw a punch at you and you avoided it. Pretty soon though you were both really brawling."

show popup marlain moment001 at Position(xpos =.5, ypos =.3, xanchor =0, yanchor =0)
with dissolve

m "I watched...staring at your back as you fought for me." 

m "I remember thinking one day I'd like to be by your side...instead of staring at you from behind." 

m "Luckily a teacher came and split you too up."

m "I didn't see you for the rest of the day."

hide popup marlain moment001
with dissolve

m "After school I went to thank you. You looked up at me and smiled."

pov "I told you my name was %(povname)s."

m "And I told you my name was Marlo."

m "I didn't know an appropriate way to thank you so I kissed you on the cheek."

m "And you giggled."

pov "I remember now."

m "%(povname)s...you were my 1st friend, my 1st kiss and as silly as it is my 1st puppy love."

scene bg Empty Classroom000
with fade

show marlain default
with dissolve

m "But our friendship didn't last that long."

pov "My parents took me out of the Daycamp because of that fight a week later."

pov "It was only a week but I remember meeting you and having fun with my friend Marlo everyday."

pov "I'm sorry I forgot Marlain. I didn't mean too." 

pov "I guess my memory of you got lost to time and for that I'm sorry."

m "Don't apologize to me. I won't allow you to."

m "Just knowing your friendship then...and again now is all I've ever wanted."

m "I've always wanted to meet the boy from Daycamp again."

m "Heh...(sniffle)...and now...here you are!"

pov "Marlo, I'm glad were friends again."

m "In public you have to call me Marlain you realize."

pov "No problem."

pov "So this whole thing we just discovered. Did any of this have to do with that weird phone call you received?"

pov "You seemed pretty upset."

m "No, it was Gallande. He was accusing me again."

m "Lately he's been putting alotta pressure on me cause of the whole engagement thing."

$ renpy.music.stop(fadeout=1.0)

m "It's like he wants every answer now and he's not giving me any space to breathe!"

play sound "3-Ringtone2.ogg"
"*Ring Ring*!"

m "Oh it's him again."

pov "Um alright...I'll excuse myself then."

m "Yeah sorry it's abit personal so I'm going to talk here for abit again. But um hey..."

m "Let's hang sometime. Outside of school. Ok?"

pov "Sure Marlo. Goodluck. I'm going to head back to class."

m "Thanks."

scene bg Infront School001
with fade

#~~~~~~~~~~~~~~~Sato Story Arc1~~~~~~~~~~~~~~

$ renpy.music.play('Crying Lullaby.mp3', loop=True)

"As I walked outside the school I started thinking..."

"The fresh night air was helping clear my thoughts up."

pov "So that may explain the feeling I get around Marlain."

pov "But what about Polar? Maybe were connected somehow too."

pov "Although none of it explains why Jaja and Sato are so familiar  to me as well."

"Once again rather then dealing with all my conflicting emotions I shook them off and focused on other things."

"Sato's waiting for me at the cafe."

scene bg Save Screen000
with flashbulb
with Pause(3.0)

scene bg Cafe000
with flashbulb

show sato default
with dissolve

s "Welcome, I am glad you made it afterall."

pov "Well I figured look, we started off kind of rocky and now your the only member of the 'PRC' that I really haven't gotten to know."

pov "So why not? (Smile)"

s "I am quite surprised at your attitude. Most people...well they would have already drawn their conclusions based on my behavior."

s "Unfortunately I am not very adept at making good 1st impressions."

"I could tell he was genuinely embarrassed."

pov "Don't worry about it Sato. It's all good."

pov "So tell me about yourself. Heaven knows I know alot about Jaja."

pov "I'd like to get to know the other 'Bruffer'. Haha."

s "Oh gawd...stop that!"

pov "Ah haha...sorry I couldn't help it."

s "Heh...it is fine."

s "So where shall I begin?"

s "Well I am now 19 and I am in 2nd year. DSG is a satisfactory college."

s "I mean, I enjoy it very much."

s "At this point in time I am majoring in 3D Modelling and Animation."

s "It is really not as difficult as everyone believes it to be."

s "The process behind it is very logical actually."

pov "So which one of you is like which parent?"

s "..."

s "Uh well...that is a difficult question..."

s "I would not know."

pov "What do you mean?"

s "May we change the topic?"

s "Besides I have not heard anything about you yet."

"Did I say something wrong?"

"I was really puzzled."

pov "O-oh well...as you know it's my 1st year at DSG and I'm thinking of majoring in some area of Fine Arts maybe."

pov "It's also my 1st time ever being on a Portfolio Committee before!"

s "I apologize for Jaja. He can be abit...enthusiastic."

pov "Tell me about it!"

s "Do you enjoy his company?"

menu:
    
    pov "Uhhh..."
    
    "I do. He's a good kid.":
        
        jump ask_sato2_yes
        
    "He can be alittle too much to handle for me.":
        
        jump ask_sato2_no
    
label ask_sato2_yes:
        
    $ ask_sato2_choice = "yes"
    
    $ satoheart2 = True
            
    s "I am very pleased."
            
    jump ask_sato2_done
            
label ask_sato2_no:
        
    $ ask_sato2_choice = "no"
    
    s "Oh...I understand."
            
    jump ask_sato2_done
            
label ask_sato2_done:
    
s "He always means well though."

pov "He's been acting alittle strange lately. Have you noticed anything?"

s "No I do not believe I have. Is there a problem?"

pov "No no...I guess not."

s "In any case I am glad you decided to have coffee with me."

s "My last intention was to scare you away."

pov "I'm having a good time Sato and the coffee here is good."

pov "You chose a good place!"

s "I know. I never make any mistakes."

s "Haha!"

pov "Haha yeah right."

s "In any case I should head back to school. I am going to be working late in Computer Lab 3."

s "I have a 3D animation assignment that requires my utmost attention."

$ renpy.music.stop(fadeout=1.5)

s "I will catch you later though %(povname)s."

scene bg Infront School001
with fade

pov "Wow I never expected Sato to actually be a nice guy!"

"It left me with a warm feeling on the inside."

u "Yoohoo! Gesh who!"

$ renpy.music.play('Heartbreaking.mp3', loop=True)

show jaja default
with dissolve

pov "Hey Jaja! You just missed your brother. Are you looking for him?"

j "Sato? Naw no why shud I be wooking for him? Haha!"

j "I aweady knows he's gonna be working late tonight."

j "He hash dis like big 3D animation project and he wants ta make it as 'pro' as poshible."

pov "Haha yes. I figured he'd be a perfectionist that way."

j "Oh man yoo don't even know da halfs %(povname)s!"

j "Tee hee!"

pov "So what's up?"

"(Jaja looks down at his fingers and starts fidgeting them)"

j "..."

j "I dun even knows where ta start sho i'm jes gonna say it!"

j "I means ish not a secret, yoo know how I feel."

j "mmmmmm....ahhhhh....eerrrrrr..."

j "%(povname)s, I LIKES YOO!"

pov "I like you too Jaja."

j "No %(povname)s, I means I likes-like yoo..."

j "I know yoo thinksh ish jes a silly cwush."

j "But das jes hows i feels."

menu:
    
    pov "Jaja I'm flattered but the truth is..."
    
    "You're way too young for me.":
        
        jump jaja_admit1_yes
        
    "I don't want a relationship right now.":
        
        jump jaja_admit1_no
    
label jaja_admit1_yes:
        
    $ jaja_admit1_choice = "yes"
            
    j "..."
    
    j "Ohh...I guesh dat makes sense."
            
    jump jaja_admit1_done
            
label jaja_admit1_no:
        
    $ jaja_admit1_choice = "no"
    
    j "...oh."
    
    j "Wells....at leasts ish not cuza my age. Maybe I shtill haves a chance shum day?"
    
    pov "Well..."
    
    j "..."
            
    jump jaja_admit1_done
            
label jaja_admit1_done:

j "Oh gosh well anywaysh heh dat wash silly! (sniff)"

pov "Jaja are you ok?"

j "Oh of coursh I ams. That whole thing I shed jes now...it was a joke. Yeah."

pov "Jaja it's ok you don't have to be embarrassed."

j "Hmm...I shoulda known. Lately I was twying to use my fortune telling shkills to predict wut yoo'd say."

j "They neber turned out anything positive."

pov "I do like you...but only as a friend. Do you understand?"

j "Um...y-yessum sures. I-Ims otay wit it. Really."

if keevesheart2 == True:
    
    play sound "3-Flashback1.mp3"
    with vpunch
    
    scene bg School Lobby001
    with flashbulb

    "{i}Couple of days later.{/i}"

    pov "{i}Ahh, early as usual.{/i}"

    scene bg Football Field Dusk000
    with flashbulb
    with Pause (0.2)
    
    scene bg Library000
    with flashbulb

    show marlain default at left
    with dissolve

    show jaja default
    with dissolve

    show sato default at right
    with dissolve
    
    m "{i}Were like all friends here working towards like a common goal right?{/i}"

    j "{i}Ya FWENDS!!!!{/i}"

    s "{i}Hmph...{/i}"
    
    "AHHHH!"

    pov "{i}Sounds ok to me. Maybe this won't be so bad afterall.{/i}"

    j "{i}Hahaha you betcha!{/i}"

    m "{i}Like awwwww...{/i}"
    
    scene bg Cafe000
    with flashbulb

    show sato default
    with dissolve
    
    s "{i}Do you enjoy his company?{/i}"
    
    "Please!"
    
    scene bg Infront School001
    with flashbulb
    
    show jaja default
    with dissolve
    
    j "{i}%(povname)s, I LIKES YOO!{/i}"
    
    "No more!"
    
    scene bg Football Field Dusk000
    with flashbulb
    
    show polar default
    with dissolve
    
    p "{i}Good. Cause you know the only reason I'm doin it is for you right?{/i}"

    pov "{i}Really?{/i}"
    
    "Polar..."

    p "{i}Yeah, but hey I'll check ya later. Come to the game aight!{/i}"

    hide polar default
    with dissolve

    pov "{i}Ok later!{/i}"
    
    "Make it stop..."
    
    play sound "3-Flashback1.mp3"
    with vpunch
    
    scene bg Infront School001
    with flashbulb
    
    show jaja default
    with dissolve

else: 
    
    pov "..."

j "..."

j "Anyways i gots ta go! If Sato arrives home and I'm not dere he mights beat you up tomorrow %(povname)s!"

"(Jaja forces a smile)"

j "Cya!"

hide jaja default
with dissolve

pov "Aw Jaja..."

pov "Poor kid...I feel bad but what can I do?"

scene black
with fade

if keevesheart2 == True:
    
    "The intensity of the 'flashbacks' were starting to become stronger and more frequent."
    
    "I didn't know if 'flashback' was the right word to describe it at all."
    
    "A flashback is like a memory being played back in your mind unexpectedly."
    
    "This was more like your whole body was being torn from its current place in time and then whipped into various past events! Then back to where I started."
    
    "Inside those flashbacks I couldn't alter my speech or actions..all I could do was relive those moments."
    
    "One thing that puzzles me is why are my flashbacks only limited to my current days here at DSG?"
    
    "And not once have I had a flashback with Keeves in it."
    
    pov "Keeves..."
    
    pov "I'm starting to think you're my only hope in figuring this out."
    
    $ renpy.music.stop(fadeout=3.0)
    
else:
    
    "Later that night."
    
    show popup dream000 at Position(xpos =.2, ypos =.1, xanchor =0, yanchor =0)
    with slow_dissolve
    
    u "{i}Are you coming wit me?{/i}"
    
    u "%(povname)s."
    
    pov "___________!"
    
    u "Yessir."
    
    scene bg Football Field Dusk000
    with flashbulb
    with Pause (0.2)

    scene white
    with flashbulb
    
    u "{i}Good. Cause you know the only reason I'm doin it is for you right?{/i}"
    
    scene black
    with fade
    
    u "I love you %(povname)s. I always have. It was always you."
    
    show popup dream000 at Position(xpos =.2, ypos =.1, xanchor =0, yanchor =0)
    with slow_dissolve
    
    u "Goodbye %(povname)s."
    
    scene black
    with flashbulb
    
    "It was the last time I ever dreamt about Him."
    
    $ renpy.music.stop(fadeout=3.0)
    
scene bg Library000
with fade

#------------------------------------------------------------------

"Next Week: Game Day"

show marlain default at left
with dissolve

$ renpy.music.play('How it Begins.mp3', loop=True)

m "Strange it's not like those 2 to be late."

pov "What do you mean? Jaja is late alot!"

m "Hmm true! Well not like Sato then anyways."

pov "Hey so speak of the devils!"

show jaja default
with dissolve

show sato default at right
with dissolve

s "We apologize for being late."

s "Jaja was taking his sweet time after class to get here."

j "Ah hee hee."

s "That is not like you Jaja...usually you bolt right to the PRC meetings after class."

s "Before I realized it all that is left of you is a puff of dust and the trail will lead to the library."

j "Sorries! I-I know...I'm jes alittle tired das alls."

j "How are yoo %(povname)s?"

pov "I'm doing good."

j "And yoo Marlainy?"

m "Haha I'm like doin fabulous darling and I hope everyone here is too."

j "Well as Marlain woulds shay everything IS fabulous cuz I gots fabulous news to report!"

s "That is correct!"

j "Based on our efforts up to dis point...we have mades enuff muney to hab The Portfolio Review da way we wants!"

j "WHOO HOO!!!"

pov "Already?! That's awesome!"

m "Yeah! I was like able to sell every single item I like put up for auction."

m "That right there gave us all the like extra budget we needed."

j "Ya and den shum! Thanks Marlain! Good job mang!"

m "No sweat baby!"

s "Jaja and I ended up selling his homemade 'Fate Selectors' door-to-door and actually made a decent amount."

s "Anything we receive now is just extra budget just in case."

m "Hey isn't that charity game your friend helped you co-ordinate like today?"

pov "Yes I'm pretty sure it is. I have been kinda busy I must admit with school work so I kind of left it to him to take care of."

pov "He's super reliable so I'm sure there won't be any problems."

j "Exshilenty!"

j "Now alls I gotsa do ish finalize sum of da pwanz and den yoo guys help me setup close to the day of The Review and das it!"

j "Good job everybody!"

m "Well like duhh! Of course! Haha!"

s "Yes well done."

pov "Congratulations Jaja. I had my doubts at first but you pulled it off."

pov "Way to go!"

"(Jaja blushes and then nods)"

j "Thanks %(povname)s!"

scene bg Courtyard000
with fade

$ renpy.music.stop(fadeout=5.0)

"Last period finished alittle late as usual. My Band Teacher just loves the sound of his own voice. Arg!"

pov "I think I should go watch Polar's game now. I basically promised him I'd be right there after school."

pov "I'm going to take the short cut through the Courtyard here or else I'll have to go around DSG."

pov "It's a pain."

"I thought about Polar rushing about the field and taking moments every now and then to look up at me and wave."

pov "Here I go!"

#~~~~~~~~~~~~~~~Sato Story Arc2~~~~~~~~~~~~~~

u "Hey wait up!"

pov "Huh?"

show sato default
with dissolve

pov "Hey Sato!"

s "I thought I saw you come this way %(povname)s. How was class?"

pov "Heh, same as always. I'm actually heading to the charity football game now."

s "Oh I see, are you in a hurry?"

pov "Well no I can spare a couple of minutes for you. What's up?"

s "For me?"

$ renpy.music.play('Crying Lullaby.mp3', loop=True)

"(Sato smiled)"

s "Well I was thinking now that basically all our PRC duties are complete..."

s "That means we will not be seeing each other as often."

pov "Well we'll see eachother around I'm sure."

pov "And I mean...it's, its not like we {i}have{/i}to stop seeing eachother as often."

s "Do you mean that %(povname)s?"

pov "Of course."

s "I must admit I have been keeping a secret from you."

pov "Oh no...is it bad?"

s "Heh. Well at first to be honest I really did not like you very much."

s "I thought you were kind of boring and simple."

s "However now I have gotten to know you and found out all my impressions were misconceptions. You are a very kind person."

s "Especially when I saw how you accepted my little 'brother'."

pov "Why are you saying it that way Sato? Your little 'brother'?"

s "Jaja is the only family I have but he is not {b}actually{/b} my brother."

s "We are not related whatsoever."

pov "You aren't? But...you seem so close."

s "%(povname)s, we are both adopted."

s "Growing up I never knew my parents. I was raised in an orphanage."

show bg Sato Moment000
with dissolve

hide sato default
with slow_dissolve

s "That is where I met Jaja. He was such a sad child back then. Not anything like the way he is now. He was shy and quiet."

s "At the orphanage it was always the 3 of us. Jaja, Maru and I. Maru was another orphan who became part of our 'family'."

s "We would act up in front of the adoptive couples who came to see us so that they would always choose the other orphans."

s "We never wanted to be apart. I remember Jaja would always be holding onto my sleeve hiding behind me or Maru."

pov "I'm sorry Sato...I didn't know."

s "It is alright. One day though Maru was adopted and he left the orphanage. He left Jaja and I."

s "I do not think he fully wanted to...but when I looked into his eyes I think I knew. I knew he wanted a family...a real one."

s "I think that is when my heart began to harden. I vowed to never leave Jaja no matter what!"

s "Luckily we were both adopted by a wonderful elderly couple. They were very loving to us both."

pov "How old were you when that happened?"

s "I was 13 and Jaja was 7."

s "We lived with them for 4 years until I turned 17."

s "Our 'Father' passed away that year and soon after our 'Mother'. I believe she died from heartache."

s "I think that is when my heart fully sealed itself in."

s "That is why it is hard for me to open up to others."

s "Thank goodness I have Jaja. He was and is still my heart."

s "Our parents left us everything in the will and so we have been living in our parent's house for the last 2 years."

pov "Just the 2 of you. No wonder you care about him so much. You've been through so much together."

scene bg Courtyard000
with fade

show sato default
with dissolve

pov "Can I ask you something Sato?"

s "Anything."

pov "What made you tell me your story?"

s "I...I do not know."

s "I feel like I can tell you anything. It has never happened before with anyone else."

s "I want you to know the real me! I do not want to have any secrets."

s "I do not want to have to hold anything back anymore."

pov "Sato..."

s "I want you to be with me."

show popup jaja moment000 at Position(xpos =.65, ypos =.1, xanchor =0, yanchor =0)
with None

j "!!!"

"I turned around and saw Jaja behind me."

pov "Jaja..."

hide popup jaja moment000
with dissolve

"He turned away from us and ran."

s "Jaja wait!"

pov "Sato it's..."

s "Sorry %(povname)s..."

hide sato default
with dissolve

"I looked on as Sato ran after his brother."

pov "..."

"I don't know who to feel sorry for...for Jaja, for Sato or for myself."

play sound "3-Ringtone2.ogg"
"*Ring Ring*!"

pov "What now?"

pov "Oh it's Marlo!"

scene bg Save Screen000
with flashbulb
with Pause(3.0)

scene bg Courtyard000
with flashbulb

pov "Hey."

m "Heyas %(povname)s. What's up gorgeous?"

pov "Not too much."

m "Is everything alright? You sound kinda bummed out."

pov "Well yeah no everything's ok."

pov "Where are you?"

m "Well my last period was a spare period today so I like left early and went to the mall. Doing alittle bit of shopping."

m "It's like totally fab!"

m "Look %(povname)s, I can like tell something is wrong so why don't I come pick you up right now."

m "We'll do something fun like go out."

m "Get your mind off things."

$ renpy.music.stop(fadeout=1.5)

#************MARLAIN HOOKUP CHANCE*****************

menu:
    
    pov "Hmmmm..."
    
    "Yeah I just want to forget all of this. Let's go!":
        
        jump marlain_hookup1_yes
        
    "No thanks. I'm going to go watch the game.":
        
        jump marlain_hookup1_no
    
label marlain_hookup1_yes:
        
    $ marlain_hookup1_choice = "yes"
            
    scene bg Bedroom000
    with fade
    
    show marlain default
    with dissolve
    
    m "Haha like wow! I had so much fun today %(povname)s!"
    
    m "I didn't think anyone could keep up with me when we went shopping but you weren't bored or tired at all."
    
    $ renpy.music.play('Crying Lullaby.mp3', loop=True)
    
    pov "Well I was with you so that's all that mattered."
    
    m "Aww...looks like Sato isn't the only one who's a huge softy."
    
    "*Wink*"
    
    pov "Haha!"
    
    pov "I'm glad I decided to hang out with you instead. Forget all the drama. Everything!"
    
    m "Drama?"
    
    pov "Nevermind."
    
    pov "When I'm with you all that other stuff...doesn't seem to register. I can just be me."
    
    "(Marlain smiles)"
    
    m "So this is your apartment? Very elegant...a guy could get used to this."
    
    pov "Yeah I try to do ok for myself Marlo."
    
    m "Marlo..."
    
    m "%(povname)s, this whole thing to me is so surreal. I can't believe your here..."
    
    m "I mean like what are the odds of you being here at DSG with me?"
    
    pov "Maybe it's fate."
    
    m "I think it might be."
    
    m "I dreamt that one day you'd come back to me. Everytime things in my life would get hard I thought about you..."
    
    m "...coming to the rescue."
    
    pov "Marlo...I'm so happy that were friends again."
    
    m "Just friends?"
    
    "*Ring Ring*!"
    
    m "..."
    
    m "It's Gallande."
    
    menu:
    
        m "Should I pick up?"
    
        "Yeah you should probably pick up.":
        
            jump marlain_hookup2_yes
        
        "No, this is our time.":
        
            jump marlain_hookup2_no
    
    label marlain_hookup2_yes:
        
        $ marlain_hookup2_choice = "yes"
            
        m "(Sigh)"
        
        m "And even now you're {i}still{/i}thinking of others."
        
        pov "What?"
        
        m "Nevermind it's like ok. Hold on %(povname)s."
        
        m "Hey Gallande sup baby?"
        
        m "Yeah...uh huh....I know."
        
        m "Ok."
        
        m "I'm on my way. Bye. Love you."
        
        pov "You gotta go huh?"
        
        m "Hehe...I guess {i}now{/i}I do. Oh well."
        
        m "I had fun today %(povname)s."
        
        m "Don't worry I'll see myself out. See you at school tomorrow!"
        
        pov "Goodnight Marlo."
        
        m "Goodnight 'buddy'."
        
        hide marlain default
        with dissolve
        
        pov "'Buddy?'"
        
        "Had I just screwed everything up? With Polar and just now with Marlo? Isn't there a reason I chose Marlo just now?"
        
        pov "I'm so confused."
        
        pov "Did I just push him into Gallande's arms and if I did was that the right thing to do?"
        
        pov "No no...they're getting engaged. It was the right thing. Besides he's just a very good friend."
        
        pov "Isn't he?"
        
        if keevesheart2 == True:
            
            $ renpy.music.stop(fadeout=0.5)
            
            play sound "3-Flashback1.mp3"
            with vpunch
            
            "Arrrrggggg!"
            
            $ renpy.music.play('2-Bus.mp3', loop=True)
            
            scene bg Hallway001
            with flashbulb
            
            show jaja default
            with dissolve
            
            "{i}Despite abit of confusion at first I guess I was enjoying my time here at Dream Savior. Alot of interesting people anyways.{/i}"
            
            scene bg Courtyard000
            with flashbulb
            
            show sato default
            with dissolve
            
            s "{i}I want you to know the real me! I do not want to have any secrets.{/i}"

            s "{i}I do not want to have to hold anything back anymore.{/i}"

            pov "{i}Sato...{/i}"

            s "{i}I want you to be with me.{/i}"
            
            scene bg Bedroom000
            with flashbulb
            
            show marlain default
            with dissolve
            
            pov "{i}Marlo...I'm so happy that were friends again.{/i}"
    
            m "{i}Just friends?{/i}"
            
            scene bg Football Field Dawn000
            with flashbulb
            
            show polar default
            with dissolve
            
            pov "{i}11.5 percent of 6750?!{/i}"

            p "{i}776.25.{/i}"

            pov "{i}Whoa!{/i}"

            p "{i}Anyways %(povname)s I should go. Catch ya later!{/i}"
            
            play sound "3-Flashback1.mp3"
            with vpunch
            
            scene bg Bedroom000
            with flashbulb
            
            pov "Ooh gawd...!"
            
            "I felt like I was going to throw up."
            
            pov "It must be stress...it HAS to be!"
            
            pov "It's the only explaination for this."
            
        else:
            
            pov "Aw forget it all..."
            
            pov "I'm going to go to bed."
        
        scene black
        with fade
        
        "That night I spent alot of time in bed thinking about Polar."
        
        "How I promised I'd catch the game he set up just for me because I needed help as part of the PRC."
        
        "I could go see him at the football field tomorrow and explain what happened."
        
        "Nahh..I'm too embarrassed. He'd probably be pissed at me. I know I would be."
        
        "I guess I'll just avoid him for now. Besides we have enough budget for Portfolio Review as is."
        
        "If I run into him I'll deal with it then."
        
        $ renpy.music.stop(fadeout=3.5)
        
        "Sorry Polar..."
            
        jump marlain_hookup2_done
            
    label marlain_hookup2_no:
        
        $ marlain_hookup2_choice = "no"
    
        pov "And yes were friends."
        
        m "O-oh..."
        
        pov "But..."
        
        pov "I'd like it if we could be that and even more."
        
        pov "Marlo, I don't know how I could've ever forgotten you." 
        
        pov "If I never saw you again that would've been the biggest mistake of my life."
        
        m "You're soooo sweet." 
        
        m "You know what I realized?"
        
        m "It's getting kind of late %(povname)s."
        
        m "Can I like stay over?"
        
        pov "Of course."
        
        m "Let me change into something more 'comfortable'."
        
        hide marlain default
        with dissolve
        
        show popup marlain moment002 at Position(xpos =.3, ypos =0, xanchor =0, yanchor =0)
        with slow_dissolve
        
        pov "!!!"
        
        m "Well gorgeous, are you gonna join me or what?"
        
        pov "What about Gallande?"
        
        pov "I don't think he would approve!"
        
        m "Haha...don't look so shocked %(povname)s."
        
        m "Believe me...Gallande and I are officially done. I'll call him right now if you want."
        
        m "The only person I want to be with...that I've {i}ever{/i}wanted to be with..."
        
        m "...is you."
        
        pov "No you don't need to call him. I believe we'll sort it all out soon enough."
        
        pov "I don't want anything to ruin this moment."
        
#-=-=-=-=-=-=-=-=-=-= CREDITS -=-=-=-=-=-=-=-=-=-=-=-
        
        scene black
        with slow_dissolve
        
        show text "{font=subfont}THE END{/font}"
        with fade
        with Pause(2.0)
        
        "Click now for Credits."
        
        scene bg Courtyard000
        with fade
        with Pause(1.0)
        
        show jaja default
        with dissolve
        with Pause(1.0)
        
        show jaja default at right
        with move
        
        show Overlay000
        with slow_dissolve
        
        show text "{font=subfont}Producer: John Montenegro{p}Character Artist: John Montenegro{/font}"
        with slow_dissolve
        with Pause(3.0)
        
        scene bg Empty Classroom000
        with fade
        with Pause(1.0)
        
        show marlain default
        with dissolve
        with Pause(1.0)
        
        show marlain default at left
        with move
        
        show Overlay000
        with slow_dissolve
        
        show text "{font=subfont}Story: John Montenegro{p}Programming: John Montenegro{p}Fonts: 'Manjiro' by John Manjiro{p}and various others courtesy of DaFont.com{/font}"
        with slow_dissolve
        with Pause(3.0)
        
        scene bg Cafe000
        with fade
        with Pause(1.2)
        
        show sato default
        with dissolve
        with Pause(1.0)
        
        show sato default at right
        with move
        
        show Overlay000
        with slow_dissolve
        
        show text "{font=subfont}Sound FX and Loops by:{p}Will Musser, J Fairbanks and Sith Master{p}Courtesy of Flashkit.com{p}Music by:{p}Kevin MacLeod{p}Courtesy of http://incompetech.com/{/font}"
        with slow_dissolve
        with Pause(3.5)
        
        scene bg Football Field Dusk000
        with fade
        with Pause(1.2)
        
        show polar default
        with dissolve
        with Pause(1.0)
        
        show polar default at left
        with move
        
        show Overlay000
        with slow_dissolve
        
        show text "{font=subfont}Music also by:{p}Edgen{p}Courtesy of Flashkit.com{/font}"
        with slow_dissolve
        with Pause(3.0)
        
        scene bg Bus000
        with fade
        with Pause(1.2)
        
        show keeves default
        with dissolve
        with Pause(1.0)
        
        show keeves default at right
        with move
        
        show Overlay000
        with slow_dissolve
        
        show text "{font=subfont}Game Testers:{p}John Montenegro{p}Edward Montenegro{p}Jennifer Dela Cruz{/font}"
        with slow_dissolve
        with Pause(3.0)

        scene bg Title Screen001
        with flashbulb
        with Pause(2.5)
        
        show Overlay000
        with slow_dissolve
        
        show text "{font=subfont}Don't forget to try out these other{p}TEAM SMUT exclusive Visual Novels/Dating Sims!{/font}"
        with slow_dissolve
        with Pause(3.5)
        
        scene bg S4000
        with slow_dissolve
        with Pause(5.0)
        
        scene bg Nekomen000
        with slow_dissolve
        with Pause(5.0)
        
        scene white
        with flashbulb
        
        show text "{font=subfont}Thanks For Playing!{/font}"
        with slow_dissolve
        with Pause(3.0)

        return
        
#xxxxxxxxxxxxxxxxxx Marlain Superior Ending xxxxxxxxxxxxxxxxxxxxxx

        jump marlain_hookup2_done
            
    label marlain_hookup2_done:
            
    jump marlain_hookup1_done
            
label marlain_hookup1_no:
        
    $ marlain_hookup1_choice = "no"
    
    $ polarfix1 = True
            
    m "Oh riiiiighhht! Sorries I almost forgot!"
    
    pov "Yeah I'm running alittle late too so I gotta go."
    
    pov "Polar's waiting for me."
    
    m "Is that your friend's name on the team?"
    
    pov "Yeah the quarterback."
    
    m "Hmm...oookkk. That's sorta interesting...well..."
    
    pov "What is?"
    
    m "No it might be nothing nevermind."
    
    m "We'll like catch up later then."
    
    m "Tell me how the game goes!"
    
    pov "Alright see ya!"
    
    pov "FINALLY, time to get going."
    
    scene bg Football Field Dusk000
    with fade
    
    $ renpy.music.play('Heartbreaking.mp3', loop=True)
    
    pov "Hey what's going on?"
    
    pov "There's basically no one here. I didn't miss the game, that's not possible."
    
    pov "Looks like our team is here but where is the other team? And all the people?"
    
    pov "It's as if they..."
    
    u "...have practice!"
    
    pov "!"
    
    show coach default
    with dissolve
    
    c "I'm Coach Muggins. Who the hell are you?!"
    
    pov "Oh hi sir. I'm %(povname)s."
    
    c "Ah and what business do you have here on my field huh? Can't you see we have practice?"
    
    pov "Practice?"
    
    pov "Today was supposed to be the Charity Football Game."
    
    c "Charity wha? There's no Charity Football Game today otherwise I would've known about it!"
    
    pov "Coach Muggins you don't understand."
    
    pov "I'm from the Portfolio Review Committee."
    
    pov "My friend on the team said he could get the team to host a charity game to help us fundraise."
    
    c "Oh ya? What's this joker's name?"
    
    pov "Polar. He's YOUR quarterback!"
    
    c "Huh?!"
    
    c "Listen up %(povname)s...I maybe a new coach at DSG and I may be close to 40 but I'm not completely bonkers!"
    
    c "Listen kid, I dunno who you been talkin too but there's no guy on my team named Polar."
    
    c "As for our quarterback his name's Vinz."
    
    pov "What?!"
    
    c "Hey I'll call him over here if you want. You can talk to him."
    
    pov "N-no that's alright."
    
    c "Hey %(povname)s...are you ok kid?"
    
    c "It looks like you've seen a ghost!"
    
    pov "N-no I...I guess I was just misinformed."
    
    c "Sorry kid. I hope you find the jerk that promised you all this."
    
    pov "Yeah..."
    
    hide coach default
    with dissolve
    
    pov "I can't believe Polar would do something like this."
    
    pov "Is his name even Polar?! He had the uniform though..."
    
    pov "I don't know if I can trust anything he said to me now."
    
    pov "Maybe he was just some guy...playing a sick prank on me."
    
    pov "Well congratulations it worked!"
    
    "Everything within the fiber of my being was telling me otherwise. Polar wasn't just some liar...everything he ever said was genuine."
    
    pov "..."
    
    u "Hey!"
    
    pov "!"
    
    show marlain default
    with dissolve
    
    m "Oh my god %(povname)s I'm so glad I caught you!"
    
    pov "Marlo! What are you doing here?"
    
    m "I was thinking about something you said earlier on the phone." 
    
    m "Where's the game?"
    
    pov "Pshhh...beats me. Apparently Polar never came through."
    
    pov "In fact I spoke with the coach and he says there was never a 'Polar' on the team."
    
    m "%(povname)s..."
    
    pov "I can't believe he played me for a fool."
    
    pov "..I thought he was a really nice guy."
    
    m "%(povname)s...there IS a Polar. H-he's just not on this year's team."
    
    pov "What?"
    
    m "Over the phone you mentioned his name. Now it's kind of embarrassing but I've been like sorta dealing with one of the linebackers on the team."
    
    pov "Marlain!"
    
    pov "What does this have to do with anything?!"
    
    m "Just listen I promise it'll all make sense!"
    
    m "Because I've been dealing with the linebacker I have and still go to most of the football games DSG's had since last year."
    
    m "I know ALL the names of the guys on the team. %(povname)s, Vinz is our quarterback not Polar."
    
    pov "Yeah Coach Muggins told me that one as well."
    
    m "%(povname)s..."
    
    m "Polar WAS a quarterback though...for DSG even."
    
    pov "I don't follow Marlo..."
    
    m "After hearing you say his name and realizing there was no Polar on the team, I went to do some research at the library."
    
    m "It turns out my uber speed reading ability came in handy after all."
    
    m "Years ago, close to when Dream Savior Gakuen was first established. Our 1st football team had like an amazing quarterback!" 
    
    m "Everyone was sure he'd take us to State Finals."
    
    m "But he never made it."
    
    pov "!!!"
    
    pov "..."
    
    pov "W-what was his name?"
    
    m "You know what his name is." 
    
    m "His name was Polar."
    
    m "On the 7th after a game he was was killed tragically in an accident."
    
    m "Couple of guys were drunk after the game and were driving erratically in the parking lot beside the Sports Field."
    
    m "Polar was hit as he was heading for his car."
    
    m "..."
    
    m "He died later that night in the hospital."
    
    scene bg Bus000
    with flashbulb
    
    show keeves default
    with dissolve
    
    pov "{i}He's gonna get the team to throw a charity football game next week.{/i}"
    
    k "{i}That's exciting! Tell him if he can to have it sometime before the 7th next week.{/i}"
    
    pov "{i}Why the 7th?{/i}"
    
    k "{i}I'd like to see it and it would be better before the 7th. Believe me.{/i}"
    
    scene bg Hallway001
    with flashbulb
    
    show jaja default
    with dissolve
    
    j "{i}I even know there's a spiwit haunting da skoo!{/i}"

    pov "{i}A spirit huh? Did your 'psychic' powers tell you that?{/i}"

    j "{i}Well...I neba sawed it but...{/i}"
    
    scene bg Football Field Dusk000
    with fade
    
    show marlain default
    with dissolve
    
    m "I'm sorry %(povname)s."
    
    pov "..."

    m "I know it's hard to believe. I can show you the news article that reports his death if you want. It's in the library archives."

    m "There's even like a picture of him." 
    
    m "He's goodlooking and he has such warm blue eyes. Maybe you should look at it to confirm tha-"
    
    pov "No Marlo. It's ok. I don't need to see it. I believe you. Thank you."
    
    m "Are you going to be alright?"
    
    pov "I thought he was my soulmate Marlo."
    
    pov "Who am I kidding?! I tried to deny it this whole time and push aside all my feelings..."
    
    pov "He IS my soulmate."
    
    pov "I guess I just wasn't lucky enough to have him exist during my timeline."
    
    m "Huh?"
    
    pov "Nothing...it's something a friend once told me."
    
    m "Oh..."
    
    m "Do you need me to like drive you home?"
    
#************COACH HOOKUP CHANCE*****************
    
    if coachheart1 == True:
        
        pov "No it's ok. I kinda feel like I want to be alone right now."
        
        pov "Think things over abit."
        
        m "Oh I see. Of course %(povname)s. Just promise me you'll call if you need anything ok?"
        
        pov "I will Marlo. Thanks for being such a good friend."
        
        m "It's the least I can do after Daycamp. Haha!"
        
        m "Later then."
        
        pov "Bye."
        
        $ renpy.music.stop(fadeout=3.5)
        
        hide marlain default
        with dissolve
        
        "Arg! I'm so frustrated! Why is this happening to me!?"
        
        "Everytime I feel like I'm close it just...turns into this."
        
        $ renpy.music.play('Gnarled Situation.mp3', loop=True)
        
        show coach default
        with dissolve
        
        c "Hey kiddo...it's good to see you still haven't left yet."
        
        pov "Huh?"
        
        c "Now that the other boys are hitting up the showers I was thinking..."
        
        "Is this going where I think this is going?!"
        
        c "Hot sweet thing like you..."
        
        c "And me..."
        
        c "I have a van in the faculty parking area. No one's there this late. You and I can play."
        
        pov "Uhhh..."
        
        "Ah you know what let's do it! I need to get my frustrations out!"
        
        c "I'll help take your mind off things baby!"
        
        pov "Yeah let's go...where's your van?"
        
        "(Coach Muggins licks his lips)"
        
        "I could hear his breathing getting heavier."
        
        c "Follow me %(povname)s. I'm going to make you're toes curl boy."
        
        c "Gya har har har!"
        
#-=-=-=-=-=-=-=-=-=-= CREDITS -=-=-=-=-=-=-=-=-=-=-=-
        
        scene black
        with slow_dissolve
        
        show text "{font=subfont}THE END{/font}"
        with fade
        with Pause(2.0)
        
        "Click now for Credits."
        
        scene bg Courtyard000
        with fade
        with Pause(1.0)
        
        show jaja default
        with dissolve
        with Pause(1.0)
        
        show jaja default at right
        with move
        
        show Overlay000
        with slow_dissolve
        
        show text "{font=subfont}Producer: John Montenegro{p}Character Artist: John Montenegro{/font}"
        with slow_dissolve
        with Pause(3.0)
        
        scene bg Empty Classroom000
        with fade
        with Pause(1.0)
        
        show marlain default
        with dissolve
        with Pause(1.0)
        
        show marlain default at left
        with move
        
        show Overlay000
        with slow_dissolve
        
        show text "{font=subfont}Story: John Montenegro{p}Programming: John Montenegro{p}Fonts: 'Manjiro' by John Manjiro{p}and various others courtesy of DaFont.com{/font}"
        with slow_dissolve
        with Pause(3.0)
        
        scene bg Cafe000
        with fade
        with Pause(1.2)
        
        show sato default
        with dissolve
        with Pause(1.0)
        
        show sato default at right
        with move
        
        show Overlay000
        with slow_dissolve
        
        show text "{font=subfont}Sound FX and Loops by:{p}Will Musser, J Fairbanks and Sith Master{p}Courtesy of Flashkit.com{p}Music by:{p}Kevin MacLeod{p}Courtesy of http://incompetech.com/{/font}"
        with slow_dissolve
        with Pause(3.5)
        
        scene bg Football Field Dusk000
        with fade
        with Pause(1.2)
        
        show polar default
        with dissolve
        with Pause(1.0)
        
        show polar default at left
        with move
        
        show Overlay000
        with slow_dissolve
        
        show text "{font=subfont}Music also by:{p}Edgen{p}Courtesy of Flashkit.com{/font}"
        with slow_dissolve
        with Pause(3.0)
        
        scene bg Bus000
        with fade
        with Pause(1.2)
        
        show keeves default
        with dissolve
        with Pause(1.0)
        
        show keeves default at right
        with move
        
        show Overlay000
        with slow_dissolve
        
        show text "{font=subfont}Game Testers:{p}John Montenegro{p}Edward Montenegro{p}Jennifer Dela Cruz{/font}"
        with slow_dissolve
        with Pause(3.0)

        scene bg Title Screen001
        with flashbulb
        with Pause(2.5)
        
        show Overlay000
        with slow_dissolve
        
        show text "{font=subfont}Don't forget to try out these other{p}TEAM SMUT exclusive Visual Novels/Dating Sims!{/font}"
        with slow_dissolve
        with Pause(3.5)
        
        scene bg S4000
        with slow_dissolve
        with Pause(5.0)
        
        scene bg Nekomen000
        with slow_dissolve
        with Pause(5.0)
        
        scene white
        with flashbulb
        
        show text "{font=subfont}Thanks For Playing!{/font}"
        with slow_dissolve
        with Pause(3.0)
        
        return
        
#xxxxxxxxxxxxxxxxxx Coach Joke Ending xxxxxxxxxxxxxxxxxxxxxx
        
    else:
        
        "I thought about it for a second."
        
#~~~~~~~~~~~~ Keeves Final Story Arc ~~~~~~~~~~~
    
    if keevesheart2 == True:
    
        pov "No it's ok Marlo. Thanks for the offer and everything."
    
        pov "But there's someone I need to talk to who might be able to clarify this whole thing."
    
        m "You can't talk to me about it?"
    
        pov "I have the feeling he knows more about this then anyone ever could."
    
        $ renpy.music.stop(fadeout=5.0)
    
        pov "I've been having alot of weird experiences here at DSG but this just now takes the cake!"
    
        pov "It's time I stop running away and find some answers."
    
        m "I understand %(povname)s. I'm like with you all the way!"
    
        m "Call me if you need anything ok? I'm only a ring away!"
    
        pov "Right!"
    
        pov "Alright well I gotta run Marlo or else I'll miss my last bus!"
    
        m "Whaa?"
    
        m "Who woulda thunk all the answers would be found on a bus?!"
    
        pov "What can I say? Haha..."
        
        pov "Sometimes the last ride is the best."
    
        scene bg Bus000
        with fade
    
        $ renpy.music.play('3-Traffic.ogg', loop=True)
    
        "As fate would have it I made it just in time for the last minute save."
        
        $ renpy.music.stop(fadeout=7.0)
    
        "I was able to jump onto the bus as it was about to drive off without me."
    
        "And of course without fail there he was. Sitting in the exact same spot as usual." 
    
        "Smiling as always."
        
        $ renpy.music.play('Arcadia.mp3', loop=True)
    
        "As soon as I saw him I felt this wave of relief wash over me."
    
        "It's like nothing I've ever felt before in my life."
    
        "I walked up and sat beside Keeves."
    
        show keeves default
        with slow_dissolve
    
        k "Crazy day huh?"
        
        pov "You can say that again."
        
        k "I told you to have the game before the 7th."
        
        pov "I know."
        
        k "Hm...you don't seem surprised."
        
        pov "I've kind of come to expect it with you. You just seem to know everything."
        
        pov "Keeves..."
        
        k "Yes?"
        
        pov "Did you know about Polar?"
        
        k "Yes."
        
        pov "Why didn't you tell me about the 7th? And about Polar?"
        
        k "It's not my place to interfere. If I did it would be against our regulations."
        
        pov "So everything M-"
        
        k "Marlo said was true."
        
        k "Yes the Polar you met was an apparition." 
        
        k "It doesn't mean though that the Polar you met wasn't real."
        
        k "Does that make any sense?"
        
        "I couldn't help but smile alittle."
        
        pov "You know...in a weird way I think it does."
        
        k "I was hoping you would be able to find your way...it's part of my directive to supervise with minimal assistance."
        
        k "%(povname)s, you don't know how hard it was for me to sit back and only be able to watch and to speak enigmatically."
        
        pov "You're 'directive'? Against 'regulations'?!" 
        
        pov "First Polar and now this...please Keeves just tell me what's going on. I deserve to know."
        
        pov "This is my life were dealing with!"
        
        k "That's just it %(povname)s...we aren't and yet in a way we are."
        
        pov "What?"
        
        k "%(povname)s...you aren't alive anymore."
        
        k "You don't remember do you?"
        
        k "That would make alot of sense though. At least some part of 'The Loop' hasn't malfunctioned."
        
        pov "Keeves' wait a moment...I'm not alive anymore? Of course I am!" 
        
        pov "I'm right here...I can see, I can touch and hear."
        
        pov "I can think and I can feel!"
        
        "I was freaking out!"
        
        "Then Keeves smiled. The fear I felt disappeared and all that was left was peace and light."
        
        k "%(povname)s listen to me...I know it's hard but you have to believe me." 
        
        k "I understand this part is always the hardest."
        
        k "Do you trust me?"
        
        pov "I do but..."
        
        k "%(povname)s, only you're consciousness is 'alive' at this point. Your physical form is no longer connected to your soul."
        
        k "Trust me you lived a long and wonderful life. You're family and friends all love and miss you very much."
        
        k "You are truly blessed."
        
        pov "I am?"
        
        "I could barely control my conflicting emotions."
        
        k "The reason you don't remember dying or anything about your life past this point is attributed to 'The Loop'."
        
        pov "What is 'The Loop' Keeves?"
        
        k "When you die %(povname)s and have led a life full of sincerity and inherent goodness your soul is given it's final reward."
        
        k "'The Loop' is something designed by God himself to ensure pure souls receive eternal happiness."
        
        k "The Loop works by retrieving your consciousness and then asks your subconscious to define the happiest moment of your life."
        
        k "It then loops your consciousness over and over again across that small period of time in your life."
        
        k "However you won't realize you're constantly looping."
        
        pov "You mean..."
        
        k "You'll be able to relive the happiest moment of your life over and over again..."
        
        k "...forever."
        
        k "Here I'll override the settings and allow you to remember fragments of the life you used to live."
        
        k "I can't permit full reaquisition. It might be too much for you're consciousness to handle."
        
        play sound "3-Heal1.ogg"
        
        scene bg Bus000
        with flashbulb
        
        show keeves default
        with slow_dissolve
        
        pov "..."
        
        pov "I remember."
        
        pov "I remember some of it now." 
        
        pov "I can remember things in my mind that couldn't have happened yet if I was actually living my life right now attending DSG."
        
        pov "So what happened with my loop? Did I do something wrong?"
        
        k "No of course not! Sometimes The System handling the loops malfunction and react unexpectedly."
        
        k "We have millions upon millions of souls to attend to."
        
        pov "And that would make you..."
        
        k "An Angel."
        
        pov "A-are you my Guardian Angel?"
        
        "(Keeves smiles)"
        
        k "Not exactly. That job is assigned to another Angel."
        
        k "Although...I can't think of anyone else I'd want to be a Guardian Angel for."
        
        k "..."
        
        pov "So all those things you told me about yourself on the bus...those were all lies?"
        
        k "No. I would never lie to you."
        
        k "My current function is to oversee and trouble shoot problem loops like yours %(povname)s."
        
        k "When I {i}was{/i}alive on earth I actually attended DSG as well." 
        
        k "I was familiar with the setting so I was assigned to your case specifically."
        
        k "It's too bad my time at DSG was before yours. We could've been friends."
        
        "(Keeves' blushes)"
        
        pov "Another case of bad timing on my part. Haha."
        
        k "Heh...in any case I inputed myself into your consciousness to see what I could do to help."
        
        pov "And that's why I never got that familiar feeling with you."
        
        k "I was never part of your actual memories."
        
        k "Somehow The Loop was able to get the initial memory erasure part correct." 
        
        k "And was also able to determine that you're happiest moment was near or around your time at Dream Savior Gakuen."
        
        k "Unfortunately it wasn't able to pinpoint the exact moment."
        
        k "Perhaps you met someone who changed your life forever?"
        
        k "Maybe you fell in love or met your soulmate?"
        
        k "Also The Loop failed in being able to activate complete memory erasure after the primary one."
        
        k "That's why you've been experiencing deja vu and more serious errors like the flashbacks."
        
        k "%(povname)s I'm so sorry that you had to go through this. I wish I could take it all back."
        
        k "I know how distressing this probably all was."
        
        pov "It's ok it's not your fault. You've been trying to help me the whole time."
        
        pov "So is there any hope? Can we fix it?"
        
        pov "Or am I doomed to reside in deja vu limbo?"
        
        k "No. I couldn't permit that to happen to you."
        
        k "Maybe cause I've even gotten alittle bit attached to you."
        
        "(Keeves smiles)"
        
        k "I've gotten clearance to allow a high level loop fix."
        
        k "Essentially I'll ask you now...I'll ask you what your happiest moment here at DSG was."
        
        k "When you select it the fix will be automatic and you'll forget me and ALL of this. Except..."
        
        k "...your happiest memory."
        
        pov "Well I'm not sure what my subconscious had originally intended my happiest moment to be."
        
        pov "But I know that the best part of Dream Savior Gakuen was the special bonds I made."
        
#************4-WAY HOOKUP CHANCE*****************
        
        menu:
        
            pov "My happiest memory..."            
        
            "...was with Marlain. I fell for my best friend.":
        
                jump ask_4way_yes
        
            "...was with Sato. I know there's something there.":
        
                jump  ask_4way_no
        
            "...was the time I spent with Polar. Even if he was a ghost.":
        
                jump  ask_4way_maybe
        
            "....was...with you.":
        
                jump  ask_4way_neither
        
        label  ask_4way_yes:
        
            $  ask_4way_choice = "yes"
        
            #Marlain
            scene white
            with slow_dissolve
            
            $ renpy.music.stop(fadeout=5.5)
            
            show marlain default
            with dissolve
            
            pov "He showed me how a real friendship can turn into more."
            
            pov "When I'm with him I feel like I can just be myself and he'll always care."
            
            pov "We met once when I was really young. Apparently I was alot to him. Alot of 'firsts' for him."
            
            pov "His first friend, first kiss..."
            
            pov "...and his first love."
            
            pov "Maybe it was fate for us to meet again at DSG."
            
            k "I think that would be very possible. As I was saying there are no coincidences."
            
            pov "I want to be the one in his life."
            
            k "And now you are and will always be."
            
            k "Goodbye %(povname)s."
            
            pov "Goodbye Keeves...thank you for everything!"
            
            play sound "3-Teleport1.ogg"
            
            scene bg Empty Classroom000
            with flashbulb

            show marlain default
            with slow_dissolve
            
            $ renpy.music.play('Crying Lullaby.mp3', loop=True)

            pov "It was only a week but I remember meeting you and having fun with my friend Marlo everyday."
            
            "{i}And so as I drifted into my eternal loop I thought about Keeves and everything that had happened at Dream Savior Gakuen.{/i}"

            pov "I'm sorry I forgot Marlain. I didn't mean too." 
            
            "{i}But I thought mostly about Marlo.{/i}"

            pov "I guess my memory of you got lost to time and for that I'm sorry."

            m "Don't apologize to me. I won't allow you too."

            m "Just knowing your friendship then...and again now is all I've ever wanted."

            m "I've always wanted to meet the boy from Daycamp again."

            m "Heh...(sniffle)...and now...here you are!"
            
            "{i}If my happiest moment was at Dream Savior Gakuen I know the reason I chose this place would be because of him.{/i}"
            
#-=-=-=-=-=-=-=-=-=-= CREDITS -=-=-=-=-=-=-=-=-=-=-=-
        
            scene black
            with slow_dissolve
        
            show text "{font=subfont}THE END{/font}"
            with fade
            with Pause(2.0)
            
            "Click now for Credits."
        
            scene bg Courtyard000
            with fade
            with Pause(1.0)
        
            show jaja default
            with dissolve
            with Pause(1.0)
        
            show jaja default at right
            with move
        
            show Overlay000
            with slow_dissolve
        
            show text "{font=subfont}Producer: John Montenegro{p}Character Artist: John Montenegro{/font}"
            with slow_dissolve
            with Pause(3.0)
        
            scene bg Empty Classroom000
            with fade
            with Pause(1.0)
        
            show marlain default
            with dissolve
            with Pause(1.0)
        
            show marlain default at left
            with move
        
            show Overlay000
            with slow_dissolve
        
            show text "{font=subfont}Story: John Montenegro{p}Programming: John Montenegro{p}Fonts: 'Manjiro' by John Manjiro{p}and various others courtesy of DaFont.com{/font}"
            with slow_dissolve
            with Pause(3.0)
        
            scene bg Cafe000
            with fade
            with Pause(1.2)
        
            show sato default
            with dissolve
            with Pause(1.0)
        
            show sato default at right
            with move
        
            show Overlay000
            with slow_dissolve
        
            show text "{font=subfont}Sound FX and Loops by:{p}Will Musser, J Fairbanks and Sith Master{p}Courtesy of Flashkit.com{p}Music by:{p}Kevin MacLeod{p}Courtesy of http://incompetech.com/{/font}"
            with slow_dissolve
            with Pause(3.5)
        
            scene bg Football Field Dusk000
            with fade
            with Pause(1.2)
        
            show polar default
            with dissolve
            with Pause(1.0)
        
            show polar default at left
            with move
        
            show Overlay000
            with slow_dissolve
        
            show text "{font=subfont}Music also by:{p}Edgen{p}Courtesy of Flashkit.com{/font}"
            with slow_dissolve
            with Pause(3.0)
        
            scene bg Bus000
            with fade
            with Pause(1.2)
        
            show keeves default
            with dissolve
            with Pause(1.0)
        
            show keeves default at right
            with move
        
            show Overlay000
            with slow_dissolve
        
            show text "{font=subfont}Game Testers:{p}John Montenegro{p}Edward Montenegro{p}Jennifer Dela Cruz{/font}"
            with slow_dissolve
            with Pause(3.0)

            scene bg Title Screen001
            with flashbulb
            with Pause(2.5)
        
            show Overlay000
            with slow_dissolve
        
            show text "{font=subfont}Don't forget to try out these other{p}TEAM SMUT exclusive Visual Novels/Dating Sims!{/font}"
            with slow_dissolve
            with Pause(3.5)
        
            scene bg S4000
            with slow_dissolve
            with Pause(5.0)
        
            scene bg Nekomen000
            with slow_dissolve
            with Pause(5.0)
            
            scene white
            with flashbulb
        
            show text "{font=subfont}Thanks For Playing!{/font}"
            with slow_dissolve
            with Pause(3.0)
            
            return
            
#xxxxxxxxxxxxxxxxxx Marlain Good Ending xxxxxxxxxxxxxxxxxxxxxx
            
            jump  ask_4way_done
            
        label  ask_4way_no:
        
            $  ask_4way_choice = "no"
            
            #Sato
            scene white
            with slow_dissolve
            
            $ renpy.music.stop(fadeout=5.5)
            
            show sato default
            with dissolve
            
            pov "We may not have a history that goes back as far as Marlo and I."
            
            pov "Or even a romantic but star-crossed connection like Polar and I."
            
            pov "But whenever I'm around him I just know that there's something there."
            
            pov "I watched how he opened up to me and I knew how hard that was for him."
            
            k "And the whole time he was trying to overcome all his limitations just for you."
            
            pov "And that's the part that touched me the most."
            
            k "Aahhh...I think I know which moment you want."
            
            k "Goodbye %(povname)s. My work here is done."
            
            pov "Thank you."
            
            pov "For everything Keeves."
            
            play sound "3-Teleport1.ogg"
            
            scene bg Courtyard000
            with flashbulb

            $ renpy.music.play('Crying Lullaby.mp3', loop=True)

            show sato default
            with slow_dissolve
            
            pov "Can I ask you something Sato?"

            s "Anything."

            pov "What made you tell me your story?"

            s "I...I do not know."

            s "I feel like I can tell you anything. It has never happened before with anyone else."

            s "I want you to know the real me! I do not want to have any secrets."

            s "I do not want to have to hold anything back anymore."

            pov "Sato..."

            s "I want you to be with me."
            
            "And that was my happiest moment at Dream Savior Gakuen."
            
            "{i}...well, of my eternity apparently.{/i}"
            
#-=-=-=-=-=-=-=-=-=-= CREDITS -=-=-=-=-=-=-=-=-=-=-=-
        
            scene black
            with slow_dissolve
        
            show text "{font=subfont}THE END{/font}"
            with fade
            with Pause(2.0)
            
            "Click now for Credits."
        
            scene bg Courtyard000
            with fade
            with Pause(1.0)
        
            show jaja default
            with dissolve
            with Pause(1.0)
        
            show jaja default at right
            with move
        
            show Overlay000
            with slow_dissolve
        
            show text "{font=subfont}Producer: John Montenegro{p}Character Artist: John Montenegro{/font}"
            with slow_dissolve
            with Pause(3.0)
        
            scene bg Empty Classroom000
            with fade
            with Pause(1.0)
        
            show marlain default
            with dissolve
            with Pause(1.0)
        
            show marlain default at left
            with move
        
            show Overlay000
            with slow_dissolve
        
            show text "{font=subfont}Story: John Montenegro{p}Programming: John Montenegro{p}Fonts: 'Manjiro' by John Manjiro{p}and various others courtesy of DaFont.com{/font}"
            with slow_dissolve
            with Pause(3.0)
        
            scene bg Cafe000
            with fade
            with Pause(1.2)
        
            show sato default
            with dissolve
            with Pause(1.0)
        
            show sato default at right
            with move
        
            show Overlay000
            with slow_dissolve
        
            show text "{font=subfont}Sound FX and Loops by:{p}Will Musser, J Fairbanks and Sith Master{p}Courtesy of Flashkit.com{p}Music by:{p}Kevin MacLeod{p}Courtesy of http://incompetech.com/{/font}"
            with slow_dissolve
            with Pause(3.5)
        
            scene bg Football Field Dusk000
            with fade
            with Pause(1.2)
        
            show polar default
            with dissolve
            with Pause(1.0)
        
            show polar default at left
            with move
        
            show Overlay000
            with slow_dissolve
        
            show text "{font=subfont}Music also by:{p}Edgen{p}Courtesy of Flashkit.com{/font}"
            with slow_dissolve
            with Pause(3.0)
        
            scene bg Bus000
            with fade
            with Pause(1.2)
        
            show keeves default
            with dissolve
            with Pause(1.0)
        
            show keeves default at right
            with move
        
            show Overlay000
            with slow_dissolve
        
            show text "{font=subfont}Game Testers:{p}John Montenegro{p}Edward Montenegro{p}Jennifer Dela Cruz{/font}"
            with slow_dissolve
            with Pause(3.0)

            scene bg Title Screen001
            with flashbulb
            with Pause(2.5)
        
            show Overlay000
            with slow_dissolve
        
            show text "{font=subfont}Don't forget to try out these other{p}TEAM SMUT exclusive Visual Novels/Dating Sims!{/font}"
            with slow_dissolve
            with Pause(3.5)
        
            scene bg S4000
            with slow_dissolve
            with Pause(5.0)
        
            scene bg Nekomen000
            with slow_dissolve
            with Pause(5.0)
            
            scene white
            with flashbulb
        
            show text "{font=subfont}Thanks For Playing!{/font}"
            with slow_dissolve
            with Pause(3.0)
            
            return
            
#xxxxxxxxxxxxxxxxxx Sato Good Ending xxxxxxxxxxxxxxxxxxxxxx
            
            jump  ask_4way_done
    
        label  ask_4way_maybe:
        
            $  ask_4way_choice = "maybe"
        
            #Polar
            scene white
            with slow_dissolve
            
            $ renpy.music.stop(fadeout=5.5)
            
            show polar default
            with dissolve
            
            pov "I tried to deny it but in the end I knew the man in my dreams was the same one I had met that day on the Football Field."
            
            pov "I guess I was just scared to believe it was possible in case I turned out to be wrong."
            
            pov "But now I know."
            
            k "And it's kinda bittersweet."
            
            pov "Yeah...but I know that he was my soulmate."
            
            k "It's time %(povname)s. Are you ready?"
            
            pov "As ready as I'll ever be."
            
            k "Goodbye %(povname)s."
            
            pov "Goodbye Keeves. I'll miss you. Thank you!"
            
            play sound "3-Teleport1.ogg"
            
            scene bg Football Field Dusk000
            with flashbulb
            
            $ renpy.music.play('Water Droplets on the River.mp3', loop=True)
            
            show polar default
            with slow_dissolve

            p "Don't worry about it %(povname)s. The charity game is as good as set. We'll have it next week." 

            p "I'd love it if you could make it!"

            pov "For sure Polar! I'll be there. I wouldn't miss it for anything."
            
            "{i}I may not have been lucky enough to have him around when I actually attended DSG.{/i}"

            p "Good. Cause you know the only reason I'm doin it is for you right?"

            pov "Really?"
            
            "{i}But at least I was able to meet him despite the universe trying to pull us apart.{/i}"

            p "Yeah, but hey I'll check ya later. Come to the game aight!"
            
            "{i}And now in a way we've conquered all that together. For all time.{/i}"
            
#-=-=-=-=-=-=-=-=-=-= CREDITS -=-=-=-=-=-=-=-=-=-=-=-
        
            scene black
            with slow_dissolve
        
            show text "{font=subfont}THE END{/font}"
            with fade
            with Pause(2.0)
            
            "Click now for Credits."
        
            scene bg Courtyard000
            with fade
            with Pause(1.0)
        
            show jaja default
            with dissolve
            with Pause(1.0)
        
            show jaja default at right
            with move
        
            show Overlay000
            with slow_dissolve
        
            show text "{font=subfont}Producer: John Montenegro{p}Character Artist: John Montenegro{/font}"
            with slow_dissolve
            with Pause(3.0)
        
            scene bg Empty Classroom000
            with fade
            with Pause(1.0)
        
            show marlain default
            with dissolve
            with Pause(1.0)
        
            show marlain default at left
            with move
        
            show Overlay000
            with slow_dissolve
        
            show text "{font=subfont}Story: John Montenegro{p}Programming: John Montenegro{p}Fonts: 'Manjiro' by John Manjiro{p}and various others courtesy of DaFont.com{/font}"
            with slow_dissolve
            with Pause(3.0)
        
            scene bg Cafe000
            with fade
            with Pause(1.2)
        
            show sato default
            with dissolve
            with Pause(1.0)
        
            show sato default at right
            with move
        
            show Overlay000
            with slow_dissolve
        
            show text "{font=subfont}Sound FX and Loops by:{p}Will Musser, J Fairbanks and Sith Master{p}Courtesy of Flashkit.com{p}Music by:{p}Kevin MacLeod{p}Courtesy of http://incompetech.com/{/font}"
            with slow_dissolve
            with Pause(3.5)
        
            scene bg Football Field Dusk000
            with fade
            with Pause(1.2)
        
            show polar default
            with dissolve
            with Pause(1.0)
        
            show polar default at left
            with move
        
            show Overlay000
            with slow_dissolve
        
            show text "{font=subfont}Music also by:{p}Edgen{p}Courtesy of Flashkit.com{/font}"
            with slow_dissolve
            with Pause(3.0)
        
            scene bg Bus000
            with fade
            with Pause(1.2)
        
            show keeves default
            with dissolve
            with Pause(1.0)
        
            show keeves default at right
            with move
        
            show Overlay000
            with slow_dissolve
        
            show text "{font=subfont}Game Testers:{p}John Montenegro{p}Edward Montenegro{p}Jennifer Dela Cruz{/font}"
            with slow_dissolve
            with Pause(3.0)

            scene bg Title Screen001
            with flashbulb
            with Pause(2.5)
        
            show Overlay000
            with slow_dissolve
        
            show text "{font=subfont}Don't forget to try out these other{p}TEAM SMUT exclusive Visual Novels/Dating Sims!{/font}"
            with slow_dissolve
            with Pause(3.5)
        
            scene bg S4000
            with slow_dissolve
            with Pause(5.0)
        
            scene bg Nekomen000
            with slow_dissolve
            with Pause(5.0)
            
            scene white
            with flashbulb
        
            show text "{font=subfont}Thanks For Playing!{/font}"
            with slow_dissolve
            with Pause(3.0)
            
            return
            
#xxxxxxxxxxxxxxxxxx Polar Good Ending xxxxxxxxxxxxxxxxxxxxxx
            
            jump  ask_4way_done
            
        label  ask_4way_neither:
        
            $  ask_4way_choice = "neither"
            
#************KEEVES HOOKUP CHANCE*****************
            
            #Keeves
            
            $ renpy.music.play('2-Bus.mp3', loop=True)
            
            scene white
            with slow_dissolve
            
            show keeves default
            with dissolve
            
            k "With me?"
            
            k "B-but I'm not part of your original memories."
            
            pov "But we made new memories together don't you think?"
            
            k "They aren't real!"
            
            pov "They are to me!"
            
            k "%(povname)s..."
            
            k "I don't understand."
            
            k "What do you want me to say?"
            
            pov "Nothing. I just want you to be here with me. Always."
            
            k "I can't do that. I-it's against regulations...He would..."
            
            pov "Keeves I don't know what my reason for choosing DSG would be...what my happiest moment here was."
            
            pov "And now that I've met you none of that matters!"
            
            pov "This whole time the only thing that kept me going was you."
            
            pov "At first I thought it was because I knew you could help me..."
            
            pov "I realize now that it was always something deeper."
            
            k "It's not that I don't want to. I do!" 
            
            k "It's just that there are consequences to what you're asking me to do."
            
            k "You're asking me..." 
            
            k "You're asking me to turn my back on heaven."
            
            pov "I am?"
            
            "(Keeves nods solemnly)"
            
            k "..."
            
            k "For now though I haveta go. Uh...there's some fineprint I need to take care of."
            
            pov "Wait Keeves where are you going?"
            
            k "Don't worry I'll be back once I finalize all the loose ends of your loop fix."
            
            k "Things will loop until I get back so don't be alarmed. I'll meet you on the bus."
            
            k "I promise."
            
            pov "No Keeves wait!"
            
            play sound "3-Teleport1.ogg"
            
            scene bg School Lobby001
            with flashbulb
            
            show sato default
            with dissolve
            
            "{i}And things DID loop just like he said they would. I started DSG again from the very 1st day.{/i}"
            
            "{i}I met Sato again...{/i}"
            
            hide sato default
            with dissolve
            
            scene bg School Lobby001 at Pan((0, 400), (0, 0), 10.0)
            
            "{i}He said everything I knew he would say and so did I.{/i}"
            
            "{i}I wanted to call out to Keeves! I tried to but my mouth couldn't form the words.{/i}"
            
            scene bg Hallway001
            with fade
            
            show jaja default
            with dissolve
            
            "{i}Days went by.{/i}"
            
            "{i}Then they would loop and go by again.{/i}"
            
            scene bg Football Field Dawn000
            with fade
            
            show polar default
            with dissolve
            
            "{i}Unfortunately I was aware that everything was looping.{/i}"
            
            "{i}It was torture.{/i}"
            
            "{i}My only hope was that Keeves would be on that bus...{/i}"
            
            scene bg Bus000
            with fade
            
            "{i}...but he was never there.{/i}"
            
            "{i}The bus was the only place I could alter my actions even slightly.{/i}"
            
            "{i}Or utter words to myself all alone while those same curtains of sunlight fell against my face.{/i}"
            
            scene bg Library000
            with fade
            
            show marlain default at left
            with dissolve
            
            show jaja default
            with dissolve
            
            show sato default at right
            with dissolve
            
            "{i}Days maybe weeks had gone by and looped so many times{/i}." 
            
            "{i}I couldn't count them anymore.{/i}"
            
            "{i}Keeves where are you ?!{/i}"
            
            scene bg Bus000
            with fade
            
            "{i}I was beginning to lose hope.{/i}"
            
            "{i}Who am I kidding...I lost hope.{/i}"
            
            "{i}...{/i}"
            
            u "%(povname)s?"
            
            scene bg Bus001
            with slow_dissolve
            
            show keeves default
            with flashbulb
            
            show snowblossom
            with dissolve
            with Pause(2.0)
            
            pov "Keeves!"
            
            pov "You came back."
            
            k "I promised you I would didn't I?"
            
            pov "I...I was beginning to lose hope..."
            
            pov "I'm so glad you're here."
            
            k "%(povname)s...I would never leave you." 
            
            k "I care about you so much."
            
            k "Do you know the real reason I had to leave?"
            
            k "There were no loose ends...the loop fix was already 100 percent approved remember?"
            
            pov "I thought so." 
            
            pov "Then why did you leave?"
            
            k "I had to find out from Him if there was anything he could do." 
            
            k "Make an exception just this once..."
            
            k "...so I could stay here with you."
            
            pov "You what?! You really did that?"
            
            k "Yes."
            
            "(Keeves smiles)"
            
            pov "What did He say?"
            
            k "I told him how I felt. He said it was something unprecidented."
            
            k "That's why I thought it was going to be a very bad situation."
            
            k "I thought He wouldn't approve."
            
            "(Keeves smiles knowingly)"
            
            k "But He is a very understanding Lord." 
            
            k "And He wants me to be happy just as much as He wants you to be happy."
            
            pov "And so you mean...!"
            
            "(My soul lit up)"
            
            k "The weeks and days will still loop %(povname)s. Except with us."
            
            k "My consciousness will live in yours. If it's imposing too much you can say so..."
            
            pov "Of course not. Keeves..."
            
            pov "My eternal happiness wouldn't be eternal happiness..." 
            
            pov "...without you."
    
            scene black
            with slow_dissolve
            
#-=-=-=-=-=-=-=-=-=-= CREDITS -=-=-=-=-=-=-=-=-=-=-=-
        
            scene black
            with slow_dissolve
        
            show text "{font=subfont}THE END{/font}"
            with fade
            with Pause(2.0)
            
            "Click now for Credits."
        
            scene bg Courtyard000
            with fade
            with Pause(1.0)
        
            show jaja default
            with dissolve
            with Pause(1.0)
        
            show jaja default at right
            with move
        
            show Overlay000
            with slow_dissolve
        
            show text "{font=subfont}Producer: John Montenegro{p}Character Artist: John Montenegro{/font}"
            with slow_dissolve
            with Pause(3.0)
        
            scene bg Empty Classroom000
            with fade
            with Pause(1.0)
        
            show marlain default
            with dissolve
            with Pause(1.0)
        
            show marlain default at left
            with move
        
            show Overlay000
            with slow_dissolve
        
            show text "{font=subfont}Story: John Montenegro{p}Programming: John Montenegro{p}Fonts: 'Manjiro' by John Manjiro{p}and various others courtesy of DaFont.com{/font}"
            with slow_dissolve
            with Pause(3.0)
        
            scene bg Cafe000
            with fade
            with Pause(1.2)
        
            show sato default
            with dissolve
            with Pause(1.0)
        
            show sato default at right
            with move
        
            show Overlay000
            with slow_dissolve
        
            show text "{font=subfont}Sound FX and Loops by:{p}Will Musser, J Fairbanks and Sith Master{p}Courtesy of Flashkit.com{p}Music by:{p}Kevin MacLeod{p}Courtesy of http://incompetech.com/{/font}"
            with slow_dissolve
            with Pause(3.5)
        
            scene bg Football Field Dusk000
            with fade
            with Pause(1.2)
        
            show polar default
            with dissolve
            with Pause(1.0)
        
            show polar default at left
            with move
        
            show Overlay000
            with slow_dissolve
        
            show text "{font=subfont}Music also by:{p}Edgen{p}Courtesy of Flashkit.com{/font}"
            with slow_dissolve
            with Pause(3.0)
        
            scene bg Bus000
            with fade
            with Pause(1.2)
        
            show keeves default
            with dissolve
            with Pause(1.0)
        
            show keeves default at right
            with move
        
            show Overlay000
            with slow_dissolve
        
            show text "{font=subfont}Game Testers:{p}John Montenegro{p}Edward Montenegro{p}Jennifer Dela Cruz{/font}"
            with slow_dissolve
            with Pause(3.0)

            scene bg Title Screen001
            with flashbulb
            with Pause(2.5)
        
            show Overlay000
            with slow_dissolve
        
            show text "{font=subfont}Don't forget to try out these other{p}TEAM SMUT exclusive Visual Novels/Dating Sims!{/font}"
            with slow_dissolve
            with Pause(3.5)
        
            scene bg S4000
            with slow_dissolve
            with Pause(5.0)
        
            scene bg Nekomen000
            with slow_dissolve
            with Pause(5.0)
            
            scene white
            with flashbulb
            
            show text "{font=subfont}Thanks For Playing!{/font}"
            with slow_dissolve
            with Pause(3.0)

#xxxxxxxxxxxxxxxxxx Keeves Superior Ending xxxxxxxxxxxxxxxxxxxxxx
            
            return
            
            jump  ask_4way_done
            
        label  ask_4way_done:
        
    else:
    
        pov "Yeah Marlo thanks. If you could drop me off at my apartment that'd be great."
        
        m "Sure sure...of course."
        
        m "Let's go."
        
        $ renpy.music.stop(fadeout=5.0)
        
        scene black 
        with fade
        
        "Marlo and I decided that what we both knew about Polar would be our secret."
        
        pov "He's such a good friend."
        
        "That night I couldn't sleep. It was the most restless night I've ever had."
        
        pov "Did all of this really happen?"
    
    jump marlain_hookup1_done
            
label marlain_hookup1_done:
    
scene bg Hallway001
with fade
    
#------------------------------------------------------------------
    
# Days Later
    
"Couple of days later."

$ renpy.music.play('White.mp3', loop=True)

"Today's going along as well as could be expected I suppose."

pov "It's kind of weird not having Jaja waiting for me in the Lobby before class anymore."

pov "Now that I think about it, all his classes are pretty far from mine. Considering how big DSG is..."

pov "He really made an effort to come meet me up just to walk around with me between classes."

pov "..."

pov "Jaja..."

pov "Sato...and now Polar!"

pov "Everything is so screwed up right now."

m "Didn't I like tell you a sad face doesn't suit you %(povname)s?"

show marlain default
with dissolve

pov "Hey Marlo!"

pov "What do you mean? Everything is ok."

m "Come on %(povname)s...you don't have to hide anything from me."

m "Besides I know the whole story."

pov "You do?"

m "Well like yeah...I met up with Jaja before 1st period today to talk about some PRC stuff and he just kinda blurted it out."

m "What a sticky situation!" 

m "2 brothers and they both like you and then one witnesses the other confessing his feelings for you. Poor Jaja!"

pov "Poor Jaja? What about me? Poor me!"

m "DRAMA!"

pov "Ugh I know..."

m "Well, I didn't come here to gossip with you really." 

m "I just wanted to tell you abit about how Portfolio Review Night is going to work."

pov "That's right we gotta prep. It's happening next week already."

m "I know! Can you believe it?"

m "So yeah, Jaja said everything we need is basically all purchased so it's just a matter of being there 4-5 hours earlier to setup."

m "Make sure all the equipment work etcetera."

m "The Portfolio Review is going to be held in one of the Lecture Rooms."

pov "Ok that sounds pretty easy."

m "Yeah apparently Sato took care of the setup plans. He's very organized and methodical."

m "He even created a list of everyone helping, their tasks and their estimated completion times!"

pov "Hmmm Sato...I haven't seen him in awhile either."

m "Look %(povname)s, why don't you go talk to them or at least one of them?"

m "You're gonna have to see them the day of the Review anyways."

m "It's like way better to just clear the air so to speak."

m "Trust me."

pov "You may be right."

menu:
        
    pov "Hhhmmmm..."
        
    "I'll go sort things out with Sato.":
        
        jump ask_3way1_yes
        
    "I'll go sort things out with Jaja.":
        
        jump ask_3way1_no
        
    "No it's better to just let it be for now.":
        
        jump ask_3way1_neither
        
        
label ask_3way1_yes:
        
    $ ask_3way1_choice = "yes"
            
    m "Sato? Hey I think I saw him a coupla minutes ago in the Courtyard."
    
    m "If you hurry you might be able to catch him."
    
    pov "Thanks Marlo. I'm going to get going."
    
    m "Wow like look at you...all business!"
    
    m "You must really like him alot huh?"
    
    $ renpy.music.stop(fadeout=0.7)
    
    pov "Well...uh..."
    
    m "Goodluck."
    
    scene bg Courtyard000
    with fade
    
    $ renpy.music.play('Heartbreaking.mp3', loop=True)
    
    show sato default
    with dissolve
    
    pov "Sato!"
    
    s "%(povname)s!"
    
    s "I-it is good to see you."
    
    s "It has been awhile."
    
    pov "You can say that again."
    
    s "So what would you like to discuss? I am assuming it is PRC related."
    
    pov "No of course not. It has nothing to do with that."
    
    s "Oh...I see."
    
    s "It is about what happened on game day is it not?"
    
    pov "Well yeah..."
    
    pov "I felt like I needed to fix things with you."
    
    s "Me huh?"
    
    pov "Of course!"
    
    pov "Sato...I am really into you. I've liked you since the day I met you."
    
    s "You have?"
    
    pov "Yes...and...well I feel like just because Jaja had a crush on me and so happened to see what happened between us..."

    pov "I just feel like it would be a waste to let what we have go."
    
    pov "I think we have a connection."
    
    s "I agree. I think you and I have an amazing connection with alot of potential."
    
    s "I liked you alot."
    
    s "However my most important connection, I am sorry to say, is not with you %(povname)s."
    
    pov "I understand that but..."
    
    s "No one understands how deep my connection is to Jaja."
    
    s "He is my ONLY family."
    
    s "And I would not risk his happiness for you."
    
    s "Not for the world."
    
    pov "So I chose YOU and your just going to blow me off like that?"
    
    s "I am sorry %(povname)s."
    
    s "I suppose we just do not see eye to eye on this subject."
    
    hide sato default
    with dissolve
    
    "He just walked off on me. Possibly for the last time."
    
    pov "..."
    
    pov "Goodbye Sato."
    
    scene bg Portfolio Review000
    with fade
    
    "Nothing too exciting happened up until the day of Portfolio Review."
    
    "Setup went smoothly of course thanks to Sato's incredibly detailed scheduling plan."
    
    "Although he himself didn't show up to setup OR to Review Night."

    "I tried telling myself maybe it just wasn't his thing."
    
    "The truth hurt too much I suppose."
    
    "Jaja did show up to setup AND to Review Night." 
    
    "At setup though he only talked to me to give out directions. Nothing else."
    
    "When we made eye-contact he would quickly get uncomfortable and then turn to bark out orders at someone else."

    "Marlo looked on supportingly." 
    
    "It was all so awkward."
    
    "Turns out Portfolio Review Night was a massive success though!"
    
    "I stayed to watch. After it was done I put on my jacket and was about to leave when..."
    
    u "Heyas."
    
    pov "?"
    
    show jaja default
    with dissolve
    
    pov "Jaja..."
    
    j "I jes wanteds to say dat I was weally sowy for all das happened."

    j "I didn't means for yoo and my Bruffer to ends up hating eachother."
    
    pov "I don't hate Sato. I don't think he hates me either." 
    
    pov "We just have...um...different priorities."
    
    j "Are yoo mad at me?"
    
    pov "No of course not. None of this is your fault. It just sorta...happened I guess."
    
    j "Yaa...I gesh. I wish I coulda predicted dish for yoo sho we coulda avoided it all."
    
    j "Fate doesn't always works da way you wants huh?"
    
    pov "Haha...no...no it doesn't."
    
    j "Well I gesh I'll she yoo awound. Thanks for all you're help wit da PRC and alls."
    
    j "I'd likes it if we could be fwends again tho."
    
    pov "I feel that way too."
    
    pov "No more silly crushes though!"
    
    "(Jaja smiles)"
    
    j "Right!"
    
    j "Okies %(povname)s...I'll she yoo later otay?"
    
    pov "Bye Jaja."
    
    j "Buh-byeeeee!"
    
    hide jaja default
    with dissolve
    
    show marlain default
    with dissolve
    
    m "Hey...I saw what you just did. That was really cool of you %(povname)s."
    
    pov "Well, despite everything I still consider that brat my friend."
    
    m "Awwww..."
    
    m "Good job with setup today. We all deserve a pat on the back. Gooo PRC!!! Hahaha!"
    
    pov "Gawd stop Marlo. Haha!"
    
    m "Can I ask you something?"
    
    pov "Sure."
    
    m "Did you think Dream Savior Gakuen would be this-"
    
    pov "Complicated?!"
    
    m "Well...I wasn't going to say that but..."
    
    pov "You know no matter what I don't regret anything about DSG." 
    
    pov "I'm still having a great time with experiences I know I'll never forget for the rest of my life."
    
    m "Are you sure that's all you wanted out of DSG? Experiences?"
    
    m "Are you actually ok with that?"
    
    pov "hhmm..."
    
#-=-=-=-=-=-=-=-=-=-= CREDITS -=-=-=-=-=-=-=-=-=-=-=-
        
    scene black
    with slow_dissolve
    
    show text "{font=subfont}THE END{/font}"
    with fade
    with Pause(2.0)
    
    "Click now for Credits."
        
    scene bg Courtyard000
    with fade
    with Pause(1.0)
        
    show jaja default
    with dissolve
    with Pause(1.0)
        
    show jaja default at right
    with move
        
    show Overlay000
    with slow_dissolve
        
    show text "{font=subfont}Producer: John Montenegro{p}Character Artist: John Montenegro{/font}"
    with slow_dissolve
    with Pause(3.0)
        
    scene bg Empty Classroom000
    with fade
    with Pause(1.0)
        
    show marlain default
    with dissolve
    with Pause(1.0)
        
    show marlain default at left
    with move
        
    show Overlay000
    with slow_dissolve
        
    show text "{font=subfont}Story: John Montenegro{p}Programming: John Montenegro{p}Fonts: 'Manjiro' by John Manjiro{p}and various others courtesy of DaFont.com{/font}"
    with slow_dissolve
    with Pause(3.0)
        
    scene bg Cafe000
    with fade
    with Pause(1.2)
        
    show sato default
    with dissolve
    with Pause(1.0)
        
    show sato default at right
    with move
        
    show Overlay000
    with slow_dissolve
        
    show text "{font=subfont}Sound FX and Loops by:{p}Will Musser, J Fairbanks and Sith Master{p}Courtesy of Flashkit.com{p}Music by:{p}Kevin MacLeod{p}Courtesy of http://incompetech.com/{/font}"
    with slow_dissolve
    with Pause(3.5)
        
    scene bg Football Field Dusk000
    with fade
    with Pause(1.2)
        
    show polar default
    with dissolve
    with Pause(1.0)
        
    show polar default at left
    with move
        
    show Overlay000
    with slow_dissolve
        
    show text "{font=subfont}Music also by:{p}Edgen{p}Courtesy of Flashkit.com{/font}"
    with slow_dissolve
    with Pause(3.0)
        
    scene bg Bus000
    with fade
    with Pause(1.2)
        
    show keeves default
    with dissolve
    with Pause(1.0)
        
    show keeves default at right
    with move
        
    show Overlay000
    with slow_dissolve
        
    show text "{font=subfont}Game Testers:{p}John Montenegro{p}Edward Montenegro{p}Jennifer Dela Cruz{/font}"
    with slow_dissolve
    with Pause(3.0)

    scene bg Title Screen001
    with flashbulb
    with Pause(2.5)
        
    show Overlay000
    with slow_dissolve
        
    show text "{font=subfont}Don't forget to try out these other{p}TEAM SMUT exclusive Visual Novels/Dating Sims!{/font}"
    with slow_dissolve
    with Pause(3.5)
        
    scene bg S4000
    with slow_dissolve
    with Pause(5.0)
        
    scene bg Nekomen000
    with slow_dissolve
    with Pause(5.0)
    
    scene white
    with flashbulb

    show text "{font=subfont}Thanks For Playing!{/font}"
    with slow_dissolve
    with Pause(3.0)
    
    return
    
#xxxxxxxxxxxxxxxxxxx Bad Ending xxxxxxxxxxxxxxxxxxxxxx    
            
    jump ask_3way1_done
            
label ask_3way1_no:
        
    $ ask_3way1_choice = "no"
    
#************SATO HOOKUP CHANCE*****************
            
    m "Jaja? Hey I think I saw him a coupla minutes ago in the Courtyard."
    
    m "If you hurry you might be able to catch him."
    
    pov "Thanks Marlo. I'm going to get going."
    
    m "So you're going to Jaja and not Sato? Hmmm...interesting."

    pov "Don't get me wrong Marlo, I like Sato but Jaja was my 1st friend here before anything else."
    
    pov "Besides Sato is old enough to deal with it...Jaja might not be doing so well."
    
    pov "He is a kid afterall."
    
    m "That's a really sweet thing your doing %(povname)s."
    
    $ renpy.music.stop(fadeout=0.7)
    
    pov "Well...uh..."
    
    m "Goodluck."
    
    scene bg Courtyard000
    with fade
    
    $ renpy.music.play('Heartbreaking.mp3', loop=True)
    
    show jaja default
    with dissolve
            
    pov "Jaja!"
    
    j "%(povname)s!"
    
    j "Oh my gosh! Yoo surprised me!"
    
    j "It's beens awhile."
    
    pov "You can say that again."
    
    j "Um sho wuts up? Ish it about Review Night?"
    
    pov "No of course not. It has nothing to do with that."
    
    pov "It's about what you saw and heard between your brother and I that day."
    
    pov "I feel like I needed to fix things with you."
    
    j "Wit ME?!"
    
    pov "Of course!"
    
    pov "Jaja I didn't mean to hurt your feelings that way. How I feel about your brother and how I feel about you..."
    
    pov "They are too completely different things."
    
    pov "Believe me we didn't mean for you to see that. I never saw it coming."
    
    pov "He was there, he said it and then it all sort of just happened."
    
    j "..."
    
    pov "In fact I would've liked to talk to Sato about how you felt."
    
    pov "I {i}wanted{/i}to tell you...it wasn't like it was a secret. The timing was all just...wrong."
    
    j "..."
    
    pov "Well...I just wanted you to know that 1st and foremost you're a good kid."
    
    pov "I consider us to be really good friends..."
    
    j "..."
    
    "It was the 1st time I'd ever seen Jaja speechless."
    
    "I couldn't read him at all."
    
    pov "Jaja?"
    
    j "...Huh?"
    
    pov "Are you going to say anything?"
    
    j "..."
    
    pov "..."
    
    pov "I see..."
    
    j "Wait!"
    
    j "Yoo wanna hear da truth?"
    
    pov "The truth?"
    
    j "%(povname)s...of corsh I knew dat yoo didn't like me da way i likes yoo."

    j "I AM alot younger den yoo. I gets dat."
    
    j "I jes washn't prepared for whats I sawed when I wan into yoo guys."
    
    j "It hurt alots."
    
    pov "I'm sorry."
    
    j "No yoo don't need ta be sowy. Yoo didn't do it to be means to me. I knows dat now."
    
    j "I jes...I'm jes a kid and at da time I couldn't control my feelings I gesh."
    
    j "But I'm not mad at yoo. I jes washn't sure if you shtil wanteds ta be fwends."
    
    j "I don't wanna shtop being fwends wit yoo!"
    
    pov "Jaja..."
    
    pov "Heh. Me neither. You crazy brat!"
    
    j "Ah hahaha dash MeEeEeee!!!"
    
    u "Hmph."
    
    show jaja default at left
    with move
    
    show sato default at right
    with dissolve
    
    j "Bruffer!"
    
    pov "Sato..."
    
    pov "We were just-"
    
    s "I heard what you were both discussing."
    
    j "O-oh..."
    
    s "And I must say I am very pleased."
    
    s "%(povname)s, you considered Jaja's feelings first and that really made me realize that..."
    
    s "Well that you and I really do have alot in common."
    
    s "We share the same heart."
    
    "(Sato looks over at Jaja)"
    
    s "Jaja would you be opposed to the idea-"
    
    j "Dat my bruffer and my fwend have shum pwivate time?"
    
    j "Corsh not!"
    
    j "Buh-byeeee yoo two!"
    
    hide jaja default
    with dissolve
    
    show sato default at center
    with move
    
    s "I am very pleased that things are back to normal I suppose?"
    
    pov "Well, as normal as they can get around DSG!"
    
    s "Exactimillion."
    
    pov "Did you just say EXACTIMILLION?!"
    
    s "Shut up."
    
    "(We both started laughing)"
    
    $ renpy.music.stop(fadeout=5.0)
    
    scene bg Portfolio Review000
    with fade
    
    "Nothing too exciting happened up until the day of Portfolio Review."
    
    "During the days leading up to Review Night things had finally started to settle."
    
    "Jaja and I were hanging out again and Marlo was {i}fabulous{/i} as always. Haha!"
    
    $ renpy.music.play('Crying Lullaby.mp3', loop=True)
    
    "Sato and I have even been going on dates here and there when we both have a free night."
    
    "Then finally...Portfolio Review Night."
    
    "Setup went smoothly of course thanks to Sato's incredibly detailed scheduling plan."
    
    "Turns out Portfolio Review Night was a massive success!"
    
    "We all stayed to watch...Marlo, Jaja, Sato and I." 
    
    "Marlain ended up driving Jaja home."
    
    show sato default
    with dissolve
    
    s "So are you ready?"
    
    pov "Yeah I'm good to go. I can't believe we pulled Review Night off. We make a good team you and I."

    s "Haha...exactimillion."
    
    pov "So where are we going tonight?"
    
    s "I am not too sure. Let us play it by ear."
    
    pov "Alright."
    
    s "Although I was thinking of taking you to a special place."
    
    scene bg City Night000
    with fade
    
    show sato default
    with slow_dissolve
    
    s "Wow! What a beautiful night!"

    pov "This park is amazing at night Sato! I've never seen it like this before."
    
    s "I thought you might appreciate it."
    
    pov "I had an amazing time tonight Sato."
    
    s "And I as well."
    
    s "I am so amazed at myself...how things have worked out. I am truly lucky to have you in my life %(povname)s."
    
    s "This whole time I was afraid of getting hurt, then I was afraid of hurting someone else..."
    
    s "Now I am not afraid at all...I have never been more confident."
    
    s "You even enjoyed my corny Portfolio Review flyer!"

    s "That is devotion right there. Heh heh."
    
    pov "Haha...it was really cute. Like you."
    
    s "Tch."
    
    "(Sato blushes)"
    
    s "Stay over at our place tonight %(povname)s. I am sure Jaja would love to have another Xbox partner."
    
    pov "Sure sounds good! Where will I sleep?"
    
    pov "I mean if Jaja let's me sleep!"
    
    s "Do not worry I shall protect you from him."
    
    "(Sato smiles)"
    
    s "You may have my bed and I shall take the couch if you want."
    
    pov "Why don't we just sleep in your bed?"
    
    s "Haha I was hoping you would not make me sleep on the couch!"
    
    s "Deal."
    
    pov "Exactimillion."
    
#-=-=-=-=-=-=-=-=-=-= CREDITS -=-=-=-=-=-=-=-=-=-=-=-
        
    scene black
    with slow_dissolve
        
    show text "{font=subfont}THE END{/font}"
    with fade
    with Pause(2.0)
    
    "Click now for Credits."
        
    scene bg Courtyard000
    with fade
    with Pause(1.0)
        
    show jaja default
    with dissolve
    with Pause(1.0)
        
    show jaja default at right
    with move
        
    show Overlay000
    with slow_dissolve
        
    show text "{font=subfont}Producer: John Montenegro{p}Character Artist: John Montenegro{/font}"
    with slow_dissolve
    with Pause(3.0)
        
    scene bg Empty Classroom000
    with fade
    with Pause(1.0)
        
    show marlain default
    with dissolve
    with Pause(1.0)
        
    show marlain default at left
    with move
        
    show Overlay000
    with slow_dissolve
        
    show text "{font=subfont}Story: John Montenegro{p}Programming: John Montenegro{p}Fonts: 'Manjiro' by John Manjiro{p}and various others courtesy of DaFont.com{/font}"
    with slow_dissolve
    with Pause(3.0)
        
    scene bg Cafe000
    with fade
    with Pause(1.2)
        
    show sato default
    with dissolve
    with Pause(1.0)
        
    show sato default at right
    with move
        
    show Overlay000
    with slow_dissolve
        
    show text "{font=subfont}Sound FX and Loops by:{p}Will Musser, J Fairbanks and Sith Master{p}Courtesy of Flashkit.com{p}Music by:{p}Kevin MacLeod{p}Courtesy of http://incompetech.com/{/font}"
    with slow_dissolve
    with Pause(3.5)
        
    scene bg Football Field Dusk000
    with fade
    with Pause(1.2)
        
    show polar default
    with dissolve
    with Pause(1.0)
        
    show polar default at left
    with move
        
    show Overlay000
    with slow_dissolve
        
    show text "{font=subfont}Music also by:{p}Edgen{p}Courtesy of Flashkit.com{/font}"
    with slow_dissolve
    with Pause(3.0)
        
    scene bg Bus000
    with fade
    with Pause(1.2)
        
    show keeves default
    with dissolve
    with Pause(1.0)
        
    show keeves default at right
    with move
        
    show Overlay000
    with slow_dissolve
        
    show text "{font=subfont}Game Testers:{p}John Montenegro{p}Edward Montenegro{p}Jennifer Dela Cruz{/font}"
    with slow_dissolve
    with Pause(3.0)

    scene bg Title Screen001
    with flashbulb
    with Pause(2.5)
        
    show Overlay000
    with slow_dissolve
        
    show text "{font=subfont}Don't forget to try out these other{p}TEAM SMUT exclusive Visual Novels/Dating Sims!{/font}"
    with slow_dissolve
    with Pause(3.5)
    
    scene bg S4000
    with slow_dissolve
    with Pause(5.0)

    scene bg Nekomen000
    with slow_dissolve
    with Pause(5.0)

    scene white
    with flashbulb

    show text "{font=subfont}Thanks For Playing!{/font}"
    with slow_dissolve
    with Pause(3.0)

    return
    
#xxxxxxxxxxxxxxxxxxx Sato Superior Ending xxxxxxxxxxxxxxxxxxxxxx 
            
    jump ask_3way1_done
    
label ask_3way1_neither:
        
    $ ask_3way1_choice = "neither"

    m "Well...whatever you think is like best."
    
    pov "I think time can heal all things."
    
    pov "I'll just leave it alone for now."
    
    m "Yeah you're right...you might be agitating the situation even more."
    
    m "Just don't forget about Review Night ok?"
    
    m "I gotta get to class though so I'll catch ya later!"
    
    pov "Later Marlo."
    
    scene bg Portfolio Review000
    with fade
    
    "Nothing too exciting happened up until the day of Portfolio Review."
    
    "Setup went smoothly of course thanks to Sato's incredibly detailed scheduling plan."
    
    "Although he himself didn't show up to setup OR to Review Night."

    "I tried telling myself maybe it just wasn't his thing."
    
    "The truth hurt too much I suppose."
    
    "Jaja did show up to setup AND to Review Night." 
    
    "At setup though he only talked to me to give out directions. Nothing else."
    
    "When we made eye-contact he would quickly get uncomfortable and then turn to bark out orders at someone else."

    "Marlo looked on supportingly." 
    
    "It was all so awkward."
    
    "Turns out Portfolio Review Night was a massive success though!"
    
    "I stayed to watch. After it was done I put on my jacket and was about to leave when..."
    
    u "Heyas."
    
    pov "?"
    
    show jaja default
    with dissolve
    
    pov "Jaja..."
    
    j "I jes wanteds to say dat I was weally sowy for all das happened."

    j "I didn't means for yoo and my Bruffer to ends up hating eachother."
    
    pov "I don't hate Sato. I don't think he hates me either." 
    
    pov "We just have...um...different priorities."
    
    j "Are yoo mad at me?"
    
    pov "No of course not. None of this is your fault. It just sorta...happened I guess."
    
    j "Yaa...I gesh. I wish I coulda predicted dish for yoo sho we coulda avoided it all."
    
    j "Fate doesn't always works da way you wants huh?"
    
    pov "Haha...no...no it doesn't."
    
    j "Well I gesh I'll she yoo awound. Thanks for all you're help wit da PRC and alls."
    
    j "I'd likes it if we could be fwends again tho."
    
    pov "I feel that way too."
    
    pov "No more silly crushes though!"
    
    "(Jaja smiles)"
    
    j "Right!"
    
    j "Okies %(povname)s...I'll she yoo later otay?"
    
    pov "Bye Jaja."
    
    j "Buh-byeeeee!"
    
    hide jaja default
    with dissolve
    
    show marlain default
    with dissolve
    
    m "Hey...I saw what you just did. That was really cool of you %(povname)s."
    
    pov "Well, despite everything I still consider that brat my friend."
    
    m "Awwww..."
    
    m "Good job with setup today. We all deserve a pat on the back. Gooo PRC!!! Hahaha!"
    
    pov "Gawd stop Marlo. Haha!"
    
    if polarfix1 == True:
        
        m "So hey do you like need a ride home?"
        
        pov "Nah you know what I'll find my own way back home tonight."
        
        m "Are you sure?"
        
        $ renpy.music.stop(fadeout=5.0)
        
        pov "Yeah. (Smile)"
        
        m "Well ok if you say so. Goodnight %(povname)s."
        
        scene bg Infront School001
        with fade
        
        "Sorry Marlo, it's nothing personal. I just needed some fresh air and a moment by myself to think."
        
        "I guess I was glad that things were getting better between Jaja and I."
        
        "Things cetainly weren't perfect but they were better."
        
        "That whole thing with Sato and Jaja, Portfolio Review...all of those things...were distracting at best."
        
        scene bg Infront School001 at Pan((0, 400), (0, 0), 10.0)
    
        "Because the whole time there was only one thing...no, one person I was thinking of."
        
        "Even during Portfolio Review tonight he was always in the back of my mind."
        
        "All I could think about was {i}him.{/i}"
        
        scene bg Football Field Dusk000
        with fade
        
        "Next Month: The 7th"
        
        "(Sigh)"
        
        pov "Polar..."
        
        pov "I don't know what I thought I'd find if I came back here."
        
        pov "Maybe I just wanted to make peace with all that's happened."
        
        pov "..."
        
        pov "I'm sorry I didn't tell you sooner." 
        
        pov "That I knew...this whole time I did..."
        
        pov "But I was too scared to admit it to myself."
        
        pov "That you were the man of my dreams..."
        
        pov "...and now your gone."
        
#************POLAR HOOKUP CHANCE*****************
        
        if polarheart1 == True:
            
            "."
            
            ".."
            
            "..."
            
            "All at once my heart felt like it had been crushed into microscopic little pieces."
            
            u "Hey buddy you look kinda lost."
            
            pov "!"
            
            scene bg Football Field Dusk001
            with slow_dissolve
            with Pause(1.0)

            show snowblossom
            with dissolve
            with Pause(5.0)

            pov "Polar?"
            
            $ renpy.music.play('Water Droplets on the River.mp3', loop=True)
            
            show polar alpha
            with slow_dissolve
            
            p "Who did you think it was?"
            
            pov "I-I can't believe..."
            
            p "That I'm a ghost? Yeah I know."
            
            pov "No you dork!...that you're here."
            
            p "Hey it's my job to be calling you 'dork' remember?"
            
            p "Dork."
            
            "(Polar winks)"
            
            pov "Haha...it-it is really you."
            
            p "Yessir."
            
            pov "Polar, why didn't you tell me you were..."
            
            p "A ghost? Well, this being a spirit thing is kinda complicated."
            
            p "Sometimes you know you're a ghost and other times you think you're real. Somedays people can see you and somedays they can't."
            
            p "Nothing is definite."
            
            p "But I will promise you this. If you come every 7th of the month I'll be here."
            
            pov "Really?"
            
            p "Of course %(povname)s."
            
            p "Your my soulmate."
            
            "(I couldn't help it. I looked down and smiled.)"
            
            pov "No pun intended of course."
            
            p "No sir of course not.(Grins)"
            
            pov "I-I'm just so glad you're here."

            pov "I promise too that I'll be here on the 7th. I'll never forget you."
            
            p "%(povname)s..."
            
            p "I think the reason I stayed around DSG even after I died was just so I could have the chance to meet you."
            
            p "Like somehow my soul knew I'd find you here eventually."
            
            pov "..."
            
            pov "I didn't know what Dream Savior Gakuen had in store for me."
            
            pov "I never thought it would give me the chance to finally meet...you."
            
            pov "I dreamt about you for so long. I was beginning to think maybe you were only a part of my imagination."
            
            pov "Polar?"
            
            p "Huh?"
            
            pov "What should I do inbetween while I wait for every 7th of each month?"
            
            p "You can always find me in our dream..."
            
            p "...the only reason I exist is you."
            
            "(He looks at me and then smiles)"
            
            p "Yessir."
            
#-=-=-=-=-=-=-=-=-=-= CREDITS -=-=-=-=-=-=-=-=-=-=-=-
        
            scene black
            with slow_dissolve
        
            show text "{font=subfont}THE END{/font}"
            with fade
            with Pause(2.0)
            
            "Click now for Credits."
        
            scene bg Courtyard000
            with fade
            with Pause(1.0)
        
            show jaja default
            with dissolve
            with Pause(1.0)
        
            show jaja default at right
            with move
        
            show Overlay000
            with slow_dissolve
        
            show text "{font=subfont}Producer: John Montenegro{p}Character Artist: John Montenegro{/font}"
            with slow_dissolve
            with Pause(3.0)
        
            scene bg Empty Classroom000
            with fade
            with Pause(1.0)
        
            show marlain default
            with dissolve
            with Pause(1.0)
        
            show marlain default at left
            with move
        
            show Overlay000
            with slow_dissolve
        
            show text "{font=subfont}Story: John Montenegro{p}Programming: John Montenegro{p}Fonts: 'Manjiro' by John Manjiro{p}and various others courtesy of DaFont.com{/font}"
            with slow_dissolve
            with Pause(3.0)
        
            scene bg Cafe000
            with fade
            with Pause(1.2)
        
            show sato default
            with dissolve
            with Pause(1.0)
        
            show sato default at right
            with move
        
            show Overlay000
            with slow_dissolve
        
            show text "{font=subfont}Sound FX and Loops by:{p}Will Musser, J Fairbanks and Sith Master{p}Courtesy of Flashkit.com{p}Music by:{p}Kevin MacLeod{p}Courtesy of http://incompetech.com/{/font}"
            with slow_dissolve
            with Pause(3.5)
        
            scene bg Football Field Dusk000
            with fade
            with Pause(1.2)
        
            show polar default
            with dissolve
            with Pause(1.0)
        
            show polar default at left
            with move
        
            show Overlay000
            with slow_dissolve
        
            show text "{font=subfont}Music also by:{p}Edgen{p}Courtesy of Flashkit.com{/font}"
            with slow_dissolve
            with Pause(3.0)
        
            scene bg Bus000
            with fade
            with Pause(1.2)
        
            show keeves default
            with dissolve
            with Pause(1.0)
        
            show keeves default at right
            with move
        
            show Overlay000
            with slow_dissolve
        
            show text "{font=subfont}Game Testers:{p}John Montenegro{p}Edward Montenegro{p}Jennifer Dela Cruz{/font}"
            with slow_dissolve
            with Pause(3.0)

            scene bg Title Screen001
            with flashbulb
            with Pause(2.5)
        
            show Overlay000
            with slow_dissolve
        
            show text "{font=subfont}Don't forget to try out these other{p}TEAM SMUT exclusive Visual Novels/Dating Sims!{/font}"
            with slow_dissolve
            with Pause(3.5)
        
            scene bg S4000
            with slow_dissolve
            with Pause(5.0)
        
            scene bg Nekomen000
            with slow_dissolve
            with Pause(5.0)
            
            scene white
            with flashbulb
        
            show text "{font=subfont}Thanks For Playing!{/font}"
            with slow_dissolve
            with Pause(3.0)
            
            return
            
#xxxxxxxxxxxxxxxxxx Polar Superior Ending xxxxxxxxxxxxxxxxxxxxxx
            
        else:
            
            u "Hey I like totally knew I'd like find you here!"
            
            $ renpy.music.play('Eternal Hope.mp3', loop=True)
            
            show marlain default at left
            with dissolve
            
            pov "Marlo!"
            
            m "Ahem...you mean MARLAIN! (Whispers) There are others like here ya no."
            
            show jaja default
            with dissolve
            
            j "Heyas %(povname)s! SURPRISE!"
            
            show sato default at right
            with dissolve
            
            s "Do not look so shocked."
            
            pov "What are you guys doing here?!"
            
            j "Marlain tolds us how yoo been down lately and we came ta cheer yoo up."

            s "I feel awful about what happened and I have come to realize that I...we miss you as a friend."
            
            j "Ish jes not da same without yoo's %(povname)s!"
            
            j "Alsho we came to tells yoo dat the school approached me and asked if we woulds all be part of da PRC next semester!"
            
            s "Of course Jaja went ahead and told them yes without consulting us first."
            
            play sound "3-Doosh.mp3"
            with hpunch 
            
            pov "Oh gawd!"
            
            j "We are a team now %(povname)s!"
            
            j "Beshides Marlain told us abouts da whole Polar thing and we wanteds ta be here fo yoo."
            
            j "No matter what!"
            
            pov "Marlain!"
            
            m "Sorry hun...I was like never good at keeping secrets."
            
            j "See I told yas my psychic powers were wight! Dere was a spiwit!"
            
            s "I am not sure if I believe the whole ghost thing but if there is anything I can do to help I will."
            
            pov "You guys..."
            
            j "SHTOP! Dere's no need to shay anything! We alweady knows!"
            
            m "It may like sound abit corny but seriously..."
            
            s "What are friends for?"
            
#-=-=-=-=-=-=-=-=-=-= CREDITS -=-=-=-=-=-=-=-=-=-=-=-
        
            scene black
            with slow_dissolve
    
            show text "{font=subfont}THE END{/font}"
            with fade
            with Pause(2.0)
            
            "Click now for Credits."
        
            scene bg Courtyard000
            with fade
            with Pause(1.0)
        
            show jaja default
            with dissolve
            with Pause(1.0)
        
            show jaja default at right
            with move
        
            show Overlay000
            with slow_dissolve
        
            show text "{font=subfont}Producer: John Montenegro{p}Character Artist: John Montenegro{/font}"
            with slow_dissolve
            with Pause(3.0)
        
            scene bg Empty Classroom000
            with fade
            with Pause(1.0)
        
            show marlain default
            with dissolve
            with Pause(1.0)
        
            show marlain default at left
            with move
        
            show Overlay000
            with slow_dissolve
        
            show text "{font=subfont}Story: John Montenegro{p}Programming: John Montenegro{p}Fonts: 'Manjiro' by John Manjiro{p}and various others courtesy of DaFont.com{/font}"
            with slow_dissolve
            with Pause(3.0)
        
            scene bg Cafe000
            with fade
            with Pause(1.2)
        
            show sato default
            with dissolve
            with Pause(1.0)
        
            show sato default at right
            with move
        
            show Overlay000
            with slow_dissolve
        
            show text "{font=subfont}Sound FX and Loops by:{p}Will Musser, J Fairbanks and Sith Master{p}Courtesy of Flashkit.com{p}Music by:{p}Kevin MacLeod{p}Courtesy of http://incompetech.com/{/font}"
            with slow_dissolve
            with Pause(3.5)
        
            scene bg Football Field Dusk000
            with fade
            with Pause(1.2)
        
            show polar default
            with dissolve
            with Pause(1.0)
        
            show polar default at left
            with move
        
            show Overlay000
            with slow_dissolve
        
            show text "{font=subfont}Music also by:{p}Edgen{p}Courtesy of Flashkit.com{/font}"
            with slow_dissolve
            with Pause(3.0)
        
            scene bg Bus000
            with fade
            with Pause(1.2)
        
            show keeves default
            with dissolve
            with Pause(1.0)
        
            show keeves default at right
            with move
        
            show Overlay000
            with slow_dissolve
        
            show text "{font=subfont}Game Testers:{p}John Montenegro{p}Edward Montenegro{p}Jennifer Dela Cruz{/font}"
            with slow_dissolve
            with Pause(3.0)

            scene bg Title Screen001
            with flashbulb
            with Pause(2.5)
        
            show Overlay000
            with slow_dissolve
        
            show text "{font=subfont}Don't forget to try out these other{p}TEAM SMUT exclusive Visual Novels/Dating Sims!{/font}"
            with slow_dissolve
            with Pause(3.5)
        
            scene bg S4000
            with slow_dissolve
            with Pause(5.0)
        
            scene bg Nekomen000
            with slow_dissolve
            with Pause(5.0)
    
            scene white
            with flashbulb

            show text "{font=subfont}Thanks For Playing!{/font}"
            with slow_dissolve
            with Pause(3.0)
            
            return
            
#xxxxxxxxxxxxxxxxxxx Friendly Ending xxxxxxxxxxxxxxxxxxxxxx 
            
    else:
        
        m "Can I ask you something?"
    
        pov "Sure."
    
        m "Did you think Dream Savior Gakuen would be this-"
    
        pov "Complicated?!"
    
        m "Well...I wasn't going to say that but..."
    
        pov "You know no matter what I don't regret anything about DSG." 
    
        pov "I'm still having a great time with experiences I know I'll never forget for the rest of my life."
    
        m "Are you sure that's all you wanted out of DSG? Experiences?"
    
        m "Are you actually ok with that?"
    
        pov "hhmm..."
    
#-=-=-=-=-=-=-=-=-=-= CREDITS -=-=-=-=-=-=-=-=-=-=-=-
        
        scene black
        with slow_dissolve
    
        show text "{font=subfont}THE END{/font}"
        with fade
        with Pause(2.0)
        
        "Click now for Credits."
        
        scene bg Courtyard000
        with fade
        with Pause(1.0)
        
        show jaja default
        with dissolve
        with Pause(1.0)
        
        show jaja default at right
        with move
        
        show Overlay000
        with slow_dissolve
        
        show text "{font=subfont}Producer: John Montenegro{p}Character Artist: John Montenegro{/font}"
        with slow_dissolve
        with Pause(3.0)
        
        scene bg Empty Classroom000
        with fade
        with Pause(1.0)
        
        show marlain default
        with dissolve
        with Pause(1.0)
        
        show marlain default at left
        with move
        
        show Overlay000
        with slow_dissolve
        
        show text "{font=subfont}Story: John Montenegro{p}Programming: John Montenegro{p}Fonts: 'Manjiro' by John Manjiro{p}and various others courtesy of DaFont.com{/font}"
        with slow_dissolve
        with Pause(3.0)
        
        scene bg Cafe000
        with fade
        with Pause(1.2)
        
        show sato default
        with dissolve
        with Pause(1.0)
        
        show sato default at right
        with move
        
        show Overlay000
        with slow_dissolve
        
        show text "{font=subfont}Sound FX and Loops by:{p}Will Musser, J Fairbanks and Sith Master{p}Courtesy of Flashkit.com{p}Music by:{p}Kevin MacLeod{p}Courtesy of http://incompetech.com/{/font}"
        with slow_dissolve
        with Pause(3.5)
        
        scene bg Football Field Dusk000
        with fade
        with Pause(1.2)
        
        show polar default
        with dissolve
        with Pause(1.0)
        
        show polar default at left
        with move
        
        show Overlay000
        with slow_dissolve
        
        show text "{font=subfont}Music also by:{p}Edgen{p}Courtesy of Flashkit.com{/font}"
        with slow_dissolve
        with Pause(3.0)
        
        scene bg Bus000
        with fade
        with Pause(1.2)
        
        show keeves default
        with dissolve
        with Pause(1.0)
        
        show keeves default at right
        with move
        
        show Overlay000
        with slow_dissolve
        
        show text "{font=subfont}Game Testers:{p}John Montenegro{p}Edward Montenegro{p}Jennifer Dela Cruz{/font}"
        with slow_dissolve
        with Pause(3.0)

        scene bg Title Screen001
        with flashbulb
        with Pause(2.5)
        
        show Overlay000
        with slow_dissolve
        
        show text "{font=subfont}Don't forget to try out these other{p}TEAM SMUT exclusive Visual Novels/Dating Sims!{/font}"
        with slow_dissolve
        with Pause(3.5)
        
        scene bg S4000
        with slow_dissolve
        with Pause(5.0)
        
        scene bg Nekomen000
        with slow_dissolve
        with Pause(5.0)
    
        scene white
        with flashbulb

        show text "{font=subfont}Thanks For Playing!{/font}"
        with slow_dissolve
        with Pause(3.0)
    
    return
    
#xxxxxxxxxxxxxxxxxxx Bad Ending xxxxxxxxxxxxxxxxxxxxxx 
    
    jump ask_3way1_done
            
label ask_3way1_done:
    
    
#jmjmjmjmjmjmjm*^_^* THE END *^_^*jmjmjmjmjmjmjm











    
    
    
    














    
    
    
    























































































